<?php

namespace App\Http\Controllers\Admin;

use DB;
use Auth;
use Artisan;
use Session;
use DataTables;
use Carbon\Carbon;
use App\Models\User;
use Hashids\Hashids;
use App\Models\Pages;
use App\Jobs\MailSend;
use App\Models\Groups;
use App\Models\Apptitle;
use App\Models\Customer;
use App\Models\Translate;
use App\Models\Footertext;
use App\Models\Seosetting;
use App\Models\EmailTicket;
use App\Models\Groupsusers;
use App\Models\TicketDraft;
use Illuminate\Support\Str;
use App\Models\usersettings;
use Illuminate\Http\Request;
use App\Models\Ticket\Ticket;
use App\Models\AllTransactions;
use App\Models\CustomerSetting;
use App\Models\Ticket\Category;
use App\Models\ticketassignchild;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Facades\Crypt;

class AdminDashboardController extends Controller
{
    public function index()
    {
        if (Auth::user()->dashboard == 'Admin') {

            return $this->adminDashboard();
        }
        if (Auth::user()->dashboard == 'Employee' || Auth::user()->dashboard == null) {

            return $this->Dashboard();
        }
    }

    //Super Admin Dashboard
    public function adminDashboard()
    {
        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        // Ticket Counting
        $totaltickets = Ticket::count();
        $data['totaltickets'] = $totaltickets;

        $totalactivetickets = Ticket::whereIn('status', ['Re-Open', 'Inprogress', 'On-Hold'])->count();
        $data['totalactivetickets'] = $totalactivetickets;

        $totalclosedtickets = Ticket::where('status', 'Closed')->count();
        $data['totalclosedtickets'] = $totalclosedtickets;

        $replyrecent = Ticket::whereIn('status', ['Re-Open', 'Inprogress', 'On-Hold'])->where('replystatus', 'Replied')->count();
        $data['replyrecent'] = $replyrecent;

        $recentticketcount = Ticket::where('status', 'New')->count();
        $data['recentticketcount'] = $recentticketcount;

        $selfassigncount = Ticket::where('selfassignuser_id', Auth::id())->where('status', '!=', 'Closed')->where('status', '!=', 'Suspend')->count();
        $data['selfassigncount'] = $selfassigncount;

        $myassignedticket = Ticket::leftJoin('ticketassignchildren', 'ticketassignchildren.ticket_id', 'tickets.id')->where('toassignuser_id', Auth::id())->where('status', '!=', 'Closed')->where('status', '!=', 'Suspend')->get();
        $myassignedticketcount = 0;
        foreach ($myassignedticket as $recent) {
            if ($recent->toassignuser_id != null) {
                $myassignedticketcount += 1;
            }
        }
        $data['myassignedticketcount'] = $myassignedticketcount;


        $myclosedticketcount = Ticket::where('closedby_user', Auth::id())->count();
        $data['myclosedticketcount'] = $myclosedticketcount;

        $alltickets = Ticket::query();

        $alltickets = $alltickets->whereIn('status', ['New'])->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')->latest('updated_at')->get();

        $ticketDrafts = TicketDraft::whereIn('ticket_id', $alltickets->pluck('id'))->get()->keyBy('ticket_id');

        $alltickets = $alltickets->each(function ($ticket) use ($ticketDrafts) {
            // $ticket->encrypted_id = Crypt::encrypt($ticket->id);
            // $ticket->encrypted_ticket_id = Crypt::encrypt($ticket->ticket_id);

            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);

            $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });

        $data['ticketdata'] = $alltickets;

        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata'], 'customData' => $data]);
        }

        $data['ticketnote'] = DB::table('ticketnotes')->pluck('ticketnotes.ticket_id')->toArray();

        return view('admin.superadmindashboard.dashboard')->with($data);
    }

    // Employee Dashboard
    public function Dashboard()
    {

        $groups =  Groups::where('groupstatus', '1')->get();


        $group_id = '';
        foreach ($groups as $group) {
            $group_id .= $group->id . ',';
        }

        $groupexists = Groupsusers::whereIn('groups_id', explode(',', substr($group_id, 0, -1)))->where('users_id', Auth::id())->exists();
        // if there in group get group tickets

        $gtickets = Ticket::query();


        if ($groupexists) {
            $totalactivetickets = Ticket::select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->whereIn('tickets.status', ['Inprogress', 'Re-Open', 'On-Hold'])
                ->where('status', '!=', 'Closed')
                ->whereNotNull('groups_users.users_id')
                ->whereNull('tickets.myassignuser_id')
                ->whereNull('tickets.selfassignuser_id')
                ->where('groups_users.users_id', Auth::id())
                ->groupBy('tickets.id')
                ->get()
                ->count();


            $data['totalactivetickets'] = $totalactivetickets;

            $totalactiverecent = Ticket::select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->whereIn('tickets.status', ['Inprogress', 'Re-Open', 'On-Hold'])
                ->where('replystatus', 'Replied')
                ->whereNotNull('groups_users.users_id')
                ->whereNull('tickets.myassignuser_id')
                ->whereNull('tickets.selfassignuser_id')
                ->where('groups_users.users_id', Auth::id())
                ->groupBy('tickets.id')
                ->get()
                ->count();
            $data['totalactiverecent'] = $totalactiverecent;

            $recentticketcount = Ticket::whereIn('id', function ($query) {
                $query->select('tickets.id')
                    ->from('tickets')
                    ->leftJoin('groups_categories', 'groups_categories.category_id', '=', 'tickets.category_id')
                    ->leftJoin('groups_users', 'groups_users.groups_id', '=', 'groups_categories.group_id')
                    ->where('tickets.status', 'New')
                    ->where(function ($query) {
                        $query->whereNull('tickets.myassignuser_id')
                            ->whereNull('tickets.selfassignuser_id')
                            ->orWhere(function ($query) {
                                $query->whereNotNull('tickets.selfassignuser_id')
                                    ->where('tickets.selfassignuser_id', Auth::id());
                            })
                            ->orWhere(function ($query) {
                                $query->where('tickets.id', 'exists', function ($subquery) {
                                    $subquery->select('toassignuser_id')
                                        ->from('ticket_assign_multiples')
                                        ->whereRaw('ticket_assign_multiples.ticket_id = tickets.id')
                                        ->whereIn('toassignuser_id', [Auth::id()]);
                                });
                            });
                    })
                    ->whereNotNull('groups_users.users_id')
                    ->where('groups_users.users_id', Auth::id());
            })->groupBy('tickets.id')->get()->count();

            $data['recentticketcount'] = $recentticketcount;

            $gtickets = $gtickets->select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->whereIn('tickets.status', ['New'])
                ->whereNotNull('groups_users.users_id')
                ->where('groups_users.users_id', Auth::id())
                ->where(function ($query) {
                    $query->where(function ($query) {
                        $query->whereNull('tickets.myassignuser_id')
                            ->whereNull('tickets.selfassignuser_id');
                    })
                        ->orWhere(function ($query) {
                            $query->whereNotNull('tickets.selfassignuser_id')
                                ->where('tickets.selfassignuser_id', Auth::id());
                        })
                        ->orWhere(function ($query) {
                            $query->where('tickets.id', 'exists', function ($subquery) {
                                $subquery->select('toassignuser_id')
                                    ->from('ticket_assign_multiples')
                                    ->whereRaw('ticket_assign_multiples.ticket_id = tickets.id')
                                    ->whereIn('toassignuser_id', [Auth::id()]);
                            });
                        });
                })->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')
                ->latest('tickets.updated_at')
                ->groupBy('tickets.id')
                ->get();

                $ticketDrafts = TicketDraft::whereIn('ticket_id', $gtickets->pluck('id'))->get()->keyBy('ticket_id');

                $gtickets = $gtickets->each(function ($ticket) use ($ticketDrafts) {

                    $hashids = app(Hashids::class);
                    $ticket->encrypted_id = $hashids->encode($ticket->id);
                    $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

                    // Get the first assigned user if available
                    if ($ticket->ticketassignmutliples->isNotEmpty()) {
                        $assigneddata = $ticket->ticketassignmutliples->first();
                        $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
                    } else {
                        $ticket->assigneduserdata = null;
                    }

                    return $ticket;
                });
        }
        // If no there in group we get the all tickets
        else {

            $totalactivetickets = Ticket::select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->leftJoin('groups', 'groups.id', 'groups_users.groups_id') // Add a join to the groups table
                ->whereIn('tickets.status', ['Re-Open', 'Inprogress', 'On-Hold'])
                ->whereNull('tickets.myassignuser_id')
                ->whereNull('tickets.selfassignuser_id')
                ->groupBy('tickets.id')
                ->where(function ($query) {
                    $query->whereNull('groups_users.users_id')
                        ->orWhere(function ($query) {
                            $query->whereNotNull('groups_users.users_id')
                                ->where('groups.groupstatus', 0);
                        });
                })
                ->latest('tickets.updated_at')
                ->get()
                ->count();

            $data['totalactivetickets'] = $totalactivetickets;

            $totalactiverecent = Ticket::select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->leftJoin('groups', 'groups.id', 'groups_users.groups_id') // Add a join to the groups table
                ->whereIn('tickets.status', ['Re-Open', 'Inprogress', 'On-Hold'])
                ->where('replystatus', 'Replied')
                ->whereNull('tickets.myassignuser_id')
                ->whereNull('tickets.selfassignuser_id')
                ->groupBy('tickets.id')
                ->where(function ($query) {
                    $query->whereNull('groups_users.users_id')
                        ->orWhere(function ($query) {
                            $query->whereNotNull('groups_users.users_id')
                                ->where('groups.groupstatus', 0);
                        });
                })
                ->get()
                ->count();

            $data['totalactiverecent'] = $totalactiverecent;

            $recentticketcount = Ticket::select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->leftJoin('groups', 'groups.id', 'groups_users.groups_id') // Add a join to the groups table
                ->where('status', 'New')
                ->where(function ($query) {
                    $query->whereNull('tickets.myassignuser_id')
                        ->whereNull('tickets.selfassignuser_id')
                        ->orWhere(function ($query) {
                            $query->whereNotNull('tickets.selfassignuser_id')
                                ->where('tickets.selfassignuser_id', Auth::id());
                        })
                        ->orWhere(function ($query) {
                            $query->where('tickets.id', 'exists', function ($subquery) {
                                $subquery->select('toassignuser_id')
                                    ->from('ticket_assign_multiples')
                                    ->whereRaw('ticket_assign_multiples.ticket_id = tickets.id')
                                    ->whereIn('toassignuser_id', [Auth::id()]);
                            });
                        });
                })
                ->groupBy('tickets.id')
                ->where(function ($query) {
                    $query->whereNull('groups_users.users_id')
                        ->orWhere(function ($query) {
                            $query->whereNotNull('groups_users.users_id')
                                ->where('groups.groupstatus', 0);
                        });
                })
                ->get()
                ->count();

            $data['recentticketcount'] = $recentticketcount;

            $gtickets = $gtickets->select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->leftJoin('groups', 'groups.id', 'groups_users.groups_id')
                ->whereIn('tickets.status', ['New'])
                ->where(function ($query) {
                    $query->where(function ($query) {
                        $query->whereNull('tickets.myassignuser_id')
                            ->whereNull('tickets.selfassignuser_id');
                    })
                        ->orWhere(function ($query) {
                            $query->whereNotNull('tickets.selfassignuser_id')
                                ->where('tickets.selfassignuser_id', Auth::id());
                        })
                        ->orWhere(function ($query) {
                            $query->where('tickets.id', 'exists', function ($subquery) {
                                $subquery->select('toassignuser_id')
                                    ->from('ticket_assign_multiples')
                                    ->whereRaw('ticket_assign_multiples.ticket_id = tickets.id')
                                    ->whereIn('toassignuser_id', [Auth::id()]);
                            });
                        });
                })
                ->where(function ($query) {
                    $query->whereNull('groups_users.users_id')
                        ->orWhere(function ($query) {
                            $query->whereNotNull('groups_users.users_id')
                                ->where('groups.groupstatus', 0);
                        });
                })->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')
                ->latest('tickets.updated_at')
                ->groupBy('tickets.id')
                ->get();

                $ticketDrafts = TicketDraft::whereIn('ticket_id', $gtickets->pluck('id'))->get()->keyBy('ticket_id');

                $gtickets = $gtickets->each(function ($ticket) use ($ticketDrafts) {
                    // $ticket->encrypted_id = Crypt::encrypt($ticket->id);
                    // $ticket->encrypted_ticket_id = Crypt::encrypt($ticket->ticket_id);

                    $hashids = app(Hashids::class);
                    $ticket->encrypted_id = $hashids->encode($ticket->id);
                    $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

                    // Get the first assigned user if available
                    if ($ticket->ticketassignmutliples->isNotEmpty()) {
                        $assigneddata = $ticket->ticketassignmutliples->first();
                        $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
                    } else {
                        $ticket->assigneduserdata = null;
                    }

                    return $ticket;
                });
        }


         $data['ticketdata'] = $gtickets;

        $ticketnote = DB::table('ticketnotes')->pluck('ticketnotes.ticket_id')->toArray();
        $data['ticketnote'] = $ticketnote;

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        $selfassigncount = Ticket::where('selfassignuser_id', Auth::id())->where('status', '!=', 'Closed')->where('status', '!=', 'Suspend')->count();
        $data['selfassigncount'] = $selfassigncount;

        $selfassignrecentreply = Ticket::where('selfassignuser_id', Auth::id())->where('replystatus', 'Replied')->where('status', '!=', 'Closed')->count();
        $data['selfassignrecentreply'] = $selfassignrecentreply;

        $myassignedticketcount = Ticket::leftJoin('ticketassignchildren', 'ticketassignchildren.ticket_id', 'tickets.id')->where('toassignuser_id', Auth::id())->where('status', '!=', 'Closed')->where('status', '!=', 'Suspend')->count();
        $data['myassignedticketcount'] = $myassignedticketcount;

        $myassignedticketrecentreply = Ticket::leftJoin('ticketassignchildren', 'ticketassignchildren.ticket_id', 'tickets.id')->where('toassignuser_id', Auth::id())->where('status', '!=', 'Closed')->where('replystatus', 'Replied')->count();
        $data['myassignedticketrecentreply'] = $myassignedticketrecentreply;

        $myclosedticketcount = Ticket::where('closedby_user', Auth::id())->count();
        $data['myclosedticketcount'] = $myclosedticketcount;


        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata'], 'customData' => $data]);
        }


        return view('admin.dashboard')->with($data);
    }

    public function dashboardtabledata()
    {

        if (Auth::user()->dashboard == 'Admin') {

            return $this->adminDashboardtabledata();
        }
        if (Auth::user()->dashboard == 'Employee' || Auth::user()->dashboard == null) {
            return $this->Dashboardtabledatas();
        }
    }

    //superadmin dashborad
    public function adminDashboardtabledata()
    {

        $alltickets = Ticket::query();

        // Ticket Counting
        $totaltickets = Ticket::count();
        $data['totaltickets'] = $totaltickets;

        $totalactivetickets = Ticket::whereIn('status', ['Re-Open', 'Inprogress', 'On-Hold'])->count();
        $data['totalactivetickets'] = $totalactivetickets;

        $totalclosedtickets = Ticket::where('status', 'Closed')->count();
        $data['totalclosedtickets'] = $totalclosedtickets;

        $replyrecent = Ticket::whereIn('status', ['Re-Open', 'Inprogress', 'On-Hold'])->where('replystatus', 'Replied')->count();
        $data['replyrecent'] = $replyrecent;

        $recentticketcount = Ticket::where('status', 'New')->count();
        $data['recentticketcount'] = $recentticketcount;

        $selfassigncount = Ticket::where('selfassignuser_id', Auth::id())->where('status', '!=', 'Closed')->where('status', '!=', 'Suspend')->count();
        $data['selfassigncount'] = $selfassigncount;

        $myassignedticket = Ticket::leftJoin('ticketassignchildren', 'ticketassignchildren.ticket_id', 'tickets.id')->where('toassignuser_id', Auth::id())->where('status', '!=', 'Closed')->where('status', '!=', 'Suspend')->get();
        $myassignedticketcount = 0;
        foreach ($myassignedticket as $recent) {
            if ($recent->toassignuser_id != null) {
                $myassignedticketcount += 1;
            }
        }
        $data['myassignedticketcount'] = $myassignedticketcount;


        $myclosedticketcount = Ticket::where('closedby_user', Auth::id())->count();
        $data['myclosedticketcount'] = $myclosedticketcount;

        $alltickets = $alltickets->whereIn('status', ['New'])->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')->latest('updated_at')->get();
        $ticketDrafts = TicketDraft::whereIn('ticket_id', $alltickets->pluck('id'))->get()->keyBy('ticket_id');

        $alltickets = $alltickets->each(function ($ticket) use ($ticketDrafts) {

            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);

            $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id);
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });


        if (request()->ajax()) {
            return response()->json(['ticketdata' => $data['ticketdata'], 'customData' => $data]);
        }

        $data['ticketnote'] = DB::table('ticketnotes')->pluck('ticketnotes.ticket_id')->toArray();

        // return view('admin.superadmindashboard.dashboardtabledata')->with($data);
    }

    //Employee dashboard
    public function Dashboardtabledatas()
    {
        $groups =  Groups::where('groupstatus', '1')->get();

        $group_id = '';
        foreach ($groups as $group) {
            $group_id .= $group->id . ',';
        }


        $groupexists = Groupsusers::whereIn('groups_id', explode(',', substr($group_id, 0, -1)))->where('users_id', Auth::id())->exists();

        $gtickets = Ticket::query();
        if (request()->has('search') && !empty(request()->input('search'))) {
            $search = request()->input('search');
            $dateFormat = setting('date_format');

            if ($dateFormat == "d M, Y") {
                $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            } elseif ($dateFormat == "m.d.y") {
                $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
            } elseif ($dateFormat == "Y-m-d") {
                $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
            } elseif ($dateFormat == "d-m-Y") {
                $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
            } elseif ($dateFormat == "d/m/Y") {
                $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
            } elseif ($dateFormat == "Y/m/d") {
                $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
            } else {
                // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }

            $gtickets->with('cust', 'users', 'category')->where(function ($query) use ($search, $dateFormatSQL) {
                $query->where('subject', 'like', "%{$search}%")
                    ->orWhere('ticket_id', 'like', "%{$search}%")
                    ->orWhere('status', 'like', "%{$search}%")
                    ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

                $query->orWhereHas('category', function ($q) use ($search) {
                    $q->where('name', 'like', "%{$search}%");
                });
                $query->orWhereHas('cust', function ($q) use ($search) {
                    $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
                });
            });
        }

        // if there in group get group tickets
        if ($groupexists) {

            // All tickets
            $gtickets = $gtickets->select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->whereIn('tickets.status', ['New'])
                ->whereNotNull('groups_users.users_id')
                ->where('groups_users.users_id', Auth::id())
                ->where(function ($query) {
                    $query->where(function ($query) {
                        $query->whereNull('tickets.myassignuser_id')
                            ->whereNull('tickets.selfassignuser_id');
                    })
                        ->orWhere(function ($query) {
                            $query->whereNotNull('tickets.selfassignuser_id')
                                ->where('tickets.selfassignuser_id', Auth::id());
                        })
                        ->orWhere(function ($query) {
                            $query->where('tickets.id', 'exists', function ($subquery) {
                                $subquery->select('toassignuser_id')
                                    ->from('ticket_assign_multiples')
                                    ->whereRaw('ticket_assign_multiples.ticket_id = tickets.id')
                                    ->whereIn('toassignuser_id', [Auth::id()]);
                            });
                        });
                })
                ->latest('tickets.updated_at')
                ->groupBy('tickets.id')
                ->get();
        }
        // If no there in group we get the all tickets
        else {
            $gtickets = $gtickets->select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->leftJoin('groups', 'groups.id', 'groups_users.groups_id')
                ->whereIn('tickets.status', ['New'])
                ->where(function ($query) {
                    $query->where(function ($query) {
                        $query->whereNull('tickets.myassignuser_id')
                            ->whereNull('tickets.selfassignuser_id');
                    })
                        ->orWhere(function ($query) {
                            $query->whereNotNull('tickets.selfassignuser_id')
                                ->where('tickets.selfassignuser_id', Auth::id());
                        })
                        ->orWhere(function ($query) {
                            $query->where('tickets.id', 'exists', function ($subquery) {
                                $subquery->select('toassignuser_id')
                                    ->from('ticket_assign_multiples')
                                    ->whereRaw('ticket_assign_multiples.ticket_id = tickets.id')
                                    ->whereIn('toassignuser_id', [Auth::id()]);
                            });
                        });
                })
                ->where(function ($query) {
                    $query->whereNull('groups_users.users_id')
                        ->orWhere(function ($query) {
                            $query->whereNotNull('groups_users.users_id')
                                ->where('groups.groupstatus', 0);
                        });
                })
                ->latest('tickets.updated_at')
                ->groupBy('tickets.id')
                ->get();
        }



        $data['ticketdata'] = $gtickets;

        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }

        $ticketnote = DB::table('ticketnotes')->pluck('ticketnotes.ticket_id')->toArray();
        $data['ticketnote'] = $ticketnote;

        return view('admin.dashboardtabledata')->with($data);
    }

    public function activeticket()
    {
        if (Auth::user()->dashboard == 'Admin') {
            return $this->adminallactiveticket();
        }
        if (Auth::user()->dashboard == 'Employee' || Auth::user()->dashboard == null) {
            return $this->employeeallactiveticket();
        }
    }

    public function adminallactiveticket()
    {

        // $allactivetickets = Ticket::query();
        // if (request()->has('search') && !empty(request()->input('search'))) {
        //     $search = request()->input('search');
        //     $dateFormat = setting('date_format');

        //     if ($dateFormat == "d M, Y") {
        //         $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
        //     } elseif ($dateFormat == "m.d.y") {
        //         $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
        //     } elseif ($dateFormat == "Y-m-d") {
        //         $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
        //     } elseif ($dateFormat == "d-m-Y") {
        //         $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
        //     } elseif ($dateFormat == "d/m/Y") {
        //         $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
        //     } elseif ($dateFormat == "Y/m/d") {
        //         $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
        //     } else {
        //         // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
        //     }

        //     $allactivetickets->with('cust', 'users', 'category')->where(function ($query) use ($search, $dateFormatSQL) {
        //         $query->where('subject', 'like', "%{$search}%")
        //             ->orWhere('ticket_id', 'like', "%{$search}%")
        //             ->orWhere('status', 'like', "%{$search}%")
        //             ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

        //         $query->orWhereHas('category', function ($q) use ($search) {
        //             $q->where('name', 'like', "%{$search}%");
        //         });
        //         $query->orWhereHas('cust', function ($q) use ($search) {
        //             $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
        //         });
        //     });
        // }

        // $allactivetickets = $allactivetickets->whereIn('status', ['Re-Open', 'Inprogress', 'On-Hold'])->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')->latest('updated_at')->get();

        // $ticketDrafts = TicketDraft::whereIn('ticket_id', $allactivetickets->pluck('id'))->get()->keyBy('ticket_id');

        // $allactivetickets = $allactivetickets->each(function ($ticket) use ($ticketDrafts) {
        //     // $ticket->encrypted_id = Crypt::encrypt($ticket->id);
        //     // $ticket->encrypted_ticket_id = Crypt::encrypt($ticket->ticket_id);

        //     $hashids = app(Hashids::class);
        //     $ticket->encrypted_id = $hashids->encode($ticket->id);

        //     $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

        //     // Get the first assigned user if available
        //     if ($ticket->ticketassignmutliples->isNotEmpty()) {
        //         $assigneddata = $ticket->ticketassignmutliples->first();
        //         $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
        //     } else {
        //         $ticket->assigneduserdata = null;
        //     }

        //     return $ticket;
        // });

        $allactivetickets = Ticket::query()
            ->whereIn('status', ['Re-Open', 'Inprogress', 'On-Hold'])
            ->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')
            ->orderByRaw("CASE WHEN replystatus = 'Replied' THEN 0 ELSE 1 END, updated_at DESC")
            ->get();

        $ticketDrafts = TicketDraft::whereIn('ticket_id', $allactivetickets->pluck('id'))
            ->get()
            ->keyBy('ticket_id');

        $allactivetickets = $allactivetickets->each(function ($ticket) use ($ticketDrafts) {
            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);
            $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });


        $data['ticketdata'] = $allactivetickets;

        $allactiveinprogresstickets = Ticket::where('status', 'Inprogress')->count();
        $data['allactiveinprogresstickets'] = $allactiveinprogresstickets;

        $allactivereopentickets = Ticket::whereIn('status', ['Re-Open'])->count();
        $data['allactivereopentickets'] = $allactivereopentickets;

        $allactiveonholdtickets = Ticket::whereIn('status', ['On-Hold'])->count();
        $data['allactiveonholdtickets'] = $allactiveonholdtickets;

        $allactiveassignedtickets = Ticket::whereIn('status', ['Re-Open', 'Inprogress', 'On-Hold'])->where(function ($r) {
            $r->whereNotNull('myassignuser_id')
                ->orWhereNotNull('selfassignuser_id');
        })->count();
        $data['allactiveassignedtickets'] = $allactiveassignedtickets;

        $allactiveoverduetickets = Ticket::whereIn('status', ['Re-Open', 'Inprogress', 'On-Hold'])->whereNotNull('overduestatus')->count();
        $data['allactiveoverduetickets'] = $allactiveoverduetickets;

        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata'], 'customData' => $data]);
        }


        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        return view('admin.superadmindashboard.activeticket')->with($data);
    }

    public function employeeallactiveticket()
    {

        $groups =  Groups::where('groupstatus', '1')->get();


        $group_id = '';
        foreach ($groups as $group) {
            $group_id .= $group->id . ',';
        }

        $groupexists = Groupsusers::whereIn('groups_id', explode(',', substr($group_id, 0, -1)))->where('users_id', Auth::id())->exists();

        $activetickets = Ticket::query();

        // if there in group get group tickets
        if ($groupexists) {

            $activetickets = $activetickets->select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->whereIn('tickets.status', ['Re-Open', 'Inprogress', 'On-Hold'])
                ->whereNotNull('groups_users.users_id')
                ->where('groups_users.users_id', Auth::id())
                ->groupBy('tickets.id')
                ->where(function ($query) {
                    $query->whereNull('tickets.myassignuser_id')
                        ->whereNull('tickets.selfassignuser_id');
                })->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')
                ->orderByRaw("CASE WHEN replystatus = 'Replied' THEN 0 ELSE 1 END, updated_at DESC")
                ->latest('tickets.updated_at')
                ->get();
                $ticketDrafts = TicketDraft::whereIn('ticket_id', $activetickets->pluck('id'))->get()->keyBy('ticket_id');

                $activetickets = $activetickets->each(function ($ticket) use ($ticketDrafts) {
                // $ticket->encrypted_id = Crypt::encrypt($ticket->id);
                // $ticket->encrypted_ticket_id = Crypt::encrypt($ticket->ticket_id);

                $hashids = app(Hashids::class);
                $ticket->encrypted_id = $hashids->encode($ticket->id);
                $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

                // Get the first assigned user if available
                if ($ticket->ticketassignmutliples->isNotEmpty()) {
                    $assigneddata = $ticket->ticketassignmutliples->first();
                    $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
                } else {
                    $ticket->assigneduserdata = null;
                }

                return $ticket;
            });
        }
        // If no there in group we get the all tickets
        else {

            $activetickets = $activetickets->select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->leftJoin('groups', 'groups.id', 'groups_users.groups_id') // Add a join to the groups table
                ->whereIn('tickets.status', ['Re-Open', 'Inprogress', 'On-Hold'])
                ->groupBy('tickets.id')
                ->where(function ($query) {
                    $query->whereNull('groups_users.users_id')
                        ->orWhere(function ($query) {
                            $query->whereNotNull('groups_users.users_id')
                                ->where('groups.groupstatus', 0);
                        });
                })
                ->where(function ($query) {
                    $query->whereNull('tickets.myassignuser_id')
                        ->whereNull('tickets.selfassignuser_id');
                })->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')
                ->orderByRaw("CASE WHEN replystatus = 'Replied' THEN 0 ELSE 1 END, updated_at DESC")
                ->latest('tickets.updated_at')
                ->get();
                $ticketDrafts = TicketDraft::whereIn('ticket_id', $activetickets->pluck('id'))->get()->keyBy('ticket_id');

                $activetickets = $activetickets->each(function ($ticket) use ($ticketDrafts) {
                // $ticket->encrypted_id = Crypt::encrypt($ticket->id);
                // $ticket->encrypted_ticket_id = Crypt::encrypt($ticket->ticket_id);

                $hashids = app(Hashids::class);
                $ticket->encrypted_id = $hashids->encode($ticket->id);
                $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

                // Get the first assigned user if available
                if ($ticket->ticketassignmutliples->isNotEmpty()) {
                    $assigneddata = $ticket->ticketassignmutliples->first();
                    $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
                } else {
                    $ticket->assigneduserdata = null;
                }

                return $ticket;
            });
        }

        // $perPage = request()->input('per_page', 10);
        // $currentPage = request()->input('page', 1);
        // $finalResult = $activetickets->forPage($currentPage, $perPage)->values();

        $data['ticketdata'] = $activetickets;
        // new \Illuminate\Pagination\LengthAwarePaginator(
        //     $finalResult,
        //     $activetickets->count(),
        //     $perPage,
        //     $currentPage,
        //     ['path' => request()->url(), 'query' => request()->query()]
        // );
        // $data['perPage'] = $perPage;

        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }

        $ticketnote = DB::table('ticketnotes')->pluck('ticketnotes.ticket_id')->toArray();
        $data['ticketnote'] = $ticketnote;

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        return view('admin.userticket.viewticket.activeticket')->with($data);
    }

    // Superadmin all closed Ticket
    public function closedticket()
    {


        $allclosedtickets = Ticket::query();
        if (request()->has('search') && !empty(request()->input('search'))) {
            $search = request()->input('search');
            $dateFormat = setting('date_format');

            if ($dateFormat == "d M, Y") {
                $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            } elseif ($dateFormat == "m.d.y") {
                $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
            } elseif ($dateFormat == "Y-m-d") {
                $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
            } elseif ($dateFormat == "d-m-Y") {
                $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
            } elseif ($dateFormat == "d/m/Y") {
                $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
            } elseif ($dateFormat == "Y/m/d") {
                $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
            } else {
                // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }

            $allclosedtickets->with('cust', 'users', 'category')->where(function ($query) use ($search, $dateFormatSQL) {
                $query->where('subject', 'like', "%{$search}%")
                    ->orWhere('ticket_id', 'like', "%{$search}%")
                    ->orWhere('status', 'like', "%{$search}%")
                    ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

                $query->orWhereHas('category', function ($q) use ($search) {
                    $q->where('name', 'like', "%{$search}%");
                });
                $query->orWhereHas('cust', function ($q) use ($search) {
                    $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
                });
            });
        }

        $allclosedtickets = $allclosedtickets->where('status', 'Closed')->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')->latest('updated_at')->get();

        $ticketDrafts = TicketDraft::whereIn('ticket_id', $allclosedtickets->pluck('id'))->get()->keyBy('ticket_id');

        $allclosedtickets = $allclosedtickets->each(function ($ticket) use ($ticketDrafts) {
            // $ticket->encrypted_id = Crypt::encrypt($ticket->id);
            // $ticket->encrypted_ticket_id = Crypt::encrypt($ticket->ticket_id);

            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);
            $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });

        // $perPage = request()->input('per_page', 10);
        // $currentPage = request()->input('page', 1);
        // $finalResult = $allclosedtickets->forPage($currentPage, $perPage)->values();

        $data['ticketdata'] = $allclosedtickets;
        // new \Illuminate\Pagination\LengthAwarePaginator(
        //     $finalResult,
        //     $allclosedtickets->count(),
        //     $perPage,
        //     $currentPage,
        //     ['path' => request()->url(), 'query' => request()->query()]
        // );
        // $data['perPage'] = $perPage;
        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        return view('admin.superadmindashboard.closedticket')->with($data);
    }

    public function myassignedTickets()
    {

        $myassignedtickets = Ticket::query();
        if (request()->has('search') && !empty(request()->input('search'))) {
            $search = request()->input('search');
            $dateFormat = setting('date_format');

            if ($dateFormat == "d M, Y") {
                $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            } elseif ($dateFormat == "m.d.y") {
                $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
            } elseif ($dateFormat == "Y-m-d") {
                $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
            } elseif ($dateFormat == "d-m-Y") {
                $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
            } elseif ($dateFormat == "d/m/Y") {
                $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
            } elseif ($dateFormat == "Y/m/d") {
                $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
            } else {
                // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }

            $myassignedtickets->with('cust', 'users', 'category')->where(function ($query) use ($search, $dateFormatSQL) {
                $query->where('subject', 'like', "%{$search}%")
                    ->orWhere('ticket_id', 'like', "%{$search}%")
                    ->orWhere('status', 'like', "%{$search}%")
                    ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

                $query->orWhereHas('category', function ($q) use ($search) {
                    $q->where('name', 'like', "%{$search}%");
                });
                $query->orWhereHas('cust', function ($q) use ($search) {
                    $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
                });
            });
        }

        $myassignedtickets = $myassignedtickets->select('tickets.*', 'ticketassignchildren.toassignuser_id')->whereNull('selfassignuser_id')->leftjoin('ticketassignchildren', 'ticketassignchildren.ticket_id', 'tickets.id')->where('toassignuser_id', Auth::id())->where('status', '!=', 'Closed')->where('status', '!=', 'Suspend')->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')->latest('updated_at')->get();

        $ticketDrafts = TicketDraft::whereIn('ticket_id', $myassignedtickets->pluck('id'))->get()->keyBy('ticket_id');

        $myassignedtickets = $myassignedtickets->each(function ($ticket) use ($ticketDrafts) {
            // $ticket->encrypted_id = Crypt::encrypt($ticket->id);
            // $ticket->encrypted_ticket_id = Crypt::encrypt($ticket->ticket_id);

            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);

            $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });

        // $perPage = request()->input('per_page', 10);
        // $currentPage = request()->input('page', 1);
        // $finalResult = $myassignedtickets->forPage($currentPage, $perPage)->values();

        $data['ticketdata'] = $myassignedtickets;
        // new \Illuminate\Pagination\LengthAwarePaginator(
        //     $finalResult,
        //     $myassignedtickets->count(),
        //     $perPage,
        //     $currentPage,
        //     ['path' => request()->url(), 'query' => request()->query()]
        // );
        // $data['perPage'] = $perPage;
        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }

        $ticketnote = DB::table('ticketnotes')->pluck('ticketnotes.ticket_id')->toArray();
        $data['ticketnote'] = $ticketnote;


        $active = Ticket::whereIn('status', ['New', 'Re-Open', 'Inprogress'])->get();

        $closed = Ticket::where('status', 'Closed')->get();

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        $agent = User::count();
        $data['agent'] = $agent;

        $customer = User::count();
        $data['customer'] = $customer;




        return view('admin.assignedtickets.myassignedticket', compact('active', 'closed'))->with($data);
    }

    public function onholdticket()
    {


        if (Auth::user()->dashboard == 'Admin') {
            return $this->adminonholdticket();
        }
        if (Auth::user()->dashboard == 'Employee' || Auth::user()->dashboard == null) {
            return $this->employeeonholdticket();
        }
    }

    public function adminonholdticket()
    {


        $allonholdtickets = Ticket::query();
        if (request()->has('search') && !empty(request()->input('search'))) {
            $search = request()->input('search');
            $dateFormat = setting('date_format');

            if ($dateFormat == "d M, Y") {
                $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            } elseif ($dateFormat == "m.d.y") {
                $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
            } elseif ($dateFormat == "Y-m-d") {
                $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
            } elseif ($dateFormat == "d-m-Y") {
                $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
            } elseif ($dateFormat == "d/m/Y") {
                $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
            } elseif ($dateFormat == "Y/m/d") {
                $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
            } else {
                // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }

            $allonholdtickets->with('cust', 'users', 'category')->where(function ($query) use ($search, $dateFormatSQL) {
                $query->where('subject', 'like', "%{$search}%")
                    ->orWhere('ticket_id', 'like', "%{$search}%")
                    ->orWhere('status', 'like', "%{$search}%")
                    ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

                $query->orWhereHas('category', function ($q) use ($search) {
                    $q->where('name', 'like', "%{$search}%");
                });
                $query->orWhereHas('cust', function ($q) use ($search) {
                    $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
                });
            });
        }

        $allonholdtickets = $allonholdtickets->where('status', 'On-Hold')->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')->latest('updated_at')->get();

        $ticketDrafts = TicketDraft::whereIn('ticket_id', $allonholdtickets->pluck('id'))->get()->keyBy('ticket_id');

        $allonholdtickets = $allonholdtickets->each(function ($ticket) use ($ticketDrafts) {
            // $ticket->encrypted_id = Crypt::encrypt($ticket->id);
            // $ticket->encrypted_ticket_id = Crypt::encrypt($ticket->ticket_id);

            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);

            $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });

        // $perPage = request()->input('per_page', 10);
        // $currentPage = request()->input('page', 1);
        // $finalResult = $allonholdtickets->forPage($currentPage, $perPage)->values();

        $data['ticketdata'] = $allonholdtickets;
        // new \Illuminate\Pagination\LengthAwarePaginator(
        //     $finalResult,
        //     $allonholdtickets->count(),
        //     $perPage,
        //     $currentPage,
        //     ['path' => request()->url(), 'query' => request()->query()]
        // );
        // $data['perPage'] = $perPage;

        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        return view('admin.superadmindashboard.onholdtickets')->with($data);
    }

    public function employeeonholdticket()
    {


        $groups =  Groups::where('groupstatus', '1')->get();

        $group_id = '';
        foreach ($groups as $group) {
            $group_id .= $group->id . ',';
        }

        $groupexists = Groupsusers::whereIn('groups_id', explode(',', substr($group_id, 0, -1)))->where('users_id', Auth::id())->exists();

        // if there in group get group tickets
        if ($groupexists) {

            $onholdtickets = Ticket::select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->where('status', 'On-Hold')
                ->whereNotNull('groups_users.users_id')
                ->where('groups_users.users_id', Auth::id())
                ->get();
            $data['gtickets'] = $onholdtickets;

            $ticketnote = DB::table('ticketnotes')->pluck('ticketnotes.ticket_id')->toArray();
            $data['ticketnote'] = $ticketnote;
        }
        // If no there in group we get the all tickets
        else {

            $onholdtickets = Ticket::select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->where('status', 'On-Hold')
                ->whereNull('groups_users.users_id')
                ->get();
            $data['gtickets'] = $onholdtickets;

            $ticketnote = DB::table('ticketnotes')->pluck('ticketnotes.ticket_id')->toArray();
            $data['ticketnote'] = $ticketnote;
        }

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        return view('admin.assignedtickets.onholdtickets')->with($data);
    }

    public function overdueticket()
    {

        if (Auth::user()->dashboard == 'Admin') {
            return $this->adminoverdueticket();
        }
        if (Auth::user()->dashboard == 'Employee' || Auth::user()->dashboard == null) {
            return $this->employeeoverdueticket();
        }
    }


    public function adminoverdueticket()
    {

        $alloverduetickets = Ticket::query();
        if (request()->has('search') && !empty(request()->input('search'))) {
            $search = request()->input('search');
            $dateFormat = setting('date_format');

            if ($dateFormat == "d M, Y") {
                $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            } elseif ($dateFormat == "m.d.y") {
                $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
            } elseif ($dateFormat == "Y-m-d") {
                $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
            } elseif ($dateFormat == "d-m-Y") {
                $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
            } elseif ($dateFormat == "d/m/Y") {
                $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
            } elseif ($dateFormat == "Y/m/d") {
                $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
            } else {
                // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }

            $alloverduetickets->with('cust', 'users', 'category')->where(function ($query) use ($search, $dateFormatSQL) {
                $query->where('subject', 'like', "%{$search}%")
                    ->orWhere('ticket_id', 'like', "%{$search}%")
                    ->orWhere('status', 'like', "%{$search}%")
                    ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

                $query->orWhereHas('category', function ($q) use ($search) {
                    $q->where('name', 'like', "%{$search}%");
                });
                $query->orWhereHas('cust', function ($q) use ($search) {
                    $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
                });
            });
        }

        $alloverduetickets = $alloverduetickets->whereIn('overduestatus', ['Overdue'])->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')->latest('updated_at')->get();
        $ticketDrafts = TicketDraft::whereIn('ticket_id', $alloverduetickets->pluck('id'))->get()->keyBy('ticket_id');

        $alloverduetickets = $alloverduetickets->each(function ($ticket) use ($ticketDrafts) {
            // $ticket->encrypted_id = Crypt::encrypt($ticket->id);
            // $ticket->encrypted_ticket_id = Crypt::encrypt($ticket->ticket_id);

            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);
            $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });
        // $perPage = request()->input('per_page', 10);
        // $currentPage = request()->input('page', 1);
        // $finalResult = $alloverduetickets->forPage($currentPage, $perPage)->values();

        $data['ticketdata'] = $alloverduetickets;
        // new \Illuminate\Pagination\LengthAwarePaginator(
        //     $finalResult,
        //     $alloverduetickets->count(),
        //     $perPage,
        //     $currentPage,
        //     ['path' => request()->url(), 'query' => request()->query()]
        // );
        // $data['perPage'] = $perPage;

        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        return view('admin.superadmindashboard.overdueticket')->with($data);
    }


    public function employeeoverdueticket()
    {


        $groups =  Groups::where('groupstatus', '1')->get();

        $group_id = '';
        foreach ($groups as $group) {
            $group_id .= $group->id . ',';
        }

        $groupexists = Groupsusers::whereIn('groups_id', explode(',', substr($group_id, 0, -1)))->where('users_id', Auth::id())->exists();

        // if there in group get group tickets
        if ($groupexists) {
            $overduetickets = Ticket::select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->whereIn('overduestatus', ['Overdue'])
                ->whereNotNull('groups_users.users_id')
                ->where('groups_users.users_id', Auth::id())
                ->get();
            $data['gtickets'] = $overduetickets;

            $ticketnote = DB::table('ticketnotes')->pluck('ticketnotes.ticket_id')->toArray();
            $data['ticketnote'] = $ticketnote;
        }
        // If no there in group we get the all tickets
        else {
            $overduetickets = Ticket::select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->whereIn('overduestatus', ['Overdue'])
                ->whereNull('groups_users.users_id')
                ->get();
            $data['gtickets'] = $overduetickets;

            $ticketnote = DB::table('ticketnotes')->pluck('ticketnotes.ticket_id')->toArray();
            $data['ticketnote'] = $ticketnote;
        }

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        $tickets = Ticket::whereIn('overduestatus', ['Overdue'])->get();

        return view('admin.assignedtickets.overdueticket', compact('tickets'))->with($data);
    }


    public function adminallassignedtickets()
    {

        $allassignedtickets = Ticket::query();
        if (request()->has('search') && !empty(request()->input('search'))) {
            $search = request()->input('search');
            $dateFormat = setting('date_format');

            if ($dateFormat == "d M, Y") {
                $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            } elseif ($dateFormat == "m.d.y") {
                $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
            } elseif ($dateFormat == "Y-m-d") {
                $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
            } elseif ($dateFormat == "d-m-Y") {
                $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
            } elseif ($dateFormat == "d/m/Y") {
                $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
            } elseif ($dateFormat == "Y/m/d") {
                $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
            } else {
                // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }

            $allassignedtickets->with('cust', 'users', 'category')->where(function ($query) use ($search, $dateFormatSQL) {
                $query->where('subject', 'like', "%{$search}%")
                    ->orWhere('ticket_id', 'like', "%{$search}%")
                    ->orWhere('status', 'like', "%{$search}%")
                    ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

                $query->orWhereHas('category', function ($q) use ($search) {
                    $q->where('name', 'like', "%{$search}%");
                });
                $query->orWhereHas('cust', function ($q) use ($search) {
                    $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
                });
            });
        }

        $allassignedtickets = $allassignedtickets->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')->latest('updated_at')->where(function ($query) {
            $query->whereNotNull('myassignuser_id')->whereNull('selfassignuser_id');
        })
            ->orWhere(function ($query) {
                $query->whereNull('myassignuser_id')->whereNotNull('selfassignuser_id');
            })->get();

        $ticketDrafts = TicketDraft::whereIn('ticket_id', $allassignedtickets->pluck('id'))->get()->keyBy('ticket_id');

        $allassignedtickets = $allassignedtickets->each(function ($ticket) use ($ticketDrafts) {
            // $ticket->encrypted_id = Crypt::encrypt($ticket->id);
            // $ticket->encrypted_ticket_id = Crypt::encrypt($ticket->ticket_id);

            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);

            $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });

        // $perPage = request()->input('per_page', 10);
        // $currentPage = request()->input('page', 1);
        // $finalResult = $allassignedtickets->forPage($currentPage, $perPage)->values();

        $data['ticketdata'] = $allassignedtickets;
        // new \Illuminate\Pagination\LengthAwarePaginator(
        //     $finalResult,
        //     $allassignedtickets->count(),
        //     $perPage,
        //     $currentPage,
        //     ['path' => request()->url(), 'query' => request()->query()]
        // );
        // $data['perPage'] = $perPage;

        if (request()->ajax()) {
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        return view('admin.superadmindashboard.allassignedtickets')->with($data);
    }

    public function recenttickets()
    {

        if (Auth::user()->dashboard == 'Admin') {
            return $this->adminrecentticket();
        }
        if (Auth::user()->dashboard == 'Employee' || Auth::user()->dashboard == null) {
            return $this->employeerecentticket();
        }
    }

    public function adminrecentticket()
    {
        $recenttickets = Ticket::query();
        if (request()->has('search') && !empty(request()->input('search'))) {
            $search = request()->input('search');
            $dateFormat = setting('date_format');

            if ($dateFormat == "d M, Y") {
                $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            } elseif ($dateFormat == "m.d.y") {
                $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
            } elseif ($dateFormat == "Y-m-d") {
                $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
            } elseif ($dateFormat == "d-m-Y") {
                $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
            } elseif ($dateFormat == "d/m/Y") {
                $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
            } elseif ($dateFormat == "Y/m/d") {
                $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
            } else {
                // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }

            $recenttickets->with('cust', 'users', 'category')->where(function ($query) use ($search, $dateFormatSQL) {
                $query->where('subject', 'like', "%{$search}%")
                    ->orWhere('ticket_id', 'like', "%{$search}%")
                    ->orWhere('status', 'like', "%{$search}%")
                    ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

                $query->orWhereHas('category', function ($q) use ($search) {
                    $q->where('name', 'like', "%{$search}%");
                });
                $query->orWhereHas('cust', function ($q) use ($search) {
                    $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
                });
            });
        }

        $recenttickets = $recenttickets->whereIn('status', ['New'])->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')->latest('updated_at')->get();
        $ticketDrafts = TicketDraft::whereIn('ticket_id', $recenttickets->pluck('id'))->get()->keyBy('ticket_id');

        $recenttickets = $recenttickets->each(function ($ticket) use ($ticketDrafts) {
            // $ticket->encrypted_id = Crypt::encrypt($ticket->id);
            // $ticket->encrypted_ticket_id = Crypt::encrypt($ticket->ticket_id);
            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);


            $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });


        $data['ticketdata'] = $recenttickets;


        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        return view('admin.superadmindashboard.recenttickets')->with($data);
    }


    public function employeerecentticket()
    {
        $groups =  Groups::where('groupstatus', '1')->get();

        $group_id = '';
        foreach ($groups as $group) {
            $group_id .= $group->id . ',';
        }

        $groupexists = Groupsusers::whereIn('groups_id', explode(',', substr($group_id, 0, -1)))->where('users_id', Auth::id())->exists();

        $recenttickets = Ticket::query();
        if (request()->has('search') && !empty(request()->input('search'))) {
            $search = request()->input('search');
            $dateFormat = setting('date_format');

            if ($dateFormat == "d M, Y") {
                $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            } elseif ($dateFormat == "m.d.y") {
                $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
            } elseif ($dateFormat == "Y-m-d") {
                $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
            } elseif ($dateFormat == "d-m-Y") {
                $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
            } elseif ($dateFormat == "d/m/Y") {
                $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
            } elseif ($dateFormat == "Y/m/d") {
                $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
            } else {
                // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')
            }

            $recenttickets->with('cust', 'users', 'category', 'ticketnote', 'ticketassignmutliples','selfassign')->where(function ($query) use ($search, $dateFormatSQL) {
                $query->where('subject', 'like', "%{$search}%")
                    ->orWhere('ticket_id', 'like', "%{$search}%")
                    ->orWhere('status', 'like', "%{$search}%")
                    ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

                $query->orWhereHas('category', function ($q) use ($search) {
                    $q->where('name', 'like', "%{$search}%");
                });
                $query->orWhereHas('cust', function ($q) use ($search) {
                    $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
                });
            });

            $ticketDrafts = TicketDraft::whereIn('ticket_id', $recenttickets->pluck('id'))->get()->keyBy('ticket_id');

                    $recenttickets = $recenttickets->each(function ($ticket) use ($ticketDrafts) {
                    // $ticket->encrypted_id = Crypt::encrypt($ticket->id);
                    // $ticket->encrypted_ticket_id = Crypt::encrypt($ticket->ticket_id);
                    $hashids = app(Hashids::class);
                    $ticket->encrypted_id = $hashids->encode($ticket->id);

                    $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

                    // Get the first assigned user if available
                    if ($ticket->ticketassignmutliples->isNotEmpty()) {
                        $assigneddata = $ticket->ticketassignmutliples->first();
                        $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
                    } else {
                        $ticket->assigneduserdata = null;
                    }

                    return $ticket;
                });
        }

        // if there in group get group tickets
        if ($groupexists) {

            $recenttickets = $recenttickets->select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->whereIn('tickets.status', ['New'])
                ->whereNotNull('groups_users.users_id')
                ->where('groups_users.users_id', Auth::id())
                ->where(function ($query) {
                    $query->where(function ($query) {
                        $query->whereNull('tickets.myassignuser_id')
                            ->whereNull('tickets.selfassignuser_id');
                    })
                        ->orWhere(function ($query) {
                            $query->whereNotNull('tickets.selfassignuser_id')
                                ->where('tickets.selfassignuser_id', Auth::id());
                        })
                        ->orWhere(function ($query) {
                            $query->where('tickets.id', 'exists', function ($subquery) {
                                $subquery->select('toassignuser_id')
                                    ->from('ticket_assign_multiples')
                                    ->whereRaw('ticket_assign_multiples.ticket_id = tickets.id')
                                    ->whereIn('toassignuser_id', [Auth::id()]);
                            });
                        });
                })->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')
                ->latest('tickets.updated_at')
                ->groupBy('tickets.id')
                ->get();

                $ticketDrafts = TicketDraft::whereIn('ticket_id', $recenttickets->pluck('id'))->get()->keyBy('ticket_id');

                $recenttickets = $recenttickets->each(function ($ticket) use ($ticketDrafts) {
                // $ticket->encrypted_id = Crypt::encrypt($ticket->id);
                // $ticket->encrypted_ticket_id = Crypt::encrypt($ticket->ticket_id);

                $hashids = app(Hashids::class);
                $ticket->encrypted_id = $hashids->encode($ticket->id);

                $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

                // Get the first assigned user if available
                if ($ticket->ticketassignmutliples->isNotEmpty()) {
                    $assigneddata = $ticket->ticketassignmutliples->first();
                    $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
                } else {
                    $ticket->assigneduserdata = null;
                }

                return $ticket;
            });


        }
        // If no there in group we get the all tickets
        else {


            $recenttickets = $recenttickets->select('tickets.*', "groups_categories.group_id", "groups_users.users_id")
                ->leftJoin('groups_categories', 'groups_categories.category_id', 'tickets.category_id')
                ->leftJoin('groups_users', 'groups_users.groups_id', 'groups_categories.group_id')
                ->leftJoin('groups', 'groups.id', 'groups_users.groups_id')
                ->whereIn('tickets.status', ['New'])
                ->where(function ($query) {
                    $query->where(function ($query) {
                        $query->whereNull('tickets.myassignuser_id')
                            ->whereNull('tickets.selfassignuser_id');
                    })
                        ->orWhere(function ($query) {
                            $query->whereNotNull('tickets.selfassignuser_id')
                                ->where('tickets.selfassignuser_id', Auth::id());
                        })
                        ->orWhere(function ($query) {
                            $query->where('tickets.id', 'exists', function ($subquery) {
                                $subquery->select('toassignuser_id')
                                    ->from('ticket_assign_multiples')
                                    ->whereRaw('ticket_assign_multiples.ticket_id = tickets.id')
                                    ->whereIn('toassignuser_id', [Auth::id()]);
                            });
                        });
                })
                ->where(function ($query) {
                    $query->whereNull('groups_users.users_id')
                        ->orWhere(function ($query) {
                            $query->whereNotNull('groups_users.users_id')
                                ->where('groups.groupstatus', 0);
                        });
                })->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')
                ->latest('tickets.updated_at')
                ->groupBy('tickets.id')
                ->get();

                $ticketDrafts = TicketDraft::whereIn('ticket_id', $recenttickets->pluck('id'))->get()->keyBy('ticket_id');

                $recenttickets = $recenttickets->each(function ($ticket) use ($ticketDrafts) {
                // $ticket->encrypted_id = Crypt::encrypt($ticket->id);
                // $ticket->encrypted_ticket_id = Crypt::encrypt($ticket->ticket_id);
                $hashids = app(Hashids::class);
                $ticket->encrypted_id = $hashids->encode($ticket->id);
                $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

                // Get the first assigned user if available
                if ($ticket->ticketassignmutliples->isNotEmpty()) {
                    $assigneddata = $ticket->ticketassignmutliples->first();
                    $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
                } else {
                    $ticket->assigneduserdata = null;
                }

                return $ticket;
            });
        }

        // $perPage = request()->input('per_page', 10);
        // $currentPage = request()->input('page', 1);
        // $finalResult = $recenttickets->forPage($currentPage, $perPage)->values();

        $data['ticketdata'] = $recenttickets;
        // new \Illuminate\Pagination\LengthAwarePaginator(
        //     $finalResult,
        //     $recenttickets->count(),
        //     $perPage,
        //     $currentPage,
        //     ['path' => request()->url(), 'query' => request()->query()]
        // );
        // $data['perPage'] = $perPage;

        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }

        $ticketnote = DB::table('ticketnotes')->pluck('ticketnotes.ticket_id')->toArray();
        $data['ticketnote'] = $ticketnote;

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        return view('admin.assignedtickets.recenttickets')->with($data);
    }

    public function markNotification(Request $request)
    {
        auth()->user()
            ->unreadNotifications
            ->when($request->input('id'), function ($query) use ($request) {
                return $query->where('id', $request->input('id'));
            })
            ->markAsRead();

        return response()->noContent();
    }


    public function autorefresh(Request $request, $id)
    {
        $calID = User::with('usetting')->find($id);
        if ($calID->usetting == null) {
            $usersettings = new usersettings();
            $usersettings->users_id = $request->id;
            $usersettings->ticket_refresh = $request->status;
            $usersettings->save();
        } else {
            $calID->usetting->ticket_refresh = $request->status;
            $calID->usetting->save();
        }

        return response()->json(['code' => 200, 'success' => lang('Updated successfully', 'alerts')], 200);
    }


    public function summernoteimageupload(Request $request)
    {
        $files = $request->file('image');

        $destinationPath = public_path() . "" . '/uploads/data/'; // upload path
        $profileImage = date('YmdHis') . "." . $files->getClientOriginalExtension();
        $path = $files->move($destinationPath, $profileImage);

        $destinationPath1 = url('/') . '/uploads/data/' . $profileImage;
        return response()->json(['code' => 200, 'data' => $destinationPath1,], 200);
    }


    public function Notificationview($id)
    {
        $notification = auth()->user()->notifications()->where('id', $id)->firstOrFail();
        $data['notifications'] = $notification;

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        return view('admin.notification.viewnotification')->with($data);
    }

    public function notifystatus(Request $request)
    {
        $status = $request->statusnotify;
        if (is_array($status) && in_array('refund', $status)) {
            // Merge additional statuses
            $status = array_merge($status, ['refundpending', 'refundRejected', 'refunded']);
        }

        $perPage = 10;
        $page = $request->page != null ? $request->page : 0;

        if (!$status) {
            $notifications = auth()->user()->notifications()->paginate($perPage, ['*'], 'page', $page)->groupBy(function ($date) {
                return \Carbon\Carbon::parse($date->created_at)->format('Y-m-d');
            });
        } else {
            $notifications =  auth()->user()->notifications()->where(function ($query) use ($status) {
                $query->whereIn('data->status', $status)
                    ->orWhereIn('data->replystatus', $status)
                    ->orWhereIn('data->overduestatus', $status)
                    ->orWhere(function ($query) use ($status) {
                        foreach ($status as $stat) {
                            $query->orWhere('data->itemStatus', 'LIKE', "%{$stat}%");
                        }
                    });
            })

                ->paginate($perPage, ['*'], 'page', $page)->groupBy(function ($date) {
                    return \Carbon\Carbon::parse($date->created_at)->format('Y-m-d');
                });
        }
        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $view = view('admin.notificationpageinclude', compact('notifications', 'title', 'footertext', 'seopage', 'status', 'perPage', 'page'))->render();
        return response()->json(['html' => $view]);
    }

    public function notifysearch(Request $request)
    {
        $status = $request->notifysearch;

        if (isset($status)) {
            $notifications = auth()->user()->notifications()->where(function ($query) {
                $keyword = request()->notifysearch;
                $query->where('data->title', 'LIKE', "%{$keyword}%")
                    ->orWhere('data->ticket_id', 'LIKE', "%{$keyword}%")
                    ->orWhere('data->mailsubject', 'LIKE', "%{$keyword}%")
                    ->orWhere('data->status', 'LIKE', "%{$keyword}%")
                    ->orWhere('data->overduestatus', 'LIKE', "%{$keyword}%")
                    ->orWhere('data->replystatus', 'LIKE', "%{$keyword}%")
                    ->orWhere('data->mailtext', 'LIKE', "%{$keyword}%");
            })->get()->groupBy(function ($date) {
                return \Carbon\Carbon::parse($date->created_at)->format('Y-m-d');
            });
        } else {
            $notifications =  auth()->user()->notifications()->paginate()->groupBy(function ($date) {
                return \Carbon\Carbon::parse($date->created_at)->format('Y-m-d');
            });
        }

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $view = view('admin.notificationpageinclude', compact('notifications', 'title', 'footertext', 'seopage'))->render();
        return response()->json(['html' => $view]);
    }

    public function notifydelete(Request $request)
    {
        $id = $request->id;

        $notificationsdelete = auth()->user()->notifications()->find($id);
        $notificationsdelete->delete();

        return response()->json(['success' => lang('Deleted successfully', 'alerts'), 200]);
    }

    public function markallnotify()
    {
        auth()->user()->unreadNotifications->markAsRead();

        return response()->noContent();
    }

    public function clearcache()
    {
        $log_path = storage_path('logs/laravel.log');
        $geo_path = storage_path('logs/geoip.log');

        if (\File::exists($log_path)) {
            \File::delete($log_path);
        }
        if (\File::exists($geo_path)) {
            \File::delete($geo_path);
        }
        Artisan::call('optimize:clear');

        return response()->json(['success' => lang('Cache Clear Successfull', 'alerts')]);
    }
}
