<?php

namespace App\Http\Controllers\Admin;

use DB;
use App\Models\User;

use Hashids\Hashids;
use App\Models\Pages;
use App\Models\Apptitle;
use App\Models\Customer;
use App\Models\Footertext;
use App\Models\Seosetting;
use App\Models\Groupsusers;
use App\Models\TicketDraft;
use Illuminate\Support\Str;
use Jenssegers\Agent\Agent;
use Illuminate\Http\Request;
use App\Models\Ticket\Ticket;
use App\Models\tickethistory;
use App\Models\Ticket\Comment;
use App\Models\Ticket\Category;
use Torann\GeoIP\Facades\GeoIP;
use App\Models\EmployeeActivity;
use App\Events\ConversationEvent;
use Illuminate\Support\Facades\Log;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Spatie\MediaLibrary\MediaCollections\Models\Media;

class AdminTicketViewController extends Controller
{
    public function customerprevioustickets($cust_id)
    {

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;


        $hashids = app(Hashids::class);
        $cust_id = $hashids->decode($cust_id)[0];

        $users = Customer::find($cust_id);
        $data['users'] = $users;

        $total = Ticket::where('cust_id', $cust_id)->latest('updated_at')->get();
        $data['total'] = $total;

        $custsimillarticket = Ticket::query();
        if (request()->has('search') && !empty(request()->input('search'))) {
            $search = request()->input('search');
            $dateFormat = setting('date_format');

            if($dateFormat == "d M, Y"){
                $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }elseif($dateFormat == "m.d.y"){
                $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
            }elseif($dateFormat == "Y-m-d"){
                $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
            }elseif($dateFormat == "d-m-Y"){
                $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
            }elseif($dateFormat == "d/m/Y"){
                $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
            }elseif($dateFormat == "Y/m/d"){
                $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
            }else{
                // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }

            $custsimillarticket->with('cust','users','category')->where(function($query) use ($search, $dateFormatSQL) {
                $query->where('subject', 'like', "%{$search}%")
                    ->orWhere('ticket_id', 'like', "%{$search}%")
                    ->orWhere('status', 'like', "%{$search}%")
                    ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

                $query->orWhereHas('category', function ($q) use ($search) {
                    $q->where('name', 'like', "%{$search}%");
                });
                $query->orWhereHas('cust', function ($q) use ($search) {
                    $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
                });
            });
        }

        $custsimillarticket = $custsimillarticket->where('cust_id', $cust_id)->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')->latest('updated_at')->get();
        $ticketDrafts = TicketDraft::whereIn('ticket_id', $custsimillarticket->pluck('id'))->get()->keyBy('ticket_id');

        $custsimillarticket = $custsimillarticket->each(function ($ticket) use ($ticketDrafts) {

            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);
            // $ticket->encrypted_id = encrypt($ticket->id);
            // $ticket->encrypted_ticket_id = encrypt($ticket->ticket_id);
            $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });

        $data['ticketdata'] = $custsimillarticket;


        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }

        $active = Ticket::where('cust_id', $cust_id)->whereIn('status', ['New', 'Re-Open', 'Inprogress'])->get();
        $data['active'] = $active;

        $closed = Ticket::where('cust_id', $cust_id)->where('status', 'Closed')->get();
        $data['closed'] = $closed;

        $onhold = Ticket::where('cust_id', $cust_id)->where('status', 'On-Hold')->get();
        $data['onhold'] = $onhold;

        return view('admin.viewticket.customerprevioustickets')->with($data);
    }

    public function selfassignticketview()
    {

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        $selfassignedtickets = Ticket::query();
        if (request()->has('search') && !empty(request()->input('search'))) {
            $search = request()->input('search');
            $dateFormat = setting('date_format');

            if($dateFormat == "d M, Y"){
                $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }elseif($dateFormat == "m.d.y"){
                $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
            }elseif($dateFormat == "Y-m-d"){
                $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
            }elseif($dateFormat == "d-m-Y"){
                $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
            }elseif($dateFormat == "d/m/Y"){
                $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
            }elseif($dateFormat == "Y/m/d"){
                $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
            }else{
                // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }

            $selfassignedtickets->with('cust','users','category')->where(function($query) use ($search, $dateFormatSQL) {
                $query->where('subject', 'like', "%{$search}%")
                    ->orWhere('ticket_id', 'like', "%{$search}%")
                    ->orWhere('status', 'like', "%{$search}%")
                    ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

                $query->orWhereHas('category', function ($q) use ($search) {
                    $q->where('name', 'like', "%{$search}%");
                });
                $query->orWhereHas('cust', function ($q) use ($search) {
                    $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
                });
            });
        }

        $selfassignedtickets = $selfassignedtickets->where('selfassignuser_id', auth()->id())->where('status', '!=' ,'Closed')->where('status', '!=' ,'Suspend')->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')->latest('updated_at')->get();

        $ticketDrafts = TicketDraft::whereIn('ticket_id', $selfassignedtickets->pluck('id'))->get()->keyBy('ticket_id');

        $selfassignedtickets = $selfassignedtickets->each(function ($ticket) use ($ticketDrafts) {


            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);

            $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });



        $data['ticketdata'] = $selfassignedtickets;



        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }
        // ticket note
        $ticketnote = DB::table('ticketnotes')->pluck('ticketnotes.ticket_id')->toArray();
        $data['ticketnote'] = $ticketnote;


        $selfassignedticketsnew = Ticket::where('selfassignuser_id', auth()->id())->where('status', 'New')->count();
        $data['selfassignedticketsnew'] = $selfassignedticketsnew;

        $selfassignedticketsinprogress = Ticket::where('selfassignuser_id', auth()->id())->where('status', 'Inprogress')->count();
        $data['selfassignedticketsinprogress'] = $selfassignedticketsinprogress;

        $selfassignedticketsonhold = Ticket::where('selfassignuser_id', auth()->id())->where('status', 'On-Hold')->count();
        $data['selfassignedticketsonhold'] = $selfassignedticketsonhold;

        $selfassignedticketsreopen = Ticket::where('selfassignuser_id', auth()->id())->where('status', 'Re-Open')->count();
        $data['selfassignedticketsreopen'] = $selfassignedticketsreopen;

        $selfassignedticketsoverdue = Ticket::where('selfassignuser_id', auth()->id())->where('overduestatus', 'Overdue')->count();
        $data['selfassignedticketsoverdue'] = $selfassignedticketsoverdue;

        $selfassignedticketsclosed = Ticket::where('selfassignuser_id', auth()->id())->where('status', 'Closed')->count();
        $data['selfassignedticketsclosed'] = $selfassignedticketsclosed;

        return view('admin.superadmindashboard.mytickets.selfassignticket')->with($data);
    }

    public function myclosedtickets()
    {

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        $myclosedbyuser = Ticket::query();
        if (request()->has('search') && !empty(request()->input('search'))) {
            $search = request()->input('search');
            $dateFormat = setting('date_format');

            if($dateFormat == "d M, Y"){
                $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }elseif($dateFormat == "m.d.y"){
                $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
            }elseif($dateFormat == "Y-m-d"){
                $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
            }elseif($dateFormat == "d-m-Y"){
                $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
            }elseif($dateFormat == "d/m/Y"){
                $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
            }elseif($dateFormat == "Y/m/d"){
                $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
            }else{
                // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }

            $myclosedbyuser->with('cust','users','category')->where(function($query) use ($search, $dateFormatSQL) {
                $query->where('subject', 'like', "%{$search}%")
                    ->orWhere('ticket_id', 'like', "%{$search}%")
                    ->orWhere('status', 'like', "%{$search}%")
                    ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

                $query->orWhereHas('category', function ($q) use ($search) {
                    $q->where('name', 'like', "%{$search}%");
                });
                $query->orWhereHas('cust', function ($q) use ($search) {
                    $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
                });
            });
        }

        $myclosedbyuser = $myclosedbyuser->where('closedby_user', auth()->id())->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')->latest('updated_at')->get();

        $ticketDrafts = TicketDraft::whereIn('ticket_id', $myclosedbyuser->pluck('id'))->get()->keyBy('ticket_id');

        $myclosedbyuser = $myclosedbyuser->each(function ($ticket) use ($ticketDrafts) {

            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);


            $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });



        $data['ticketdata'] = $myclosedbyuser;


        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }

        return view('admin.assignedtickets.myclosedtickets')->with($data);
    }

    public function tickettrashed()
    {

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        $tickettrashed = Ticket::query();
        if (request()->has('search') && !empty(request()->input('search'))) {
            $search = request()->input('search');
            $dateFormat = setting('date_format');

            if($dateFormat == "d M, Y"){
                $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }elseif($dateFormat == "m.d.y"){
                $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
            }elseif($dateFormat == "Y-m-d"){
                $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
            }elseif($dateFormat == "d-m-Y"){
                $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
            }elseif($dateFormat == "d/m/Y"){
                $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
            }elseif($dateFormat == "Y/m/d"){
                $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
            }else{
                // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }

            $tickettrashed->with('cust','users','category')->where(function($query) use ($search, $dateFormatSQL) {
                $query->where('subject', 'like', "%{$search}%")
                    ->orWhere('ticket_id', 'like', "%{$search}%")
                    ->orWhere('status', 'like', "%{$search}%")
                    ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

                $query->orWhereHas('category', function ($q) use ($search) {
                    $q->where('name', 'like', "%{$search}%");
                });
                $query->orWhereHas('cust', function ($q) use ($search) {
                    $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
                });
            });
        }

        $tickettrashed = $tickettrashed->onlyTrashed()->with('ticketnote', 'category', 'cust')->latest('updated_at')->get();

        $tickettrashed = $tickettrashed->each(function ($ticket)  {

            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });



        $data['ticketdata'] = $tickettrashed;


        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }

        return view('admin.assignedtickets.trashedticket')->with($data);
    }

    public function tickettrashedrestore(Request $request, $id)
    {

        $hashids = app(Hashids::class);
        $id = $hashids->decode($id)[0];

        $tickettrashedrestore = Ticket::onlyTrashed()->findOrFail($id);
        $commenttrashedrestore = $tickettrashedrestore->comments()->onlyTrashed()->get();

        if (count($commenttrashedrestore) > 0) {


            $commenttrashedrestore->each->restore();

            // $media = Media::onlyTrashed()->where('model_id', $tickettrashedrestore->id)->where('model_type', get_class($tickettrashedrestore))->where('collection_name', 'ticket')->get();

            // foreach ($media as $media) {
            //     $media->restore();
            // }

            foreach ($commenttrashedrestore as $comment) {
                foreach(Media::onlyTrashed()->where('model_id', $comment->id)->where('model_type', get_class($comment))
                ->where('collection_name', 'comments')->get() as $media){
                    $media->restore();
                }

            }

            $tickethistory = new tickethistory();
            $tickethistory->ticket_id = $tickettrashedrestore->id;

            $tickethistory->ticketnote = $tickettrashedrestore->ticketnote->isNotEmpty();
            $tickethistory->overduestatus = $tickettrashedrestore->overduestatus;
            $tickethistory->status = $tickettrashedrestore->status;
            $tickethistory->currentAction = 'Ticket Restore';
            $tickethistory->username = Auth::user()->name;
            $tickethistory->type = Auth::user()->getRoleNames()[0];

            $tickethistory->save();



            foreach($tickettrashedrestore->ticket_history()->onlyTrashed()->get() as $deletetickethistory)
            {
                $deletetickethistory->restore();
            }


            $tickettrashedrestore->restore();
            $geolocation = GeoIP::getLocation(request()->getClientIp());
            $agent = new Agent();
            $activity = new EmployeeActivity();
            $activity->user_id = Auth::user()->id;
            $activity->activity_type = 'Re-stored the trashed tickets';
            $activity->ip_address = $geolocation->ip;
            $activity->browser = $agent->browser();
            $activity->device = $agent->device();
            $activity->save();
            return response()->json(['success'=>lang('The ticket was successfully restore.', 'alerts')]);
        }else{
            $tickettrashedrestore->restore();

            // $media = Media::onlyTrashed()->where('model_id', $tickettrashedrestore->id)->where('model_type', get_class($tickettrashedrestore))->where('collection_name', 'ticket')->get();

            // foreach ($media as $media) {
            //     $media->restore();
            // }


            $tickethistory = new tickethistory();
            $tickethistory->ticket_id = $tickettrashedrestore->id;

            $tickethistory->ticketnote = $tickettrashedrestore->ticketnote->isNotEmpty();
            $tickethistory->overduestatus = $tickettrashedrestore->overduestatus;
            $tickethistory->status = $tickettrashedrestore->status;
            $tickethistory->currentAction = 'Ticket Restore';
            $tickethistory->username = Auth::user()->name;
            $tickethistory->type = Auth::user()->getRoleNames()[0];

            $tickethistory->save();

            foreach($tickettrashedrestore->ticket_history()->onlyTrashed()->get() as $deletetickethistory)
            {
                $deletetickethistory->restore();
            }

            $geolocation = GeoIP::getLocation(request()->getClientIp());
            $agent = new Agent();
            $activity = new EmployeeActivity();
            $activity->user_id = Auth::user()->id;
            $activity->activity_type = 'Re-stored the trashed ticket';
            $activity->ip_address = $geolocation->ip;
            $activity->browser = $agent->browser();
            $activity->device = $agent->device();
            $activity->save();
            return response()->json(['success'=> lang('The ticket was successfully restored.', 'alerts')]);

        }
    }

    public function tickettrasheddestroy($id)
    {
        $hashids = app(Hashids::class);
        $id = $hashids->decode($id)[0];

        $tickettrasheddelete = Ticket::onlyTrashed()->findOrFail($id);
        $commenttrasheddelete = $tickettrasheddelete->comments()->onlyTrashed()->get();


        if (count($commenttrasheddelete) > 0) {
            $media = $tickettrasheddelete->getMedia('ticket');

            foreach ($media as $medias) {

                    $medias->forceDelete();

            }
            $medias = $tickettrasheddelete->comments()->onlyTrashed()->get();

            foreach ($medias as $mediass) {
                foreach($mediass->getMedia('comments') as $mediasss){

                    $mediasss->forceDelete();
                }

            }
            $commenttrasheddelete->each->forceDelete();

            foreach($tickettrasheddelete->ticket_history()->onlyTrashed()->get() as $deletetickethistory)
            {
                $deletetickethistory->forceDelete();
            }

            $tickettrasheddelete->forceDelete();

            $geolocation = GeoIP::getLocation(request()->getClientIp());
            $agent = new Agent();
            $activity = new EmployeeActivity();
            $activity->user_id = Auth::user()->id;
            $activity->activity_type = 'Deleted the trashed tickets';
            $activity->ip_address = $geolocation->ip;
            $activity->browser = $agent->browser();
            $activity->device = $agent->device();
            $activity->save();
            return response()->json(['success'=>lang('The ticket was successfully deleted.', 'alerts')]);
        }else{

            $media = $tickettrasheddelete->getMedia('ticket');

            foreach ($media as $medias) {
                $medias->forceDelete();
            }

            foreach($tickettrasheddelete->ticket_history()->onlyTrashed()->get() as $deletetickethistory)
            {
                $deletetickethistory->forceDelete();
            }
            $tickettrasheddelete->forceDelete();

            $geolocation = GeoIP::getLocation(request()->getClientIp());
            $agent = new Agent();
            $activity = new EmployeeActivity();
            $activity->user_id = Auth::user()->id;
            $activity->activity_type = 'Deleted the trashed tickets';
            $activity->ip_address = $geolocation->ip;
            $activity->browser = $agent->browser();
            $activity->device = $agent->device();
            $activity->save();

            return response()->json(['success'=> lang('The ticket was successfully deleted.', 'alerts')]);

        }
    }


    public function tickettrashedview($id)
    {

        $aaa = Str::length($id);
        $hashids = app(Hashids::class);
        if ($aaa == 20) {

            $id = $hashids->decode($id)[0];
            $tickettrashedview = Ticket::onlyTrashed()->findOrFail($id);

        } elseif ($aaa > 20) {
            $id = decrypt($id);
            $tickettrashedview = Ticket::onlyTrashed()->findOrFail($id);

        } elseif ($aaa < 20) {
            $tickettrashedview = Ticket::onlyTrashed()->findOrFail($id);

        }

        $data['tickettrashedview'] = $tickettrashedview;

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        return view('admin.assignedtickets.trashedticketview')->with($data);
    }


    public function alltrashedticketrestore(Request $request)
    {

        $id_arrays = $request->input('id');

        $hashids = app(Hashids::class);
        $id_array = array_map(function ($encryptedValue) use ($hashids){
            return $hashids->decode($encryptedValue)[0];
        }, $id_arrays);

        $sendmails = Ticket::onlyTrashed()->whereIn('id', $id_array)->get();

        foreach($sendmails as $tickettrashedrestoreall){
            $commenttrashedrestorealls = $tickettrashedrestoreall->comments()->onlyTrashed()->get();
            foreach($commenttrashedrestorealls as $commenttrashedrestoreall){
                $commenttrashedrestoreall->restore();
            }
            //         foreach(Media::onlyTrashed()->where('model_id', $commenttrashedrestoreall->id)->where('model_type', get_class($commenttrashedrestoreall))
            //         ->where('collection_name', 'comments')->get() as $media){
            //             $media->restore();
            //         }
            // $media = Media::onlyTrashed()->where('model_id', $tickettrashedrestoreall->id)->where('model_type', get_class($tickettrashedrestoreall))->where('collection_name', 'ticket')->get();

            // foreach ($media as $media) {
            //     $media->restore();
            // }
            $tickettrashedrestoreall->restore();

            $tickethistory = new tickethistory();
            $tickethistory->ticket_id = $tickettrashedrestoreall->id;

            $tickethistory->ticketnote = $tickettrashedrestoreall->ticketnote->isNotEmpty();
            $tickethistory->overduestatus = $tickettrashedrestoreall->overduestatus;
            $tickethistory->status = $tickettrashedrestoreall->status;
            $tickethistory->currentAction = 'Ticket Restore';
            $tickethistory->username = Auth::user()->name;
            $tickethistory->type = Auth::user()->getRoleNames()[0];

            $tickethistory->save();

            foreach($tickettrashedrestoreall->ticket_history()->onlyTrashed()->get() as $deletetickethistory)
            {
                $deletetickethistory->restore();
            }

            $geolocation = GeoIP::getLocation(request()->getClientIp());
            $agent = new Agent();
            $activity = new EmployeeActivity();
            $activity->user_id = Auth::user()->id;
            $activity->activity_type = 'Restored multiple trashed tickets';
            $activity->ip_address = $geolocation->ip;
            $activity->browser = $agent->browser();
            $activity->device = $agent->device();
            $activity->save();

        }
        return response()->json(['success'=> lang('The ticket was successfully restored.', 'alerts')]);

    }

    public function alltrashedticketdelete(Request $request)
    {
        $id_arrays = $request->input('id');

        $hashids = app(Hashids::class);

        $id_array = array_map(function ($encryptedValue) use ($hashids) {
            return $hashids->decode($encryptedValue)[0];
        }, $id_arrays);

        $sendmails = Ticket::onlyTrashed()->whereIn('id', $id_array)->get();

        foreach($sendmails as $tickettrasheddeleteeall){

            $commenttrasheddeleteall = $tickettrasheddeleteeall->comments()->onlyTrashed()->get();


            if (count($commenttrasheddeleteall) > 0) {
                $media = $tickettrasheddeleteeall->getMedia('ticket');

                foreach ($media as $medias) {

                        $medias->forceDelete();

                }

                foreach ($commenttrasheddeleteall as $mediass) {
                    foreach($mediass->getMedia('comments') as $mediasss){

                        $mediasss->forceDelete();
                    }

                    $mediass->forceDelete();
                }

                foreach($tickettrasheddeleteeall->ticket_history()->onlyTrashed()->get() as $deletetickethistory)
                {
                    $deletetickethistory->forceDelete();
                }


                $sendmails->each->forceDelete();

                $geolocation = GeoIP::getLocation(request()->getClientIp());
                $agent = new Agent();
                $activity = new EmployeeActivity();
                $activity->user_id = Auth::user()->id;
                $activity->activity_type = 'Deleted multiple trashed tickets';
                $activity->ip_address = $geolocation->ip;
                $activity->browser = $agent->browser();
                $activity->device = $agent->device();
                $activity->save();
                return response()->json(['success'=>lang('The ticket was successfully deleted.', 'alerts')]);
            }else{

                $media = $tickettrasheddeleteeall->getMedia('ticket');

                foreach ($media as $medias) {

                    $medias->forceDelete();

                }

                foreach($tickettrasheddeleteeall->ticket_history()->onlyTrashed()->get() as $deletetickethistory)
                {
                    $deletetickethistory->forceDelete();
                }


                $sendmails->each->forceDelete();
                $geolocation = GeoIP::getLocation(request()->getClientIp());
                $agent = new Agent();
                $activity = new EmployeeActivity();
                $activity->user_id = Auth::user()->id;
                $activity->activity_type = 'Deleted multiple trashed tickets';
                $activity->ip_address = $geolocation->ip;
                $activity->browser = $agent->browser();
                $activity->device = $agent->device();
                $activity->save();

                return response()->json(['success'=> lang('The ticket was successfully deleted.', 'alerts')]);

            }

        }
    }

    public function allactiveinprogresstickets()
    {
        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        $allactiveinprogresstickets = Ticket::query();
        if (request()->has('search') && !empty(request()->input('search'))) {
            $search = request()->input('search');
            $dateFormat = setting('date_format');

            if($dateFormat == "d M, Y"){
                $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }elseif($dateFormat == "m.d.y"){
                $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
            }elseif($dateFormat == "Y-m-d"){
                $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
            }elseif($dateFormat == "d-m-Y"){
                $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
            }elseif($dateFormat == "d/m/Y"){
                $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
            }elseif($dateFormat == "Y/m/d"){
                $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
            }else{
                // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }

            $allactiveinprogresstickets->with('cust','users','category')->where(function($query) use ($search, $dateFormatSQL) {
                $query->where('subject', 'like', "%{$search}%")
                    ->orWhere('ticket_id', 'like', "%{$search}%")
                    ->orWhere('status', 'like', "%{$search}%")
                    ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

                $query->orWhereHas('category', function ($q) use ($search) {
                    $q->where('name', 'like', "%{$search}%");
                });
                $query->orWhereHas('cust', function ($q) use ($search) {
                    $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
                });
            });
        }

        $allactiveinprogresstickets = $allactiveinprogresstickets->where('status', 'Inprogress')->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')->get();
        $ticketDrafts = TicketDraft::whereIn('ticket_id', $allactiveinprogresstickets->pluck('id'))->get()->keyBy('ticket_id');

        $allactiveinprogresstickets = $allactiveinprogresstickets->each(function ($ticket) use ($ticketDrafts) {
            // $ticket->encrypted_id = encrypt($ticket->id);
            // $ticket->encrypted_ticket_id = encrypt($ticket->ticket_id);

            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);
            $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });

        $data['ticketdata'] = $allactiveinprogresstickets;


        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }

        return view('admin.superadmindashboard.activetickets.activeinprogressticket')->with($data);
    }

    public function allactivereopentickets()
    {
        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        $allactivereopentickets = Ticket::query();
        if (request()->has('search') && !empty(request()->input('search'))) {
            $search = request()->input('search');
            $dateFormat = setting('date_format');

            if($dateFormat == "d M, Y"){
                $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }elseif($dateFormat == "m.d.y"){
                $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
            }elseif($dateFormat == "Y-m-d"){
                $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
            }elseif($dateFormat == "d-m-Y"){
                $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
            }elseif($dateFormat == "d/m/Y"){
                $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
            }elseif($dateFormat == "Y/m/d"){
                $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
            }else{
                // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }

            $allactivereopentickets->with('cust','users','category')->where(function($query) use ($search, $dateFormatSQL) {
                $query->where('subject', 'like', "%{$search}%")
                    ->orWhere('ticket_id', 'like', "%{$search}%")
                    ->orWhere('status', 'like', "%{$search}%")
                    ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

                $query->orWhereHas('category', function ($q) use ($search) {
                    $q->where('name', 'like', "%{$search}%");
                });
                $query->orWhereHas('cust', function ($q) use ($search) {
                    $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
                });
            });
        }

        $allactivereopentickets = $allactivereopentickets->whereIn('status', ['Re-Open'])->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')->get();


        $ticketDrafts = TicketDraft::whereIn('ticket_id', $allactivereopentickets->pluck('id'))->get()->keyBy('ticket_id');

        $allactivereopentickets = $allactivereopentickets->each(function ($ticket) use ($ticketDrafts) {


            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);
            $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });


        $data['ticketdata'] = $allactivereopentickets;


        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }

        return view('admin.superadmindashboard.activetickets.activereopenticket')->with($data);
    }

    public function allactiveonholdtickets()
    {
        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        $allactiveonholdtickets = Ticket::query();
        if (request()->has('search') && !empty(request()->input('search'))) {
            $search = request()->input('search');
            $dateFormat = setting('date_format');

            if($dateFormat == "d M, Y"){
                $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }elseif($dateFormat == "m.d.y"){
                $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
            }elseif($dateFormat == "Y-m-d"){
                $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
            }elseif($dateFormat == "d-m-Y"){
                $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
            }elseif($dateFormat == "d/m/Y"){
                $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
            }elseif($dateFormat == "Y/m/d"){
                $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
            }else{
                // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }

            $allactiveonholdtickets->with('cust','users','category')->where(function($query) use ($search, $dateFormatSQL) {
                $query->where('subject', 'like', "%{$search}%")
                    ->orWhere('ticket_id', 'like', "%{$search}%")
                    ->orWhere('status', 'like', "%{$search}%")
                    ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

                $query->orWhereHas('category', function ($q) use ($search) {
                    $q->where('name', 'like', "%{$search}%");
                });
                $query->orWhereHas('cust', function ($q) use ($search) {
                    $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
                });
            });
        }

        $allactiveonholdtickets = $allactiveonholdtickets->whereIn('status', ['On-Hold'])->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')->get();
        $ticketDrafts = TicketDraft::whereIn('ticket_id', $allactiveonholdtickets->pluck('id'))->get()->keyBy('ticket_id');

        $allactiveonholdtickets = $allactiveonholdtickets->each(function ($ticket) use ($ticketDrafts) {
            // $ticket->encrypted_id = encrypt($ticket->id);
            // $ticket->encrypted_ticket_id = encrypt($ticket->ticket_id);

            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);
            $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });


        $data['ticketdata'] = $allactiveonholdtickets;

        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }

        return view('admin.superadmindashboard.activetickets.activeonholdticket')->with($data);
    }

    public function allactiveassignedtickets()
    {

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        $allactiveassignedtickets = Ticket::query();
        if (request()->has('search') && !empty(request()->input('search'))) {
            $search = request()->input('search');
            $dateFormat = setting('date_format');

            if($dateFormat == "d M, Y"){
                $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }elseif($dateFormat == "m.d.y"){
                $dateFormatSQL = str_replace("m.d.y", "%m.%d.%Y", $dateFormat);
            }elseif($dateFormat == "Y-m-d"){
                $dateFormatSQL = str_replace("Y-m-d", "%Y-%m-%d", $dateFormat);
            }elseif($dateFormat == "d-m-Y"){
                $dateFormatSQL = str_replace("d-m-Y", "%d-%m-%Y", $dateFormat);
            }elseif($dateFormat == "d/m/Y"){
                $dateFormatSQL = str_replace("d/m/Y", "%d/%m/%Y", $dateFormat);
            }elseif($dateFormat == "Y/m/d"){
                $dateFormatSQL = str_replace("Y/m/d", "%Y/%m/%d", $dateFormat);
            }else{
                // $dateFormatSQL = str_replace("d M, Y", "%d %b, %Y", $dateFormat);
            }

            $allactiveassignedtickets->with('cust','users','category')->where(function($query) use ($search, $dateFormatSQL) {
                $query->where('subject', 'like', "%{$search}%")
                    ->orWhere('ticket_id', 'like', "%{$search}%")
                    ->orWhere('status', 'like', "%{$search}%")
                    ->orWhereRaw("DATE_FORMAT(created_at, '{$dateFormatSQL}') LIKE ?", ["%{$search}%"]);

                $query->orWhereHas('category', function ($q) use ($search) {
                    $q->where('name', 'like', "%{$search}%");
                });
                $query->orWhereHas('cust', function ($q) use ($search) {
                    $q->where('username', 'like', "%{$search}%")->orWhere('userType', 'like', "%{$search}%");
                });
            });
        }

        $allactiveassignedtickets = $allactiveassignedtickets->whereIn('status', ['Re-Open','Inprogress','On-Hold'])
        ->where(function ($query) {
            $query->whereNotNull('selfassignuser_id')->orWhereNotNull('myassignuser_id');
        })
        ->groupBy('tickets.id')->with('ticketnote', 'category', 'cust', 'ticketassignmutliples', 'selfassign')->get();
        $ticketDrafts = TicketDraft::whereIn('ticket_id', $allactiveassignedtickets->pluck('id'))->get()->keyBy('ticket_id');

        $allactiveassignedtickets = $allactiveassignedtickets->each(function ($ticket) use ($ticketDrafts) {


            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);

            $ticket->ticketdraft = $ticketDrafts->get($ticket->id);

            // Get the first assigned user if available
            if ($ticket->ticketassignmutliples->isNotEmpty()) {
                $assigneddata = $ticket->ticketassignmutliples->first();
                $ticket->assigneduserdata = User::find($assigneddata->toassignuser_id); // Add assigned user to ticket
            } else {
                $ticket->assigneduserdata = null;
            }

            return $ticket;
        });


        $data['ticketdata'] = $allactiveassignedtickets;

        if(request()->ajax()){
            return response()->json(['ticketdata' => $data['ticketdata']]);
        }

        return view('admin.superadmindashboard.activetickets.activeassignedticket')->with($data);
    }

    public function tickethistory($id)
    {

        $hashids = app(Hashids::class);
        $id = $hashids->decode($id)[0];

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;


        $ticket = Ticket::where('id', $id)->firstOrFail();
        $data['ticket'] = $ticket;
        return view('admin.tickethistory.index')->with($data);
    }

}
