<?php

namespace App\Http\Controllers\Admin;

use Hash;
use Mail;
use Exception;
use DOMDocument;
use App\Models\User;

use Hashids\Hashids;
use App\Jobs\SendSMS;
use Swift_Attachment;
use App\Jobs\MailSend;
use App\Models\Groups;
use App\Models\CCMAILS;
use Twilio\Rest\Client;
use App\Jobs\SendEmails;
use App\Models\Customer;
use App\Models\Ratingtoken;
use App\Models\TicketDraft;
use Jenssegers\Agent\Agent;
use App\Models\Imap_setting;
use Illuminate\Http\Request;
use App\Models\EmailTemplate;
use App\Models\Ticket\Ticket;
use App\Models\tickethistory;
use App\Mail\mailmailablesend;
use App\Models\Ticket\Comment;
use App\Models\Ticket\Category;
use GuzzleHttp\Psr7\stream_for;
use Torann\GeoIP\Facades\GeoIP;
use App\Models\EmployeeActivity;
use App\Events\ConversationEvent;
use Symfony\Component\Mime\Email;
use Illuminate\Support\Facades\Log;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Storage;
use Symfony\Component\Mime\Part\DataPart;
use App\Notifications\TicketDraftNotification;
use App\Notifications\TicketCreateNotifications;
use Spatie\MediaLibrary\MediaCollections\Models\Media;

class CommentsController extends Controller
{
    public function ticketdraftimage(Request $request, $id)
    {
        $im = Media::find($id);
        if ($im) {
            $im->delete();

            return response()->json(['success' => lang('The image is deleted successfully.', 'alerts')]);
        } else {
            abort(404);
        }
    }

    public function ticketdraft(Request $request)
    {
        $this->validate($request, [
            'ticket_id' => 'required',
            'comment' => 'required'
        ]);

        $draftiId = $request->draft_id;

        $draftdata =  [
            'ticket_id' => $request->ticket_id,
            'description' => $request->comment,
        ];


        $ticketdraft = TicketDraft::updateOrCreate(['id' => $draftiId], $draftdata);

        foreach ($request->input('comments', []) as $file) {
            $provider =  storage()->provider;
            $provider::mediaupload($ticketdraft, 'uploads/comment/' . $file, 'ticketdrafts');
        }

        $ticket = Ticket::findOrFail($request->ticket_id);

        $tickethistory = new tickethistory();
        $tickethistory->ticket_id = $ticket->id;

        $tickethistory->ticketnote = $ticket->ticketnote->isNotEmpty();
        $tickethistory->overduestatus = $ticket->overduestatus;
        $tickethistory->status = $ticket->status;
        if ($draftiId != null) {
            $tickethistory->currentAction = 'Tiket Draft Modified';
        } else {
            $tickethistory->currentAction = 'Ticket Draft Created';
        }
        $tickethistory->username = Auth::user()->name;
        $tickethistory->type = Auth::user()->getRoleNames()[0];

        $tickethistory->save();

        $geolocation = GeoIP::getLocation(request()->getClientIp());
        $agent = new Agent();
        $activity = new EmployeeActivity();
        $activity->user_id = Auth::user()->id;
        $activity->activity_type = 'Created a Ticket Draft';
        $activity->ticket_id =  $ticket->ticket_id;
        $activity->ip_address = $geolocation->ip;
        $activity->browser = $agent->browser();
        $activity->device = $agent->device();
        $activity->save();

        $hashids = app(Hashids::class);

        if ($draftiId == null) {
            $ticketData = [
                'username' => Auth::user()->name,
                'ticket_id' => $ticket->ticket_id,
                'ticket_description' => $request->comment,
                'created_or_respond' => 'Created',
                'ticket_admin_url' => url('/admin/ticket-view/' . $hashids->encode($ticket->id)),
                'ticket_category' => $ticket->category ? $ticket->category->name : null,
                'status' => $ticket->status
            ];
        } else {
            $ticketData = [
                'username' => Auth::user()->name,
                'ticket_id' => $ticket->ticket_id,
                'ticket_description' => $request->comment,
                'created_or_respond' => 'Updated',
                'ticket_admin_url' => url('/admin/ticket-view/' . $hashids->encode($ticket->id)),
                'ticket_category' => $ticket->category ? $ticket->category->name : null,
                'status' => $ticket->status
            ];
        }

        try {
            $admins = User::leftJoin('groups_users', 'groups_users.users_id', 'users.id')->whereNull('groups_users.groups_id')->whereNull('groups_users.users_id')->where('users.status', 1)->get();


            if ($ticket->category) {
                $notificationcat = $ticket->category->groupscategoryc()->get();
                $groupIds = $notificationcat->pluck('group_id')->toArray();
                $groupstatus = false;
                foreach ($groupIds as $groupid) {
                    $groupexist = Groups::where('groupstatus', '1')->find($groupid);
                    if ($groupexist) {
                        $groupstatus = true;
                    }
                }

                $icc = array();

                if ($groupstatus) {

                    foreach ($notificationcat as $igc) {
                        $groups = $igc->groupsc()
                            ->where('groupstatus', 1)
                            ->with('groupsuser')
                            ->get();

                        foreach ($groups as $group) {
                            $users = $group->groupsuser;

                            foreach ($users as $user) {
                                $icc[] = $user->users_id;
                            }
                        }
                    }

                    if (!$icc) {
                        $admins = User::leftJoin('groups_users', 'groups_users.users_id', 'users.id')->whereNull('groups_users.groups_id')->whereNull('groups_users.users_id')->where('users.status', 1)->get();

                        foreach ($admins as $admin) {
                            if ($admin->id != Auth::id()) {
                                $admin->notify(new TicketDraftNotification($ticketData));
                                if ($admin->getRoleNames()[0] == 'superadmin' && $admin->usetting->emailnotifyon == 1) {
                                    dispatch((new MailSend($admin->email, 'Send_email_to_admin_when_ticket_draft_created', $ticketData)));
                                }
                            }
                        }
                    } else {

                        if ($ticket->myassignuser_id) {
                            $assignee = $ticket->ticketassignmutliples;
                            foreach ($assignee as $assignees) {
                                $user = User::where('id', $assignees->toassignuser_id)->where('status', 1)->get();
                                foreach ($user as $users) {
                                    if ($users->id != Auth::id()) {
                                        $users->notify(new TicketDraftNotification($ticketData));
                                        if ($users->id == $assignees->toassignuser_id && $users->usetting->emailnotifyon == 1) {
                                            dispatch((new MailSend($users->email, 'Send_email_to_admin_when_ticket_draft_created', $ticketData)));
                                        }
                                    }
                                }
                            }
                            $admins = User::leftJoin('groups_users', 'groups_users.users_id', 'users.id')->whereNull('groups_users.groups_id')->whereNull('groups_users.users_id')->where('users.status', 1)->get();

                            foreach ($admins as $admin) {
                                if ($admin->id != Auth::id()) {
                                    $admin->notify(new TicketDraftNotification($ticketData));
                                    if ($admin->getRoleNames()[0] == 'superadmin' && $admin->usetting->emailnotifyon == 1) {
                                        dispatch((new MailSend($admin->email, 'Send_email_to_admin_when_ticket_draft_created', $ticketData)));
                                    }
                                }
                            }
                        } else if ($ticket->selfassignuser_id) {

                            $self = User::where('status', 1)->findOrFail($ticket->selfassignuser_id);
                            if ($self->id != Auth::id()) {
                                $self->notify(new TicketDraftNotification($ticketData));
                                if ($self->usetting->emailnotifyon == 1) {
                                    dispatch((new MailSend($self->email, 'Send_email_to_admin_when_ticket_draft_created', $ticketData)));
                                }
                            }

                            $admins = User::leftJoin('groups_users', 'groups_users.users_id', 'users.id')->whereNull('groups_users.groups_id')->whereNull('groups_users.users_id')->where('users.status', 1)->get();

                            foreach ($admins as $admin) {
                                if ($admin->id != Auth::id()) {
                                    $admin->notify(new TicketDraftNotification($ticketData));
                                    if ($admin->getRoleNames()[0] == 'superadmin' && $admin->usetting->emailnotifyon == 1) {
                                        dispatch((new MailSend($admin->email, 'Send_email_to_admin_when_ticket_draft_created', $ticketData)));
                                    }
                                }
                            }
                        } else if ($icc) {

                            $user = User::whereIn('id', $icc)->where('status', 1)->get();

                            foreach ($user as $users) {
                                if ($users->id != Auth::id()) {
                                    $users->notify(new TicketDraftNotification($ticketData));
                                    if ($users->usetting->emailnotifyon == 1) {
                                        dispatch((new MailSend($users->email, 'Send_email_to_admin_when_ticket_draft_created', $ticketData)));
                                    }
                                }
                            }

                            $superAdmins = User::where('status', 1)->whereHas('roles', function ($query) {
                                $query->where('name', 'superadmin');
                            })->get();

                            foreach ($superAdmins as $admin) {
                                $admin->notify(new TicketDraftNotification($ticketData));
                                if ($admin->usetting->emailnotifyon == 1) {
                                    dispatch((new MailSend($admin->email, 'admin_send_email_ticket_created', $ticketData)));
                                }
                            }
                        } else {
                            $users = User::leftJoin('groups_users', 'groups_users.users_id', 'users.id')->whereNull('groups_users.groups_id')->whereNull('groups_users.users_id')->where('users.status', 1)->get();
                            foreach ($users as $user) {
                                if ($user->id != Auth::id()) {
                                    $user->notify(new TicketDraftNotification($ticketData));
                                    if ($user->usetting->emailnotifyon == 1) {
                                        dispatch((new MailSend($user->email, 'Send_email_to_admin_when_ticket_draft_created', $ticketData)));
                                    }
                                }
                            }
                        }
                    }
                } else {
                    if ($ticket->myassignuser) {
                        $assignee = $ticket->ticketassignmutliples;
                        foreach ($assignee as $assignees) {
                            $user = User::where('id', $assignees->toassignuser_id)->where('status', 1)->get();
                            foreach ($user as $users) {
                                if ($users->id != Auth::id()) {
                                    $users->notify(new TicketDraftNotification($ticketData));
                                    if ($users->id == $assignees->toassignuser_id && $users->usetting->emailnotifyon == 1) {
                                        dispatch((new MailSend($users->email, 'Send_email_to_admin_when_ticket_draft_created', $ticketData)));
                                    }
                                }
                            }
                        }
                        $admins = User::leftJoin('groups_users', 'groups_users.users_id', 'users.id')->whereNull('groups_users.groups_id')->whereNull('groups_users.users_id')->where('users.status', 1)->get();
                        foreach ($admins as $admin) {
                            if ($admin->id != Auth::id()) {
                                $admin->notify(new TicketDraftNotification($ticketData));
                                if ($admin->getRoleNames()[0] == 'superadmin' && $admin->usetting->emailnotifyon == 1) {
                                    dispatch((new MailSend($admin->email, 'Send_email_to_admin_when_ticket_draft_created', $ticketData)));
                                }
                            }
                        }
                    } else if ($ticket->selfassignuser_id) {
                        $self = User::findOrFail($ticket->selfassignuser_id);
                        if ($self->id != Auth::id()) {
                            $self->notify(new TicketDraftNotification($ticketData));
                            if ($self->usetting->emailnotifyon == 1) {
                                dispatch((new MailSend($self->email, 'Send_email_to_admin_when_ticket_draft_created', $ticketData)));
                            }
                        }
                        $admins = User::leftJoin('groups_users', 'groups_users.users_id', 'users.id')->whereNull('groups_users.groups_id')->whereNull('groups_users.users_id')->where('users.status', 1)->get();
                        foreach ($admins as $admin) {
                            if ($admin->id != Auth::id()) {
                                $admin->notify(new TicketDraftNotification($ticketData));
                                if ($admin->getRoleNames()[0] == 'superadmin' && $admin->usetting->emailnotifyon == 1) {
                                    dispatch((new MailSend($admin->email, 'Send_email_to_admin_when_ticket_draft_created', $ticketData)));
                                }
                            }
                        }
                    } else {
                        foreach (usersdata() as $user) {
                            if ($user->id != Auth::id()) {
                                $user->notify(new TicketDraftNotification($ticketData));
                                if ($user->usetting->emailnotifyon == 1) {
                                    dispatch((new MailSend($user->email, 'Send_email_to_admin_when_ticket_draft_created', $ticketData)));
                                }
                            }
                        }
                    }
                }
            } else {
                $user = User::where('id', $ticket->lastreply_mail)->where('status', 1)->get();
                foreach ($user as $users) {
                    if ($users->id != Auth::id()) {
                        $users->notify(new TicketDraftNotification($ticketData));
                        if ($users->usetting->emailnotifyon == 1) {
                            dispatch((new MailSend($users->email, 'Send_email_to_admin_when_ticket_draft_created', $ticketData)));
                        }
                    }
                }
            }
        } catch (\Exception $e) {
            return response()->json(['success' => lang('The ticket Draft was successfully created.', 'alerts')]);
        }
        if (webSocketCheck()) {
            try {
                event(new \App\Events\ConversationEvent(dbname(), null, null, null, null, null, 'tableDataReload', null));
            } catch (\Exception $e) {
                Log::error('Error dispatching WebSocket event: ' . $e->getMessage());
            }
        }

        return response()->json(['success' => lang('The ticket Draft was successfully created.', 'alerts')]);
    }

    public function draftdelete(Request $request)
    {

        $ticketdraft = TicketDraft::find($request->id);

        $ticket = Ticket::find($ticketdraft->ticket_id);

        $tickethistory = new tickethistory();
        $tickethistory->ticket_id = $ticket->id;

        $tickethistory->ticketnote = $ticket->ticketnote->isNotEmpty();
        $tickethistory->overduestatus = $ticket->overduestatus;
        $tickethistory->status = $ticket->status;
        $tickethistory->currentAction = 'Tiket Draft deleted';
        $tickethistory->username = Auth::user()->name;
        $tickethistory->type = Auth::user()->getRoleNames()[0];

        $tickethistory->save();
        if (webSocketCheck()) {
            try {
                event(new \App\Events\ConversationEvent(dbname(), null, null, null, null, null, 'tableDataReload', null, null));
            } catch (\Exception $e) {
                Log::error('Error dispatching WebSocket event: ' . $e->getMessage());
            }
        }

        $geolocation = GeoIP::getLocation(request()->getClientIp());
        $agent = new Agent();
        $activity = new EmployeeActivity();
        $activity->user_id = Auth::user()->id;
        $activity->activity_type = 'Deleted a Ticket Draft for ';
        $activity->ticket_id =  $ticket->ticket_id;
        $activity->ip_address = $geolocation->ip;
        $activity->browser = $agent->browser();
        $activity->device = $agent->device();
        $activity->save();

        if ($ticketdraft) {
            foreach ($ticketdraft->getMedia('ticketdrafts') as $ticketdr) {
                $ticketdr->delete();
            }
            $ticketdraft->delete();
        }
        return response()->json(['success' => lang('The draft is deleted successfully.', 'alerts')]);
    }

    public function postComment(Request $request,  $ticket_id)
    {

        $ticket_id = decrypt($ticket_id);


        if ($request->status == 'Solved') {
            $this->validate($request, [
                'comment' => 'required'
            ]);
            $com = $request->input('comment');

            // Trim unwanted tags from the start and end
            $co = preg_replace('/^(<p><br><\\/p>)+|(<p><br><\\/p>)+$/', '', $com);
            $comment = Comment::create([
                'ticket_id' => $request->input('ticket_id'),
                'user_id' => Auth::user()->id,
                'cust_id' => null,
                'comment' => $co,
            ]);

            $ticketdraft = TicketDraft::where('ticket_id', $request->ticket_id)->first();

            if ($ticketdraft) {

                foreach ($ticketdraft->getMedia('ticketdrafts') as $ticketdr) {
                    if (!file_exists('public/temp/')) {
                        mkdir('public/temp/', 0777, true);
                    }
                    $localTempFilePath = 'public/temp/' . $ticketdr->file_name;
                    $existprovider = existprovider($ticketdr->disk);
                    if ($existprovider)
                        $content = $existprovider->provider::getdraft($ticketdr);

                    file_put_contents($localTempFilePath, $content);
                    $provider =  storage()->provider;

                    $media = $provider::draftupload($comment, $localTempFilePath);
                    $ticketdr->delete();
                }
                $ticketdraft->delete();
            }


            foreach ($request->input('comments', []) as $file) {
                $provider =  storage()->provider;
                $provider::mediaupload($comment, 'uploads/comment/' . $file, 'comments');
            }

            $ticket = Ticket::where('ticket_id', $ticket_id)->firstOrFail();
            $ticket->status = 'Closed';
            $ticket->replystatus = $request->input('status');
            // Auto Close Ticket
            $ticket->auto_close_ticket = null;
            // Auto Response Ticket
            $ticket->auto_replystatus = null;
            $ticket->last_reply = now();
            $ticket->closing_ticket = now();
            $ticket->auto_overdue_ticket = null;
            $ticket->overduestatus = null;
            $ticket->importantticket = null;
            $ticket->closedby_user = Auth::id();
            $ticket->lastreply_mail = Auth::id();

            if ($ticket->fileupload_allowed == 'once' || $ticket->fileupload_allowed == 'always') {
                $ticket->fileupload_allowed = null;
            }

            if ($request->reopen_on_off == null) {
                $ticket->ticketreopen = 'stopreopen';
            } else {
                $ticket->ticketreopen = null;
            }
            $ticket->update();

            $tickethistory = new tickethistory();
            $tickethistory->ticket_id = $ticket->id;

            $tickethistory->ticketnote = $ticket->ticketnote->isNotEmpty();
            $tickethistory->overduestatus = $ticket->overduestatus;
            $tickethistory->status = $ticket->status;
            $tickethistory->replystatus = $ticket->replystatus;
            $tickethistory->currentAction = 'Closed';
            $tickethistory->username = $comment->user->name;
            $tickethistory->type = $comment->user->getRoleNames()[0];

            $tickethistory->save();

            $geolocation = GeoIP::getLocation(request()->getClientIp());
            $agent = new Agent();
            $activity = new EmployeeActivity();
            $activity->user_id = Auth::user()->id;
            $activity->activity_type = 'Replied to ticket by marking ticket status to solved ';
            $activity->ticket_id =  $ticket->ticket_id;
            $activity->ip_address = $geolocation->ip;
            $activity->browser = $agent->browser();
            $activity->device = $agent->device();
            $activity->save();

            $details = [];
            $details['role'] = Auth::user()->getRoleNames()[0];
            $details['user'] = Auth::user();
            if (webSocketCheck()) {
                try {

                    event(new \App\Events\ConversationEvent(dbname(), null, null, null, null, null, 'tableDataReload', null, null));
                } catch (\Exception $e) {
                    Log::error('Error dispatching tableDataReload event: ' . $e->getMessage());
                }

                try {
                    event(new ConversationEvent(dbname(), $request->comment, $request->status, $details, $comment->getMedia('comments'), $comment, 'employee', $ticket_id, null));
                } catch (\Exception $e) {
                    Log::error('Error dispatching conversation event: ' . $e->getMessage());
                }
            }

            $cust = Customer::find($ticket->cust_id);
            $cust->notify(new TicketCreateNotifications($ticket));

            // create ticket notification
            if ($ticket->category) {
                $notificationcat = $ticket->category->groupscategoryc()->get();
                $groupIds = $notificationcat->pluck('group_id')->toArray();
                $groupstatus = false;
                foreach ($groupIds as $groupid) {
                    $groupexist = Groups::where('groupstatus', '1')->find($groupid);
                    if ($groupexist) {
                        $groupstatus = true;
                    }
                }

                $icc = array();

                if ($groupstatus) {

                    foreach ($notificationcat as $igc) {
                        $groups = $igc->groupsc()
                            ->where('groupstatus', 1)
                            ->with('groupsuser')
                            ->get();

                        foreach ($groups as $group) {
                            $users = $group->groupsuser;

                            foreach ($users as $user) {
                                $icc[] = $user->users_id;
                            }
                        }
                    }

                    if (!$icc) {
                        $admins = User::leftJoin('groups_users', 'groups_users.users_id', 'users.id')->whereNull('groups_users.groups_id')->whereNull('groups_users.users_id')->get();
                        foreach ($admins as $admin) {
                            $admin->notify(new TicketCreateNotifications($ticket));
                        }
                    } else {

                        $user = User::whereIn('id', $icc)->whereHas('roles', function ($query) {
                            $query->where('name', '!=', 'superadmin');
                        })->get();
                        foreach ($user as $users) {
                            $users->notify(new TicketCreateNotifications($ticket));
                        }
                        $admins = User::leftJoin('groups_users', 'groups_users.users_id', 'users.id')->whereNull('groups_users.groups_id')->whereNull('groups_users.users_id')->get();
                        foreach ($admins as $admin) {
                            if ($admin->getRoleNames()[0] == 'superadmin') {
                                $admin->notify(new TicketCreateNotifications($ticket));
                            }
                        }
                    }
                } else {
                    foreach (usersdata() as $admin) {
                        $admin->notify(new TicketCreateNotifications($ticket));
                    }
                }
            }
            // Notification category Empty
            if (!$ticket->category) {
                $admins = User::get();
                foreach ($admins as $admin) {
                    $admin->notify(new TicketCreateNotifications($ticket));
                }
            }


            $ratingtoken =  Ratingtoken::create([

                'token' => str_random(64),
                'ticket_id' => $ticket->id,
            ]);

            $closed_agent = User::findOrFail(Auth::id());
            $ccemailsend = CCMAILS::where('ticket_id', $ticket->id)->first();

            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);

            if (setting('ticketrating') == 'on') {
                if ($ticket->cust->userType == 'Guest') {
                    $ticketData = [
                        'closed_agent_name' => $closed_agent->name,
                        'closed_agent_role' => $closed_agent->getRoleNames()[0],
                        'ticket_username' => $ticket->cust->username,
                        'ticket_title' => $ticket->subject,
                        'ticket_id' => $ticket->ticket_id,
                        'comment' => $comment->comment,
                        'ticket_status' => $ticket->status,
                        'ticket_customer_url' => route('guest.ticketdetailshow', $ticket->encrypted_id),
                        'ticket_admin_url' => url('/admin/ticket-view/' . $ticket->encrypted_id),
                        'ticket_category' => $ticket->category && $ticket->category->name ? $ticket->category->name : null,
                    ];
                }
                if ($ticket->cust->userType == 'Customer') {
                    $ticketData = [
                        'closed_agent_name' => $closed_agent->name,
                        'closed_agent_role' => $closed_agent->getRoleNames()[0],
                        'ticket_username' => $ticket->cust->username,
                        'ticket_title' => $ticket->subject,
                        'ticket_id' => $ticket->ticket_id,
                        'comment' => $comment->comment,
                        'ticket_status' => $ticket->status,
                        'ticket_customer_url' => route('loadmore.load_data', $ticket->encrypted_id),
                        'ticket_admin_url' => url('/admin/ticket-view/' . $ticket->encrypted_id),
                        'ticket_category' => $ticket->category ? $ticket->category->name : null,
                    ];
                }
            } else {
                if ($ticket->cust->userType == 'Guest') {
                    $ticketData = [
                        'closed_agent_name' => $closed_agent->name,
                        'closed_agent_role' => $closed_agent->getRoleNames()[0],
                        'ticket_username' => $ticket->cust->username,
                        'ticket_title' => $ticket->subject,
                        'ticket_id' => $ticket->ticket_id,
                        'comment' => $comment->comment,
                        'ticket_status' => $ticket->status,
                        'ratinglink' => route('guest.rating', $ratingtoken->token),
                        'ticket_customer_url' => route('guest.ticketdetailshow', $ticket->encrypted_id),
                        'ticket_admin_url' => url('/admin/ticket-view/' . $ticket->encrypted_id),
                        'ticket_category' => $ticket->category ? $ticket->category->name : null,

                    ];
                }
                if ($ticket->cust->userType == 'Customer') {
                    $ticketData = [
                        'closed_agent_name' => $closed_agent->name,
                        'closed_agent_role' => $closed_agent->getRoleNames()[0],
                        'ticket_username' => $ticket->cust->username,
                        'ticket_title' => $ticket->subject,
                        'ticket_id' => $ticket->ticket_id,
                        'comment' => $comment->comment,
                        'ticket_status' => $ticket->status,
                        'ratinglink' => route('guest.rating', $ratingtoken->token),
                        'ticket_customer_url' => route('loadmore.load_data', $ticket->encrypted_id),
                        'ticket_admin_url' => url('/admin/ticket-view/' . $ticket->encrypted_id),
                        'ticket_category' => $ticket->category ? $ticket->category->name : null,

                    ];
                }
            }

            try {
                if ($ticket->cust->phonesmsenable == 1 && $ticket->cust->phoneVerified == 1 && setting('twilioenable') == 'on') {
                    dispatch((new SendSMS($ticket->cust->phone, 'ticket_closed', $ticketData)));
                }

                if ($ticket->tickettype == 'emalitoticket') {
                    $replySubject = 'Re: ' . $ticket->subject;
                    if ($request->rating_on_off == null) {
                        $emailtempcode = 'send_email_when_employee_closed_emailtotckt';
                    } else {
                        $emailtempcode = 'customer_rating';
                    }

                    $emailtemplate = EmailTemplate::where('code', $emailtempcode)->first();
                    $body = $emailtemplate->body;

                    $imaps = Imap_setting::find($ticket->imap_id);
                    $imap_username = $imaps->imap_username;


                    foreach ($ticketData as $key => $value) {
                        $body = str_replace('{{' . $key . '}}', $value, $body);
                        $body = str_replace('{{ ' . $key . ' }}', $value, $body);
                    }
                    $fileNames = [];


                    $email = (new Email())->html($body);

                    Mail::raw('', function ($message) use ($email, $ticket, $imap_username, $replySubject, $comment, &$fileNames) {
                        $message->from($imap_username)
                            ->to($ticket->cust->email)
                            ->subject($replySubject)
                            ->replyTo($imap_username)
                            ->getHeaders()->addTextHeader('In-Reply-To', '<' . $ticket->MessageID . '>');

                        foreach ($comment->getMedia('comments') as $commentss) {
                            if (!file_exists('public/temp/')) {
                                mkdir('public/temp/', 0777, true);
                            }
                            $localTempFilePath = 'public/temp/' . $commentss->file_name;
                            $existprovider = existprovider($commentss->disk);
                            if ($existprovider)
                                $contentPath = $existprovider->provider::tempImage($commentss, $localTempFilePath);

                            $message->attach($contentPath);
                            $fileNames[] = $localTempFilePath;
                        }

                        $message->getHeaders()->addTextHeader('References', '<' . $ticket->MessageID . '>');
                        $message->setBody($email->getBody(), 'text/html');
                    });

                    // Mail::send([], [], function ($message) use ($ticket, $replySubject, $body, $comment,$imap_username, &$fileNames) {
                    //     $message->to($ticket->cust->email)
                    //         ->from($imap_username)
                    //         ->subject($replySubject)
                    //         ->setBody($body, 'text/html');
                    //     foreach ($comment->getMedia('comments') as $commentss) {
                    //         if (!file_exists('public/temp/')) {
                    //             mkdir('public/temp/', 0777, true);
                    //         }
                    //          $localTempFilePath = 'public/temp/' . $commentss->file_name;
                    //          $existprovider = existprovider($commentss->disk);
                    //          if ($existprovider)
                    //              $contentPath = $existprovider->provider::tempImage($commentss,$localTempFilePath);

                    //         $message->attach($contentPath);
                    //         $fileNames[] = $localTempFilePath;
                    //     }
                    //     $headers = $message->getHeaders();
                    //     $headers->removeAll('In-Reply-To');
                    //     $headers->removeAll('References');
                    //     $headers->addTextHeader('In-Reply-To', '<' . $ticket->MessageID . '>');
                    //     $headers->addTextHeader('References', '<' . $ticket->MessageID . '>');
                    // });

                    foreach ($fileNames as $filePath) {
                        if (file_exists($filePath)) {
                            \File::delete($filePath);
                        }
                    }
                } else {
                    if ($request->rating_on_off == null) {
                        dispatch((new MailSend($ticket->cust->email, 'send_mail_to_customer_when_ticket_closed_by_admin', $ticketData)));
                    } else {
                        dispatch((new MailSend($ticket->cust->email, 'customer_rating', $ticketData)));
                    }
                }

                if ($ccemailsend != null && $ccemailsend->ccemails != null) {
                    dispatch((new MailSend($ccemailsend->ccemails, 'CCmail_sendemail_whenticketclosed', $ticketData)));
                }

                if ($ticket->category) {
                    $notificationcat = $ticket->category->groupscategoryc()->get();
                    $groupIds = $notificationcat->pluck('group_id')->toArray();
                    $groupstatus = false;
                    foreach ($groupIds as $groupid) {
                        $groupexist = Groups::where('groupstatus', '1')->find($groupid);
                        if ($groupexist) {
                            $groupstatus = true;
                        }
                    }

                    $icc = array();

                    if ($groupstatus) {

                        foreach ($notificationcat as $igc) {
                            $groups = $igc->groupsc()
                                ->where('groupstatus', 1)
                                ->with('groupsuser')
                                ->get();

                            foreach ($groups as $group) {
                                $users = $group->groupsuser;

                                foreach ($users as $user) {
                                    $icc[] = $user->users_id;
                                }
                            }
                        }

                        if (!$icc) {
                            $admins = User::leftJoin('groups_users', 'groups_users.users_id', 'users.id')->whereNull('groups_users.groups_id')->whereNull('groups_users.users_id')->where('status', 1)->get();
                            foreach ($admins as $admin) {
                                if ($admin->getRoleNames()[0] != 'superadmin' && $admin->usetting->emailnotifyon == 1) {
                                    dispatch((new MailSend($admin->email, 'send_mail_to_agent_when_ticket_closed_by_admin_or_agent', $ticketData)));
                                }
                            }
                        } else {

                            if ($ticket->myassignuser) {
                                $assignee = $ticket->ticketassignmutliples;
                                foreach ($assignee as $assignees) {
                                    $user = User::where('id', $assignees->toassignuser_id)->where('status', 1)->get();
                                    foreach ($user as $users) {
                                        if ($users->id == $assignees->toassignuser_id && $users->getRoleNames()[0] != 'superadmin' && $users->usetting->emailnotifyon == 1) {
                                            dispatch((new MailSend($users->email, 'send_mail_to_agent_when_ticket_closed_by_admin_or_agent', $ticketData)));
                                        }
                                    }
                                }
                            } else if ($ticket->selfassignuser_id) {
                                $self = User::findOrFail($ticket->selfassignuser_id);
                                if ($self->getRoleNames()[0] != 'superadmin' && $self->usetting->emailnotifyon == 1) {
                                    dispatch((new MailSend($self->email, 'send_mail_to_agent_when_ticket_closed_by_admin_or_agent', $ticketData)));
                                }
                            } else if ($icc) {
                                $user = User::whereIn('id', $icc)->where('status', 1)->whereHas('roles', function ($query) {
                                    $query->where('name', '!=', 'superadmin');
                                })->get();
                                foreach ($user as $users) {
                                    if ($users->usetting->emailnotifyon == 1) {
                                        dispatch((new MailSend($users->email, 'send_mail_to_agent_when_ticket_closed_by_admin_or_agent', $ticketData)));
                                    }
                                }
                            } else {
                                $users = User::leftJoin('groups_users', 'groups_users.users_id', 'users.id')->whereNull('groups_users.groups_id')->whereNull('groups_users.users_id')->where('status', 1)->get();
                                foreach ($users as $user) {
                                    if ($user->getRoleNames()[0] != 'superadmin' && $user->usetting->emailnotifyon == 1) {
                                        dispatch((new MailSend($user->email, 'send_mail_to_agent_when_ticket_closed_by_admin_or_agent', $ticketData)));
                                    }
                                }
                            }
                        }
                    } else {

                        if ($ticket->myassignuser) {
                            $assignee = $ticket->ticketassignmutliples;
                            foreach ($assignee as $assignees) {
                                $user = User::where('id', $assignees->toassignuser_id)->where('status', 1)->get();
                                foreach ($user as $users) {
                                    if ($users->id == $assignees->toassignuser_id && $users->getRoleNames()[0] != 'superadmin' && $users->usetting->emailnotifyon == 1) {
                                        dispatch((new MailSend($users->email, 'send_mail_to_agent_when_ticket_closed_by_admin_or_agent', $ticketData)));
                                    }
                                }
                            }
                        } else if ($ticket->selfassignuser_id) {
                            $self = User::findOrFail($ticket->selfassignuser_id);
                            if ($self->getRoleNames()[0] != 'superadmin' && $self->usetting->emailnotifyon == 1) {
                                dispatch((new MailSend($self->email, 'send_mail_to_agent_when_ticket_closed_by_admin_or_agent', $ticketData)));
                            }
                        } else {
                            foreach (usersdata() as $user) {
                                if ($user->getRoleNames()[0] != 'superadmin' && $user->usetting->emailnotifyon == 1) {
                                    dispatch((new MailSend($user->email, 'send_mail_to_agent_when_ticket_closed_by_admin_or_agent', $ticketData)));
                                }
                            }
                        }
                    }
                }
                if (!$ticket->category) {

                    if ($ticket->myassignuser) {
                        $assignee = $ticket->ticketassignmutliples;
                        foreach ($assignee as $assignees) {
                            $user = User::where('id', $assignees->toassignuser_id)->where('status', 1)->get();
                            foreach ($user as $users) {
                                if ($users->id == $assignees->toassignuser_id && $users->getRoleNames()[0] != 'superadmin' && $users->usetting->emailnotifyon == 1) {
                                    dispatch((new MailSend($users->email, 'send_mail_to_agent_when_ticket_closed_by_admin_or_agent', $ticketData)));
                                }
                            }
                        }
                    } else if ($ticket->selfassignuser_id) {
                        $self = User::findOrFail($ticket->selfassignuser_id);
                        if ($self->getRoleNames()[0] != 'superadmin' && $self->usetting->emailnotifyon == 1) {
                            dispatch((new MailSend($self->email, 'send_mail_to_agent_when_ticket_closed_by_admin_or_agent', $ticketData)));
                        }
                    } else {

                        $users = User::leftJoin('groups_users', 'groups_users.users_id', 'users.id')->whereNull('groups_users.groups_id')->whereNull('groups_users.users_id')->where('status', 1)->get();
                        foreach ($users as $user) {
                            if ($user->getRoleNames()[0] != 'superadmin' && $user->usetting->emailnotifyon == 1) {
                                dispatch((new MailSend($user->email, 'send_mail_to_agent_when_ticket_closed_by_admin_or_agent', $ticketData)));
                            }
                        }
                    }
                }

                $admins = User::leftJoin('groups_users', 'groups_users.users_id', 'users.id')->whereNull('groups_users.groups_id')->whereNull('groups_users.users_id')->where('status', 1)->get();
                foreach ($admins as $admin) {
                    if ($admin->getRoleNames()[0] == 'superadmin' && $admin->usetting->emailnotifyon == 1) {
                        dispatch((new MailSend($admin->email, 'send_mail_to_agent_when_ticket_closed_by_admin_or_agent', $ticketData)));
                    }
                }
            } catch (\Exception $e) {
                return redirect()->back()->with("success", lang('The response to the ticket was successful.', 'alerts'));
            }

            return redirect()->back()->with("success", lang('The response to the ticket was successful.', 'alerts'));
        } else {

            // $comment = trim(str_replace('&nbsp;', ' ', $request->input('comment')));
            // $request->merge(['comment' => $comment]);

            $this->validate($request, [
                'comment' => 'required'
            ]);
            $tic = Ticket::where('ticket_id', $ticket_id)->firstOrFail();
            $hashids = app(Hashids::class);
            $tic->encrypted_id = $hashids->encode($tic->id);
            // $tic->encrypted_id = encrypt($tic->id);


            if ($tic->status == 'Closed') {
                return redirect()->back()->with("error", lang('This ticket is already closed, you are not allowed to reply for this tikcet.', 'alerts'));
            }

            if ($tic->comments()->get() != null) {
                $comm = $tic->comments()->update([
                    'display' => null
                ]);
            }

            $comm = $request->input('comment');

            // Trim unwanted tags from the start and end
            $comme = preg_replace('/^(<p><br><\\/p>)+|(<p><br><\\/p>)+$/', '', $comm);

            $comment = Comment::create([
                'ticket_id' => $request->input('ticket_id'),
                'user_id' => Auth::user()->id,
                'cust_id' => null,
                'comment' => $comme,
                'display' => 1,
            ]);

            $ticketdraft = TicketDraft::where('ticket_id', $request->ticket_id)->first();

            if ($ticketdraft) {
                foreach ($ticketdraft->getMedia('ticketdrafts') as $ticketdr) {

                    if (!file_exists('public/temp/')) {
                        mkdir('public/temp/', 0777, true);
                    }
                    $localTempFilePath = 'public/temp/' . $ticketdr->file_name;
                    $existprovider = existprovider($ticketdr->disk);
                    if ($existprovider)
                        $content = $existprovider->provider::getdraft($ticketdr);

                    file_put_contents($localTempFilePath, $content);
                    $provider =  storage()->provider;

                    $media = $provider::draftupload($comment, $localTempFilePath);
                    $ticketdr->delete();
                }

                $ticketdraft->delete();
            }

            foreach ($request->input('comments', []) as $file) {
                $provider =  storage()->provider;
                $provider::mediaupload($comment, 'uploads/comment/' . $file, 'comments');
            }

            $ticket = Ticket::where('ticket_id', $ticket_id)->firstOrFail();
            $ticket->status = $request->input('status');
            $ticket->replystatus = 'Waiting';
            if ($request->status == 'On-Hold') {
                $ticket->note = $request->input('note');
                // Auto Close Ticket
                $ticket->auto_close_ticket = null;
                // Auto Response Ticket
                $ticket->auto_replystatus = null;
                //Auto Overdue Ticket
                $ticket->auto_overdue_ticket = null;
                $ticket->overduestatus = null;
            } else {
                // Auto Closing Ticket
                if (setting('AUTO_CLOSE_TICKET') == 'no') {
                    $ticket->auto_close_ticket = null;
                } else {
                    if (setting('AUTO_CLOSE_TICKET_TIME') == '0') {
                        $ticket->auto_close_ticket = null;
                    } else {
                        if (Auth::check() && Auth::user()) {
                            if ($ticket->status == 'Closed') {
                                $ticket->auto_close_ticket = null;
                            } else {
                                $ticket->auto_close_ticket = now()->addHours(setting('AUTO_RESPONSETIME_TICKET_TIME'))->addDays(setting('AUTO_CLOSE_TICKET_TIME'));
                            }
                        }
                    }
                }
                // End Auto Close Ticket

                // Auto Response Ticket

                if (setting('AUTO_RESPONSETIME_TICKET') == 'no') {
                    $ticket->auto_replystatus = null;
                } else {
                    if (setting('AUTO_RESPONSETIME_TICKET_TIME') == '0') {
                        $ticket->auto_replystatus = null;
                    } else {
                        if (Auth::check() && Auth::user()) {
                            $ticket->auto_replystatus = now()->addHours(setting('AUTO_RESPONSETIME_TICKET_TIME'));
                        }
                    }
                }
                // End Auto Response Ticket

                // Auto Overdue Ticket
                if (setting('AUTO_OVERDUE_TICKET') == 'no') {
                    $ticket->auto_overdue_ticket = null;
                    $ticket->overduestatus = null;
                } else {
                    if (setting('AUTO_OVERDUE_TICKET_TIME') == '0') {
                        $ticket->auto_overdue_ticket = null;
                        $ticket->overduestatus = null;
                    } else {
                        if (Auth::check() && Auth::user()) {
                            if ($ticket->status == 'Closed') {
                                $ticket->auto_overdue_ticket = null;
                                $ticket->overduestatus = null;
                            } else {
                                $ticket->auto_overdue_ticket = null;
                                $ticket->overduestatus = null;
                            }
                        }
                    }
                }
                // End Auto Overdue Ticket
            }
            $ticket->last_reply = now();
            $ticket->lastreply_mail = Auth::id();
            $ticket->importantticket = null;
            $ticket->update();

            $tickethistory = new tickethistory();
            $tickethistory->ticket_id = $ticket->id;

            $tickethistory->ticketnote = $ticket->ticketnote->isNotEmpty();
            $tickethistory->overduestatus = $ticket->overduestatus;
            $tickethistory->status = $ticket->status;
            $tickethistory->currentAction = 'Responded';
            $tickethistory->username = $comment->user->name;
            $tickethistory->type = $comment->user->getRoleNames()[0];

            $tickethistory->save();

            $geolocation = GeoIP::getLocation(request()->getClientIp());
            $agent = new Agent();
            $activity = new EmployeeActivity();
            $activity->user_id = Auth::user()->id;
            $activity->activity_type = 'Replied To the ticket with status ' . $tickethistory->status;
            $activity->ticket_id =  $ticket->ticket_id;
            $activity->ip_address = $geolocation->ip;
            $activity->browser = $agent->browser();
            $activity->device = $agent->device();
            $activity->save();

            $details = [];
            $details['role'] = Auth::user()->getRoleNames()[0];
            $details['user'] = Auth::user();


            if (webSocketCheck()) {
                try {
                    event(new ConversationEvent(dbname(), $request->comment, $request->status, $details, $comment->getMedia('comments'), $comment, 'employee', $ticket_id, 'tableDataReload'));
                    event(new \App\Events\ConversationEvent(dbname(), null, null, null, null, null, 'tableDataReload', null));
                } catch (\Exception $e) {
                    Log::error('Error dispatching WebSocket event: ' . $e->getMessage());
                }
            }

            $details = [];
            $details['role'] = Auth::user()->getRoleNames()[0];
            $details['user'] = Auth::user();

            $cust = Customer::find($ticket->cust_id);
            $cust->notify(new TicketCreateNotifications($ticket));

            $ccemailsend = CCMAILS::where('ticket_id', $ticket->id)->first();
            $hashids = app(Hashids::class);
            $ticket->encrypted_id = $hashids->encode($ticket->id);
            if ($ticket->cust->userType == 'Guest') {
                $ticketData = [
                    'ticket_username' => $ticket->cust->username,
                    'ticket_title' => $ticket->subject,
                    'ticket_id' => $ticket->ticket_id,
                    'ticket_status' => $ticket->status,
                    'comment' => $comment->comment,
                    'ticket_customer_url' => route('guest.ticketdetailshow', $ticket->encrypted_id),
                    'ticket_admin_url' => url('/admin/ticket-view/' . $ticket->encrypted_id),
                    'ticket_category' => $ticket->category ? $ticket->category->name : null,

                ];
            }

            if ($ticket->cust->userType == 'Customer') {
                $ticketData = [
                    'ticket_username' => $ticket->cust->username,
                    'ticket_title' => $ticket->subject,
                    'ticket_id' => $ticket->ticket_id,
                    'ticket_status' => $ticket->status,
                    'comment' => $comment->comment,
                    'ticket_customer_url' => route('loadmore.load_data', $ticket->encrypted_id),
                    'ticket_admin_url' => url('/admin/ticket-view/' . $ticket->encrypted_id),
                    'ticket_category' => $ticket->category ? $ticket->category->name : null,
                ];
            }



            try {

                if ($ticket->cust->phonesmsenable == 1 && $ticket->cust->phoneVerified == 1 && setting('twilioenable') == 'on') {
                    dispatch((new SendSMS($ticket->cust->phone, 'reply_to_customer', $ticketData)));
                }

                if ($ticket->tickettype == 'emalitoticket') {

                    $imaps = Imap_setting::find($ticket->imap_id);
                    $imap_username = $imaps->imap_username;

                    $replySubject = 'Re: ' . $ticket->subject;
                    $emailtemplate = EmailTemplate::where('code', 'send_email_when_employee_replyto_emailtotckt')->first();
                    $body = $emailtemplate->body;

                    foreach ($ticketData as $key => $value) {
                        $body = str_replace('{{' . $key . '}}', $value, $body);
                        $body = str_replace('{{ ' . $key . ' }}', $value, $body);
                    }
                    $fileNames = [];

                    try {

                        Mail::send([], [], function ($message) use ($ticket, $replySubject, $body, $comment, $imap_username, &$fileNames) {
                            $message->to($ticket->cust->email)
                                ->from($imap_username)
                                ->replyTo($imap_username)
                                ->subject($replySubject)
                                ->html($body);
                            foreach ($comment->getMedia('comments') as $commentss) {
                                if (!file_exists('public/temp/')) {
                                    mkdir('public/temp/', 0777, true);
                                }
                                $localTempFilePath = 'public/temp/' . $commentss->file_name;
                                $existprovider = existprovider($commentss->disk);
                                if ($existprovider)
                                    $contentPath = $existprovider->provider::tempImage($commentss, $localTempFilePath);

                                $message->attach($contentPath);
                                $fileNames[] = $localTempFilePath;
                            }
                            $headers = $message->getHeaders();
                            $headers->addTextHeader('In-Reply-To', '<' . $ticket->MessageID . '>');
                            $headers->addTextHeader('References', '<' . $ticket->MessageID . '>');
                        });
                    } catch (\Exception $e) {
                    }

                    foreach ($fileNames as $filePath) {
                        if (file_exists($filePath)) {
                            \File::delete($filePath);
                        }
                    }
                } else {
                    dispatch((new MailSend($ticket->cust->email, 'customer_send_ticket_reply', $ticketData)));
                }

                if ($ccemailsend && $ccemailsend->ccemails) {
                    dispatch((new MailSend($ccemailsend->ccemails, 'customer_send_ticket_reply', $ticketData)));
                }
            } catch (\Exception $e) {
                Session::put('adminreplied', 'The response to the ticket was successful.');
                return back();
            }

            Session::put('adminreplied', 'The response to the ticket was successful.');
            return back();
        }
    }

    public function storeMedia(Request $request)
    {
        $path = public_path('uploads/comment');

        if (!file_exists($path)) {
            mkdir($path, 0777, true);
        }

        $file = $request->file('file');

        $name =  time() . '' . $file->getClientOriginalName();

        $file->move($path, $name);

        return response()->json([
            'name'          => $name,
            'original_name' => $file->getClientOriginalName(),
        ]);
    }

    public function latestcommentimgdelete($id)
    {
        $im = Media::find($id);
        if ($im) {
            $im->delete();

            return response()->json(['success' => lang('The image is deleted successfully.', 'alerts')]);
        } else {
            abort(404);
        }
    }

    public function updateedit(Request $request, $id)
    {
        if ($request->has('message')) {

            $this->validate($request, [
                'message' => 'required'
            ]);
            $ticket = Ticket::findOrFail($id);
            $ticket->message = $request->input('message');

            $ticket->update();
            return redirect()->back()->with('success', lang('updated successfully'));
        } else {
            $this->validate($request, [
                'editcomment' => 'required'
            ]);

            $comment = Comment::findOrFail($id);
            if ($comment->lastseen != NULL) {
                return redirect()->back()->with("error", lang('Failed to update comment since it has already seen by the customer', 'alerts'));
            }

            $oldComment =  $comment->comment;

            $comment->comment = $request->input('editcomment');

            $comment->update();



            $ticket = Ticket::findOrFail($comment->ticket->id);

            if ($request->status == 'Solved') {
                $ticket->status = 'Closed';
                $ticket->replystatus = $request->input('status');
                // Auto Close Ticket
                $ticket->auto_close_ticket = null;
                // Auto Response Ticket
                $ticket->auto_replystatus = null;
                $ticket->last_reply = now();
                $ticket->closing_ticket = now();
                $ticket->auto_overdue_ticket = null;
                $ticket->overduestatus = null;
                $ticket->closedby_user = Auth::id();
                $ticket->lastreply_mail = Auth::id();

                $ticket->update();
            } else {
                $ticket->status = $request->input('status');
                $ticket->replystatus = 'Waiting';
                if ($request->status == 'On-Hold') {
                    $ticket->note = $request->input('note');
                    // Auto Close Ticket
                    $ticket->auto_close_ticket = null;
                    // Auto Response Ticket
                    $ticket->auto_replystatus = null;
                    //Auto Overdue Ticket
                    $ticket->auto_overdue_ticket = null;
                    $ticket->overduestatus = null;
                } else {
                    // Auto Closing Ticket
                    if (setting('AUTO_CLOSE_TICKET') == 'no') {
                        $ticket->auto_close_ticket = null;
                    } else {
                        if (setting('AUTO_CLOSE_TICKET_TIME') == '0') {
                            $ticket->auto_close_ticket = null;
                        } else {
                            if (Auth::check() && Auth::user()) {
                                if ($ticket->status == 'Closed') {
                                    $ticket->auto_close_ticket = null;
                                } else {
                                    $ticket->auto_close_ticket = now()->addHours(setting('AUTO_RESPONSETIME_TICKET_TIME'))->addDays(setting('AUTO_CLOSE_TICKET_TIME'));
                                }
                            }
                        }
                    }
                    // End Auto Close Ticket

                    // Auto Response Ticket

                    if (setting('AUTO_RESPONSETIME_TICKET') == 'no') {
                        $ticket->auto_replystatus = null;
                    } else {
                        if (setting('AUTO_RESPONSETIME_TICKET_TIME') == '0') {
                            $ticket->auto_replystatus = null;
                        } else {
                            if (Auth::check() && Auth::user()) {
                                $ticket->auto_replystatus = now()->addHours(setting('AUTO_RESPONSETIME_TICKET_TIME'));
                            }
                        }
                    }
                    // End Auto Response Ticket

                    // Auto Overdue Ticket
                    if (setting('AUTO_OVERDUE_TICKET') == 'no') {
                        $ticket->auto_overdue_ticket = null;
                        $ticket->overduestatus = null;
                    } else {
                        if (setting('AUTO_OVERDUE_TICKET_TIME') == '0') {
                            $ticket->auto_overdue_ticket = null;
                            $ticket->overduestatus = null;
                        } else {
                            if (Auth::check() && Auth::user()) {
                                if ($ticket->status == 'Closed') {
                                    $ticket->auto_overdue_ticket = null;
                                    $ticket->overduestatus = null;
                                } else {
                                    $ticket->auto_overdue_ticket = null;
                                    $ticket->overduestatus = null;
                                }
                            }
                        }
                    }
                    // End Auto Overdue Ticket
                }
                $ticket->last_reply = now();
                $ticket->lastreply_mail = Auth::id();
                $ticket->update();
            }

            foreach ($request->input('comments', []) as $file) {
                $provider =  storage()->provider;
                $provider::mediaupload($comment, 'uploads/comment/' . $file, 'comments');
            }

            $tickethistory = new tickethistory();
            $tickethistory->ticket_id = $comment->ticket->id;

            $tickethistory->ticketnote = $comment->ticket->ticketnote->isNotEmpty();
            $tickethistory->overduestatus = $comment->ticket->overduestatus;
            $tickethistory->status = $ticket->status;
            $tickethistory->currentAction = 'Comment Modified';
            $tickethistory->username = Auth::user()->name;
            $tickethistory->type = Auth::user()->getRoleNames()[0];

            $tickethistory->save();

            $geolocation = GeoIP::getLocation(request()->getClientIp());
            $agent = new Agent();
            $activity = new EmployeeActivity();
            $activity->user_id = Auth::user()->id;
            $activity->activity_type = 'Modified a comment in ';
            $activity->ticket_id =  $ticket->ticket_id;
            $activity->ip_address = $geolocation->ip;
            $activity->browser = $agent->browser();
            $activity->device = $agent->device();
            $activity->save();

            return redirect()->back()->with('success', lang('Updated successfully'));
        }
    }

    public function deletecomment(Request $request, $id)
    {
        $comment = Comment::findOrFail($id);
        if ($comment->lastseen != NULL) {
            return response()->json(['error' => lang('Failed to delete comment since it has already seen by the customer', 'alerts'),]);
        } else {

            $comment->delete();

            $geolocation = GeoIP::getLocation(request()->getClientIp());
            $agent = new Agent();
            $activity = new EmployeeActivity();
            $activity->user_id = Auth::user()->id;
            $activity->activity_type = 'Deleted a comment.';
            $activity->ip_address = $geolocation->ip;
            $activity->browser = $agent->browser();
            $activity->device = $agent->device();
            $activity->save();

            $tic = Ticket::find($comment->ticket_id);
            $latestcomment = $tic->comments()->latest('created_at')->first();

            if ($latestcomment != null) {
                $comm = $latestcomment->update([
                    'display' => 1
                ]);
            }

            // $comment->forceDelete();

            $tickethistory = new tickethistory();
            $tickethistory->ticket_id = $comment->ticket->id;

            $tickethistory->ticketnote = $comment->ticket->ticketnote->isNotEmpty();
            $tickethistory->overduestatus = $comment->ticket->overduestatus;
            $tickethistory->status = $comment->ticket->status;
            $tickethistory->currentAction = 'Comment Deleted';
            $tickethistory->username = Auth::user()->name;
            $tickethistory->type = Auth::user()->getRoleNames()[0];

            $tickethistory->save();

            return response()->json(['success' => lang('The ticket comment has been deleted successfully.', 'alerts'),]);
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($ticket_id) {}

    public function imagedestroy($id)
    {   //For Deleting Users
        $commentss = Media::findOrFail($id);
        $commentss->delete();
        return response()->json([
            'success' => lang('Deleted Successfully', 'alerts')
        ]);
    }

    public function reopenticket(Request $req)
    {
        $hashids = app(Hashids::class);
        $id = $hashids->decode($req->reopenid)[0];
        $reopenticket = Ticket::find($id);
        $reopenticket->status = 'Re-Open';
        $reopenticket->replystatus = null;
        $reopenticket->closedby_user = null;
        $reopenticket->lastreply_mail = Auth::id();
        $reopenticket->update();

        $geolocation = GeoIP::getLocation(request()->getClientIp());
        $agent = new Agent();
        $activity = new EmployeeActivity();
        $activity->user_id = Auth::user()->id;
        $activity->activity_type = 'Re-Opened a ticket ';
        $activity->ticket_id =  $reopenticket->ticket_id;
        $activity->ip_address = $geolocation->ip;
        $activity->browser = $agent->browser();
        $activity->device = $agent->device();
        $activity->save();

        $tickethistory = new tickethistory();
        $tickethistory->ticket_id = $reopenticket->id;

        $tickethistory->ticketnote = $reopenticket->ticketnote->isNotEmpty();
        $tickethistory->overduestatus = $reopenticket->overduestatus;
        $tickethistory->status = $reopenticket->status;
        $tickethistory->currentAction = 'Re-opened';
        $tickethistory->username = Auth::user()->name;
        $tickethistory->type = Auth::user()->getRoleNames()[0];

        $tickethistory->save();
        $hashids = app(Hashids::class);
        $reopenticket->encrypted_id = $hashids->encode($reopenticket->id);

        // $reopenticket->encrypted_id = encrypt($reopenticket->id);

        $details = [];
        $details['role'] = Auth::user()->getRoleNames()[0];
        $details['user'] = Auth::user();

        if (webSocketCheck()) {
            try {
                event(new ConversationEvent(dbname(), NULL, 'Reopen', $details, NULL, NULL, 'employee', $reopenticket->ticket_id, null));
                event(new \App\Events\ConversationEvent(dbname(), null, null, null, null, null, 'tableDataReload', null, null));
            } catch (\Exception $e) {
                Log::error('Error dispatching WebSocket event: ' . $e->getMessage());
            }
        }


        $cust = Customer::with('custsetting')->find($reopenticket->cust_id);
        $cust->notify(new TicketCreateNotifications($reopenticket));



        if ($reopenticket->cust->userType == 'Guest') {
            $ticketData = [
                'ticket_username' => $reopenticket->cust->username,
                'ticket_title' => $reopenticket->subject,
                'ticket_id' => $reopenticket->ticket_id,
                'ticket_status' => $reopenticket->status,
                'ticket_customer_url' => route('gusetticket', $reopenticket->encrypted_id),
                'ticket_admin_url' => url('/admin/ticket-view/' . $reopenticket->encrypted_id),
                'encrypted_id' => $reopenticket->encrypted_id
            ];
        }
        if ($reopenticket->cust->userType == 'Customer') {
            $ticketData = [
                'ticket_username' => $reopenticket->cust->username,
                'ticket_title' => $reopenticket->subject,
                'ticket_id' => $reopenticket->ticket_id,
                'ticket_status' => $reopenticket->status,
                'ticket_customer_url' => route('loadmore.load_data', $reopenticket->encrypted_id),
                'ticket_admin_url' => url('/admin/ticket-view/' . $reopenticket->encrypted_id),
                'encrypted_id' => $reopenticket->encrypted_id
            ];
        }

        return response()->json([
            'success' => lang('The ticket has been successfully reopened.', 'alerts'),
            'data' => $ticketData
        ]);
    }
}
