<?php

namespace App\Http\Controllers\Admin;

use DataTables;
use App\Models\IPLIST;
use App\Models\Setting;
use App\Models\Apptitle;
use App\Models\Footertext;
use App\Models\Seosetting;
use Jenssegers\Agent\Agent;
use Illuminate\Http\Request;
use Torann\GeoIP\Facades\GeoIP;
use App\Models\EmployeeActivity;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;

class IpblockController extends Controller
{
    public function index()
    {

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $iplists = IPLIST::latest()->get();
        $data['iplists'] = $iplists;

        return view('admin.securitysetting.ipblocklist')->with($data);
    }

    public function show($id)
    {

        $ip = IPLIST::find($id);

        return response()->json($ip);
    }


    public function store(Request $request)
    {

        $request->validate([
            'ip' => 'required|ip',
            'types' => 'required',

        ]);

        $ipId = $request->IP_id;
        $ipdata =  [
            'ip' => $request->ip,
            'types' => $request->types,

        ];

        


        $ipdtaa = IPLIST::updateOrCreate(['id' => $ipId], $ipdata);

        $ipdataupdate = IPLIST::find($ipdtaa->id);
        if ($ipdataupdate->entrytype != 'Auto') {
            $ipdataupdate->entrytype = 'Manual';
        }
        $ipdataupdate->update();

        $geolocation = GeoIP::getLocation(request()->getClientIp());
        $agent = new Agent();
        $activity = new EmployeeActivity();
        $activity->user_id = Auth::user()->id;
        $activity->activity_type = $ipId ? 'Updated Ip address' : 'created Ip address';
        $activity->ip_address = $geolocation->ip;
        $activity->browser = $agent->browser();
        $activity->device = $agent->device();
        $activity->save();

        $message = $ipId ? lang('IP address updated successfully.', 'alerts') : lang('IP address created successfully.', 'alerts');
        return response()->json(['code' => 200, 'success' => $message, 'data' => $ipdtaa], 200);
    }

    public function destroy($id)
    {

        $ipdelete = IPLIST::find($id);
        $ipdelete->delete();
        $geolocation = GeoIP::getLocation(request()->getClientIp());
        $agent = new Agent();
        $activity = new EmployeeActivity();
        $activity->user_id = Auth::user()->id;
        $activity->activity_type = 'Deleted an IP address';
        $activity->ip_address = $geolocation->ip;
        $activity->browser = $agent->browser();
        $activity->device = $agent->device();
        $activity->save();
        return response()->json(['success' => lang('The IP address has been successfully removed.', 'alerts')]);
    }


    public function allipblocklistdelete(Request $request)
    {
        $id_array = $request->input('id');

        $sendmails = IPLIST::whereIn('id', $id_array)->get();

        foreach ($sendmails as $sendmail) {
            $sendmail->delete();
        }

        $geolocation = GeoIP::getLocation(request()->getClientIp());
        $agent = new Agent();
        $activity = new EmployeeActivity();
        $activity->user_id = Auth::user()->id;
        $activity->activity_type = 'Deleted IP addresses';
        $activity->ip_address = $geolocation->ip;
        $activity->browser = $agent->browser();
        $activity->device = $agent->device();
        $activity->save();
        return response()->json(['success' => lang('The IP address has been successfully removed.', 'alerts')]);
    }

    public function resetipblock($id)
    {

        $ipreset = IPLIST::find($id);
        $ipreset->types = 'Unlock';
        $ipreset->update();

        $geolocation = GeoIP::getLocation(request()->getClientIp());
        $agent = new Agent();
        $activity = new EmployeeActivity();
        $activity->user_id = Auth::user()->id;
        $activity->activity_type = 'Ip address has been reset';
        $activity->ip_address = $geolocation->ip;
        $activity->browser = $agent->browser();
        $activity->device = $agent->device();
        $activity->save();
        return response()->json(['success' => lang('Updated Successfully', 'alerts') , 'data'=>$ipreset]);
    }
}
