<?php

namespace App\Http\Controllers\Admin;

use DB;
use App\Models\Pages;

use App\Models\Apptitle;
use App\Models\Footertext;
use App\Models\Seosetting;
use Jenssegers\Agent\Agent;
use Illuminate\Http\Request;
use Torann\GeoIP\Facades\GeoIP;
use App\Models\EmployeeActivity;
use Spatie\Permission\Models\Role;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Spatie\Permission\Models\Permission;

class PermissionstatusController extends Controller
{
    public function index()
    {
        $role = Role::get();
        $data['role'] = $role;
        $permission = Permission::get();
        $data['permission'] = $permission;

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;


        return view('admin.roles.index')->with($data)->with('i', (request()->input('page', 1) - 1) * 5);
    }


    public function edit($id)
    {
        $role = Role::find($id);
        $data['role'] = $role;
        $permission = Permission::get();
        $data['permission'] = $permission;
        $rolePermissions = DB::table("role_has_permissions")->where("role_has_permissions.role_id", $id)
            ->pluck('role_has_permissions.permission_id', 'role_has_permissions.permission_id')
            ->all();
        $data['rolePermissions'] = $rolePermissions;

        $title = Apptitle::first();
        $data['title'] = $title;

        $footertext = Footertext::first();
        $data['footertext'] = $footertext;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $post = Pages::all();
        $data['page'] = $post;

        return view('admin.roles.edit', compact('role', 'permission', 'rolePermissions', 'title', 'footertext'))->with($data);
    }


    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name' => 'required',

        ]);

        $role = Role::find($id);
        $role->name = $request->input('name');
        $role->save();

        $geolocation = GeoIP::getLocation(request()->getClientIp());
        $agent = new Agent();
        $activity = new EmployeeActivity();
        $activity->user_id = Auth::user()->id;
        $activity->activity_type = 'Updated role';
        $activity->ip_address = $geolocation->ip;
        $activity->browser = $agent->browser();
        $activity->device = $agent->device();
        $activity->save();

        $role->syncPermissions($request->input('permission'));

        return redirect('/admin/roleaccess')->with('success', lang('Role updated successfully', 'alerts'));
    }
}
