<?php

namespace App\Http\Controllers\User\Auth\Passwords;

use DB;
use Hash;

use Carbon\Carbon;
use App\Models\Holiday;
use App\Models\Apptitle;
use App\Models\Customer;
use App\Models\Seosetting;
use App\Models\Announcement;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ResetpasswordController extends Controller
{
    public function resetpassword($token)
    {

        $title = Apptitle::first();
        $data['title'] = $title;

        $seopage = Seosetting::first();
        $data['seopage'] = $seopage;

        $user = DB::table('password_resets')->where('token', $token)->first();
        if ($user) {
            $data['user'] = $user;

            $now = now();
            $announcement = announcement::whereDate('enddate', '>=', $now->toDateString())->whereDate('startdate', '<=', $now->toDateString())->get();
            $data['announcement'] = $announcement;

            $announcements = Announcement::whereNotNull('announcementday')->get();
            $data['announcements'] = $announcements;

            // $holidays = Holiday::whereDate('startdate', '<=', $now->toDateString())->whereDate('enddate', '>=', $now->toDateString())->where('status', '1')->get();
            // $data['holidays'] =  $holidays;

            $now = now();
            $currentYear = $now->year;
            $activeHolidays = Holiday::where('status', 1)->get();


            $data['holidays'] = $activeHolidays->filter(function ($holiday) use ($now, $currentYear) {
                $holidayStart = Carbon::parse($holiday->startdate);
                $holidayEnd = Carbon::parse($holiday->enddate);
                if ($holiday->is_fixed) {
                    return $holidayStart->month === $now->month && $holidayStart->day === $now->day;
                }
                return $holidayStart->isSameDay($now);
            });

            return view('user.auth.passwords.resetpassword', ['token' => $token])->with($data);
        } else {
            return redirect()->route('login')->with('error', lang('Reset password link expired. Please create again'));
        }
    }

    public function updatePassword(Request $request)
    {

        $request->validate([
            'email' => 'required|email|exists:customers',
            'password' => 'required|string|min:6|confirmed',
            'password_confirmation' => 'required',

        ]);

        $updatePassword = DB::table('password_resets')->where(['email' => $request->email, 'token' => $request->token])->first();

        if (!$updatePassword)
            return back()->withInput()->with('error', 'Invalid token!');

        $user = Customer::where('email', $request->email)->first();
        if ($user->password == null) {

            $user->update(['password' => Hash::make($request->password)]);
        } else {

            $user->update(['password' => Hash::make($request->password)]);
        }

        DB::table('password_resets')->where(['email' => $request->email])->delete();

        return redirect('/')->with('success', lang('Your password has been changed!', 'alerts'));
    }
}
