<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Auth;
use App\Models\Setting;
use Carbon\Carbon;
use Illuminate\Support\Str;
use laravelLara\lskusd\utils\trait\TraitCheckHelperAPI;

class DataRecovery
{
    use TraitCheckHelperAPI;
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        $newupdate = setting('newupdate');
        if(($newupdate != 'V5.1') && ($newupdate != 'updated5.1')){
            if($request->path() != 'newupdate'){
                return redirect()->route('admin.newupdate');
            }
            return $next($request);
        }else{
            if(setting('update_setting') == null){
                if($request->is('admin/*')){
                    return redirect()->route('admin.testinginfo');
                }else{
                    return $next($request);
                }
            }
            return $next($request);
        }
    }
}
