<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AllTransactions extends Model
{
    use HasFactory;

    protected $table = 'all_transactions';

    protected $fillable = [
        'category_id',
        'cust_id',
        'invoiceId',
        'amount',
        'currency',
        'transaction_id',
        'refundTransaction_id',
        'discount',
        'customerAmount',
        'payment_method',
        'dateIssued',
        'ticket_type',
        'ticket_id',
        'package_name',
        'package_id',
        'status',
        'city',
        'state',
        'country',
        'postal_code',
        'last4Digits',
        'cardType',
        'cardBrand',
        'cust_viewed',
        'payment_date',
    ];

    public function customInvoiceElements()
    {
        return $this->hasMany(CustomInvoiceFields::class,'parentId');
    }
    public function allInvoices()
    {
        return $this->hasOne(AllInvoices::class,'parentId');
    }
    
    public function customer()
    {
        return $this->belongsTo(Customer::class, 'cust_id');   
    }

    public function refundComments()
    {   
        return $this->hasMany(RefundComment::class, 'refund_id')->latest('created_at');
    }

}
