<table class="table table-bordered border-bottom text-nowrap w-100" id="ticketdatatable">
    <thead>
        <tr>
            <th>{{ lang('Sl.No') }}</th>
            @can('Ticket Delete')
                <th width="10">
                    <input type="checkbox" id="customCheckAll">
                    <label for="customCheckAll"></label>
                </th>
            @endcan
            @cannot('Ticket Delete')
                <th width="10">
                    <input type="checkbox" id="customCheckAll" disabled>
                    <label for="customCheckAll"></label>
                </th>
            @endcannot

            <th class="ticket-dets">
                {{ lang('Ticket Details') }}
            </th>
            <th>{{ lang('User') }}</th>
            <th>{{ lang('Status') }}</th>
            <th>{{ lang('Actions') }}</th>
        </tr>
    </thead>
    
</table>

@include('includes.admin.datatable')
<script type="text/javascript">
    document.addEventListener("DOMContentLoaded", (event) => {
        let tableData = @json($ticketdata);
        let delPerm = @json(Auth::user()->can('Ticket Delete'));
        let editPerm = @json(Auth::user()->can('Ticket Edit'));
        let assignPerm = @json(Auth::user()->can('Ticket Assign'));
        let dateFormat = @json(setting('date_format'));
        let botStripColour = @json(setting('botStripColour'));
        var SITEURL = '{{ url('') }}';
        var dataTable;
        var tableDropDown;

        function truncateTitle(title) {
            const maxLength = 40;
            return title.length > maxLength ? title.substring(0, maxLength) + '...' : title;
        }

        loadTable(tableData);

        function loadTable(tableData) {
            document.getElementById('hideAfterloading')?.classList.remove('d-none');
            document.getElementById('theadShow')?.classList.add('d-none');
            if (tableDropDown)
                tableDropDown.destroy();

            if (dataTable)
                dataTable.destroy();

            if (document.getElementById('tableBody'))
                document.getElementById('tableBody').remove();

            let createTbody = document.createElement('tbody');
            createTbody.setAttribute('id', "tableBody");
            let rows = tableData.map((data, index) => {
                let ticketDetails = `
                        <div class="d-flex align-items-center">
                            <div class="">`;

                if (data.ticketnote.length == 0) {
                    if (data.overduestatus !== null) {
                        ticketDetails += `
                                                <div class="ribbon ribbon-top-right text-danger">
                                                    <span class="bg-danger text-white">${data.overduestatus}</span>
                                                </div>
                                            `;
                    }
                } else {
                    ticketDetails += `
                                                <div class="ribbon ribbon-top-right text-warning">
                                                    <span class="bg-warning text-white">{{ lang('Note') }}</span>
                                                </div>`;

                    if (data.overduestatus !== null) {
                        ticketDetails += `
                                                <div class="ribbon ribbon-top-right1 text-danger">
                                                    <span class="bg-danger text-white">${data.overduestatus}</span>
                                                </div>`;
                    }
                }

                ticketDetails += `
                                <a href="${SITEURL}/admin/tickettrashedview/${data.encrypted_id}" class="fs-14 d-block font-weight-semibold">${data.subject}</a>
                                
                                <ul class="fs-13 font-weight-normal d-flex custom-ul">
                                    <li class="pe-2 text-muted">#${data.ticket_id}</li>
                                    <li class="px-2 text-muted" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Date') }}">
                                        <i class="fe fe-calendar me-1 fs-14"></i>${dateTime(data.created_at)}
                                    </li>`;

                if (data.priority) {
                    if (data.priority == 'Low') {
                        ticketDetails += `
                                    <li class="ps-5 pe-2 preference preference-low" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Priority') }}">
                                        ${data.priority}
                                    </li>`;
                    } else if (data.priority == 'High') {
                        ticketDetails += `
                                    <li class="ps-5 pe-2 preference preference-high" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Priority') }}">
                                        ${data.priority}
                                    </li>`;
                    } else if (data.priority == 'Critical') {
                        ticketDetails += `
                                    <li class="ps-5 pe-2 preference preference-critical" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Priority') }}">
                                        ${data.priority}
                                    </li>`;
                    } else {
                        ticketDetails += `
                                    <li class="ps-5 pe-2 preference preference-medium" data-bs-toggle="tooltip"
                                            data-bs-placement="top" title="{{ lang('Priority') }}">
                                            ${data.priority}</li>`;
                    }

                } else {
                    ticketDetails += `~`;
                }


                if (data.category_id != null && data.category != null) {
                    ticketDetails += `
                            <li class="px-2 text-muted" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Category') }}">
                                <i class="fe fe-grid me-1 fs-14"></i>${truncateTitle(data.category.name)}
                            </li>`;
                } else {
                    ticketDetails += `~`;
                }


                if (data.last_reply == null) {
                    ticketDetails += `
                            <li class="px-2 text-muted" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Last Replied') }}">
                                <i class="fe fe-clock me-1 fs-14"></i>${timeAgo(data.created_at)}
                            </li>`;
                } else {
                    ticketDetails += `
                            <li class="px-2 text-muted" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Last Replied') }}">
                                <i class="fe fe-clock me-1 fs-14"></i>${timeAgo(data.last_reply)}
                            </li>`;
                }

                if (data.purchasecodesupport != null) {
                    if (data.purchasecodesupport == 'Supported') {
                        ticketDetails +=
                            `<li class="px-2 text-success font-weight-semibold">{{ lang('Support Active') }}</li>`;
                    } else if (data.purchasecodesupport === 'Expired') {
                        ticketDetails +=
                            `<li class="px-2 text-danger-dark font-weight-semibold">{{ lang('Support Expired') }}</li>`;
                    }
                }

                ticketDetails += `
                                </ul>
                            </div>
                        </div>`;


                let status;

                if (data.status == 'New')
                    status = `<span class="badge badge-burnt-orange">${data.status}</span>`
                else if (data.status == 'Re-Open')
                    status = `<span class="badge badge-teal">${data.status}</span>`
                else if (data.status == 'Inprogress')
                    status = `<span class="badge badge-info">${data.status}</span>`
                else if (data.staus == 'On-Hold')
                    status = `<span class="badge badge-warning">${data.status}</span>`
                else
                    status = `<span class="badge badge-danger">${data.status}</span>`


                return `
                        <tr ${data.replystatus == 'Replied' ? 'class=bg-success-transparent' : '' }
                            ${data.replystatus == 'Botreplied' ? `style="background-color(${botStripColour})"` : '' }
                            ${data.ticketviolation == 'on' ? `class="bg-danger-transparent"` : ''}>

                            <td class="wpx-40 text-center">${index + 1}</td>
                            
                            <td class="wpx-40 text-center"> ${delPerm ? `<input type="checkbox" name="student_checkbox[]" class="checkall" value="${data.encrypted_id}" />` : '~'} </td>

                            <td class="overflow-hidden ticket-details"> ${ticketDetails} </td>

                            <td> ${data.cust.username} (${data.cust.userType}) 
                                ${data.cust.voilated == 'on' ? `<i class="fa fa-exclamation-triangle text-danger"></i>` : ''}
                            </td>

                            <td> ${status}  </td>
                               
                            <td> 
                                <div class="d-flex">
                                    <a href="${SITEURL}/admin/tickettrashedview/${data.encrypted_id}" class="action-btns1"><i
                                            class="feather feather-eye text-info" data-id="${data.encrypted_id}"
                                            data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('View') }}"></i></a>

                                    <a href="javascript:void(0)" data-id="${data.encrypted_id}" class="action-btns1"
                                        id="show-delete"><i class="feather feather-trash-2 text-danger"
                                            data-id="${data.encrypted_id}" data-bs-toggle="tooltip" data-bs-placement="top"
                                            title="{{ lang('Delete') }}"></i></a>

                                    <a href="javascript:void(0)" data-id="${data.encrypted_id}" class="action-btns1"
                                        id="show-restore"><i class="feather feather-rotate-ccw text-success"
                                            data-id="${data.encrypted_id}" data-bs-toggle="tooltip"
                                            data-bs-placement="top" title="{{ lang('Restore') }}"></i></a>
                                </div>
                            </td>

                        </tr>
                    `;
            });

            createTbody.innerHTML = rows.length ? rows.join('') : '';
            document.getElementById('ticketdatatable').appendChild(createTbody);
            let prev = {!! json_encode(lang('Previous')) !!};
            let next = {!! json_encode(lang('Next')) !!};
            let nodata = {!! json_encode(lang('No data available in table')) !!};
            let noentries = {!! json_encode(lang('No entries to show')) !!};
            let showing = {!! json_encode(lang('showing page')) !!};
            let ofval = {!! json_encode(lang('of')) !!};
            let maxRecordfilter = {!! json_encode(lang('- filtered from ')) !!};
            let maxRecords = {!! json_encode(lang('records')) !!};
            let entries = {!! json_encode(lang('entries')) !!};
            let show = {!! json_encode(lang('Show')) !!};
            let search = {!! json_encode(lang('Search...')) !!};
            // Reinitialize DataTable
            dataTable = $('#ticketdatatable').DataTable({
                language: {
                    searchPlaceholder: search,
                    scrollX: "100%",
                    sSearch: '',
                    paginate: {
                        previous: prev,
                        next: next
                    },
                    emptyTable: nodata,
                    infoFiltered: `${maxRecordfilter} _MAX_ ${maxRecords}`,
                    info: `${showing} _PAGE_ ${ofval} _PAGES_`,
                    infoEmpty: noentries,
                    lengthMenu: `${show} _MENU_ ${entries}`,
                },
                order: [],
                columnDefs: [{
                    "orderable": false,
                    "targets": [0, 1, 3]
                }],
            });

            $('.form-select').select2({
                minimumResultsForSearch: Infinity,
                width: '100%'
            });
            $('.form-select').on('focus', function() {
                $(this).attr('aria-hidden', 'false');
            });
            document.getElementById('hideAfterloading')?.classList.add('d-none');
            document.getElementById('theadShow')?.classList.remove('d-none');

            initializeTooltips();
            // checkboxNoLabel()
            // buttonAlertFunctions();
            // Pagenate();

            function initializeTooltips() {
                var tooltipElements = document.querySelectorAll('[data-bs-toggle="tooltip"]');
                tooltipElements.forEach(function(element) {
                    new bootstrap.Tooltip(element);
                });
            }


        }

        function getData() {
            $('.sprukoloader-img').fadeIn();
            $.ajax({
                url: location.href,
                method: 'GET',
                dataType: 'json',
                success: function(data) {
                    $('.sprukoloader-img').fadeOut();  
                    loadTable(data.ticketdata);
                },
                error: function(xhr, status, error) {
                    console.error('AJAX error:', status, error);
                }
            });
        }

        $(function() {
            "use strict";

            (function($) {

                // Variables
                var SITEURL = '{{ url('') }}';

                // Csrf Field
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });

                $('.form-select').select2({
                    minimumResultsForSearch: Infinity,
                    width: '100%'
                });

                // TICKET RESTORE SCRIPT
                $('body').on('click', '#show-restore', function() {
                    var _id = $(this).data("id");
                    swal({
                            title: `{{ lang('Are you sure you want to continue?', 'alerts') }}`,
                            text: "{{ lang('This might restore your record', 'alerts') }}",
                            icon: "warning",
                            buttons: true,
                            dangerMode: true,
                        })
                        .then((willDelete) => {
                            if (willDelete) {
                                $.ajax({
                                    type: "post",
                                    url: SITEURL +
                                        "/admin/tickettrashedrestore/" + _id,
                                    success: function(data) {
                                        toastr.success(data.success);
                                        getData();
                                        // location.reload();
                                    },
                                    error: function(data) {
                                        console.log('Error:', data);
                                    }
                                });
                            }
                        });

                });
                // TICKET RESTORE SCRIPT END

                // TICKET DELETE SCRIPT
                $('body').on('click', '#show-delete', function() {
                    var _id = $(this).data("id");
                    let parent = $(this).closest('tr');
                    swal({
                            title: `{{ lang('Are you sure you want to continue?', 'alerts') }}`,
                            text: "{{ lang('This might delete your records permanently', 'alerts') }}",
                            icon: "warning",
                            buttons: true,
                            dangerMode: true,
                        })
                        .then((willDelete) => {
                            if (willDelete) {
                                $.ajax({
                                    type: "post",
                                    url: SITEURL +
                                        "/admin/tickettrasheddestroy/" + _id,
                                    success: function(data) {
                                        toastr.success(data.success);
                                        getData();
                                        // location.reload();
                                    },
                                    error: function(data) {
                                        console.log('Error:', data);
                                    }
                                });
                            }
                        });

                });
                // TICKET DELETE SCRIPT END

                //Mass Delete
                $('body').on('click', '#massdelete', function() {
                    var id = [];
                    var parent = [];
                    $('.checkall:checked').each(function() {
                        id.push($(this).val());
                        parent.push($(this).closest('tr'));
                    });
                    if (id.length > 0) {
                        swal({
                                title: `{{ lang('Are you sure you want to continue?', 'alerts') }}`,
                                text: "{{ lang('This might erase your records permanently', 'alerts') }}",
                                icon: "warning",
                                buttons: true,
                                dangerMode: true,
                            })
                            .then((willDelete) => {
                                if (willDelete) {
                                    $.ajax({
                                        url: "{{ url('admin/trashedticket/delete') }}",
                                        method: "POST",
                                        data: {
                                            id: id
                                        },
                                        success: function(data) {
                                            toastr.success(data.success);
                                            getData();
                                            $('.checkall:checked').prop('checked', false);
                                            $('#customCheckAll').prop('checked', false);
                                            $('#massdelete').hide();
                                            // location.reload();
                                        },
                                        error: function(data) {

                                        }
                                    });
                                }
                            });
                    } else {
                        toastr.error(
                            '{{ lang('Please select at least one check box.', 'alerts') }}'
                        );
                    }
                });


                $(document).ready(function() {

                    $(document).on('click', '#customCheckAll', function() {
                        $('.checkall').prop('checked', this.checked);
                        updateMassDeleteVisibility();
                    });

                    // Handle individual checkboxes
                    $(document).on('click', '.checkall', function() {
                        updateCustomCheckAll();
                        updateMassDeleteVisibility();
                    });

                    // Handle pagination controls
                    $(document).on('click', '.pagination a', function() {
                        // Assuming '.pagination a' is the selector for your pagination controls
                        setTimeout(function() {
                            updateMassDeleteVisibility();
                        }, 100);
                    });

                    // Initialize the "Select All" checkbox to unchecked
                    $('#customCheckAll').prop('checked', false);

                    // Function to update the visibility of the mass delete button
                    function updateMassDeleteVisibility() {
                        if ($('.checkall:checked').length === 0) {
                            $('#massdelete').hide();
                        } else {
                            $('#massdelete').show();
                        }
                    }

                    // Function to update the state of the "Select All" checkbox
                    function updateCustomCheckAll() {
                        var totalCheckboxes = $('.checkall').length;
                        var checkedCheckboxes = $('.checkall:checked').length;

                        if (checkedCheckboxes === totalCheckboxes) {
                            $('#customCheckAll').prop('checked', true);
                        } else {
                            $('#customCheckAll').prop('checked', false);
                        }
                    }
                });


                //Mass retore
                $('body').on('click', '#massrestore', function() {
                    var id = [];
                    $('.checkall:checked').each(function() {
                        id.push($(this).val());
                    });
                    if (id.length > 0) {
                        swal({
                                title: `{{ lang('Are you sure you want to continue?', 'alerts') }}`,
                                text: "{{ lang('This might restore your record', 'alerts') }}",
                                icon: "warning",
                                buttons: true,
                                dangerMode: true,
                            })
                            .then((willDelete) => {
                                if (willDelete) {
                                    $.ajax({
                                        url: "{{ url('admin/trashedticket/restore') }}",
                                        method: "POST",
                                        data: {
                                            id: id
                                        },
                                        success: function(data) {
                                            toastr.success(data.success);
                                            getData();
                                            $('.checkall:checked').prop('checked', false);
                                            $('#customCheckAll').prop('checked', false);
                                            // location.reload();
                                        },
                                        error: function(data) {

                                        }
                                    });
                                }
                            });
                    } else {
                        toastr.error(
                            '{{ lang('Please select at least one check box.', 'alerts') }}'
                        );
                    }
                });

            })(jQuery);
        })

    });
</script>
