<table class="table table-bordered border-bottom text-nowrap ticketdeleterow w-100" id="support-customerlist">
    <thead>
        <tr>
            <th width="10">{{ lang('Sl.No') }}</th>
            @can('Customers Delete')
                <th width="10">
                    <input type="checkbox" id="customCheckAll">
                    <label for="customCheckAll"></label>
                </th>
            @endcan
            @cannot('Customers Delete')
                <th width="10">
                    <input type="checkbox" id="customCheckAll" disabled>
                    <label for="customCheckAll"></label>
                </th>
            @endcannot

            <th>{{ lang('Name') }}</th>
            <th>{{ lang('User Type') }}</th>
            <th>{{ lang('Verification') }}</th>
            <th>{{ lang('Register Date') }}</th>
            <th class="w-5">{{ lang('Status') }}</th>
            <th>{{ lang('Actions') }}</th>
        </tr>
    </thead>
    <div id="hideAfterloading"><img src="{{ asset('build/assets/images/loader.svg') }}" alt="">
        <p>loading.. Please Wait</p>
    </div>
</table>

{{ $customers->links('admin.viewticket.pagination') }}
@include('includes.admin.datatable')
<script type="text/javascript">
    document.addEventListener("DOMContentLoaded", (event) => {

        let tableData = @json($customers);

        let delPerm = @json(Auth::user()->can('Customers Delete'));
        let loginPerm = @json(auth()->user()->can('Customers Login'));
        let editPerm = @json(Auth::user()->can('Customers Edit'));
        let dateFormat = @json(setting('date_format'));
        let baseUrl = "{{ url('/admin/customer') }}";
        let SITEURL = "{{ url('') }}";
        
        var dataTable;
        var tableDropDown;

        function truncateTitle(title) {
            const maxLength = 40;
            return title.length > maxLength ? title.substring(0, maxLength) + '...' : title;
        }

        loadTable(tableData);

        function loadTable(tableData) {
            document.getElementById('hideAfterloading')?.classList.remove('d-none');
            document.getElementById('theadShow')?.classList.add('d-none');
            if (tableDropDown)
                tableDropDown.destroy();

            if ($.fn.DataTable.isDataTable('#support-customerlist')) {
                $('#support-customerlist').DataTable().clear().destroy(); 
            }

            // if (dataTable)
            //     dataTable.destroy();

            if (document.getElementById('tableBody'))
                document.getElementById('tableBody').remove();

            let createTbody = document.createElement('tbody');
            createTbody.setAttribute('id', "tableBody");
            let rows = tableData.data.map((data, index) => {

                return `
                        <tr>
                            <td>${index + 1}</td>
                            <td class="text-center">
                                ${delPerm
                                    ? ` <input type="checkbox" name="customer_checkbox[]" class="checkall"
                            value=${data.encrypted_id} />` : '~'
                                }
                            </td>

                            <td>${loginPerm ? ` <div>
                                        <h5 class="d-inline">${truncateTitle(data.username)}</h5>
                                        
                                        ${data.voilated == 'on' ? `<span class="badge badge-danger-light"><i
                                                    class="fa fa-exclamation-triangle text-danger"></i>
                                                {{ __('Violation') }}</span>`: ''} 
                                    
                                        <a class="float-xxl-end"
                                            href="${baseUrl}/adminlogin/${data.encrypted_id}"
                                            target="_blank">
                                            <span class="badge badge-success text-white f-12">{{ lang('Login as') }}</span>
                                        </a>
                                    </div>
                                    <small class="fs-12 text-muted">
                                        <span class="font-weight-normal1">${truncateTitle(data.email)}</span>
                                    </small>`
                                : ` <div>
                                    <a href="#" class="h5">${truncateTitle(data.username)}</a>
                                    </div>
                                    <small class="fs-12 text-muted">
                                        <span class="font-weight-normal1">${truncateTitle(data.email)}</span>
                                    </small>` }
                            </td>

                            <td> ${data.userType} </td>

                            <td> ${data.verified == 1 ? `{{ lang('Verified') }}` : `{{ lang('Unverified') }}`}  </td>

                            <td> <span class="badge badge-success-light"> ${dateTime(data.created_at)} </span> </td>

                            <td> ${data.status == 1 ? `<span class="badge badge-success">{{ lang('Active') }}</span>`
                                 : `<span class="badge badge-danger">{{ lang('Inactive') }}</span>`} </td>

                            <td>
                                <div class="d-flex">
                                    ${editPerm ? ` <a href="${baseUrl}/${data.encrypted_id}" class="action-btns1"
                                            data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Edit') }}">
                                            <i class="feather feather-edit text-primary"></i>
                                        </a>` : '~' 
                                    }


                                    ${delPerm  ? `  <a href="javascript:void(0)" class="action-btns1" data-id="${data.encrypted_id}"
                                                    id="show-delete" data-bs-toggle="tooltip" data-bs-placement="top"
                                                    title="{{ lang('Delete') }}">
                                                    <i class="feather feather-trash-2 text-danger"></i>
                                                    </a>` : '~' 
                                    }

                                    ${data.ticket_count >0 ? `<a href="${SITEURL}/admin/customerprevioustickets/${data.encrypted_id}"
                                                class="action-btns1" target="_blank" data-bs-toggle="tooltip" data-bs-placement="top"
                                                title="{{ lang('Tickets History') }}">
                                                <i class="feather-rotate-ccw text-primary"></i>
                                            </a>`
                                     : '' }

                                    ${data.verified != 1 && data.userType == 'Customer' 
                                    ? ` <a href="javascript:void(0)" data-id="${data.email}" id="resendverification"
                                            class="action-btns1" data-bs-toggle="tooltip" data-bs-placement="top"
                                            title="{{ lang('Send Verification Link') }}">
                                            <i class="feather feather-link text-primary"></i>
                                        </a>` : ''}

                                </div>
                            </td>

                        </tr>
                    `;
            });

            createTbody.innerHTML = rows.length ? rows.join('') : '';
            document.getElementById('support-customerlist').appendChild(createTbody);
            let prev = {!! json_encode(lang('Previous')) !!};
            let next = {!! json_encode(lang('Next')) !!};
            let nodata = {!! json_encode(lang('No data available in table')) !!};
            let noentries = {!! json_encode(lang('No entries to show')) !!};
            let showing = {!! json_encode(lang('showing page')) !!};
            let ofval = {!! json_encode(lang('of')) !!};
            let maxRecordfilter = {!! json_encode(lang('- filtered from ')) !!};
            let maxRecords = {!! json_encode(lang('records')) !!};
            let entries = {!! json_encode(lang('entries')) !!};
            let show = {!! json_encode(lang('Show')) !!};
            let search = {!! json_encode(lang('Search...')) !!};
            // Reinitialize DataTable
            dataTable = $('#support-customerlist').DataTable({
                language: {
                    searchPlaceholder: search,
                    scrollX: "100%",
                    sSearch: '',
                    paginate: {
                        previous: prev,
                        next: next
                    },
                    emptyTable: nodata,
                    infoFiltered: `${maxRecordfilter} _MAX_ ${maxRecords}`,
                    info: `${showing} _PAGE_ ${ofval} _PAGES_`,
                    infoEmpty: noentries,
                    lengthMenu: `${show} _MENU_ ${entries}`,
                },
                order: [],
                columnDefs: [{
                    "orderable": false,
                    "targets": [0, 1, 3]
                }],
            });

            document.querySelector('.card-body').style.setProperty('filter','')

            $('.form-select').select2({
                minimumResultsForSearch: Infinity,
                width: '100%'
            });
            $('.form-select').on('focus', function() {
                $(this).attr('aria-hidden', 'false');
            });
            document.getElementById('hideAfterloading')?.classList.add('d-none');
            document.getElementById('theadShow')?.classList.remove('d-none');

            initializeTooltips();
            // checkboxNoLabel()
            // buttonAlertFunctions();
            // Pagenate();

            function initializeTooltips() {
                var tooltipElements = document.querySelectorAll('[data-bs-toggle="tooltip"]');
                tooltipElements.forEach(function(element) {
                    new bootstrap.Tooltip(element);
                });
            }


        }

        $(function() {


            let DebounceSearch;
            $('input[type="search"]').on('keyup', function(event) {
                event.preventDefault();
                clearTimeout(DebounceSearch);

                DebounceSearch = setTimeout(() => {
                    let searchValue = $(this).val().trim();
                    var selectedOption = $('.form-select').val();
                    $('.sprukoloader-img').fadeIn();
                    $.ajax({
                        url: "{{ route('admin.customer') }}",
                        method: 'GET',
                        data: {
                            search: searchValue,
                            page: 1,
                            per_page: selectedOption,
                        },
                        success: function(response) {
                            $('.sprukoloader-img').fadeOut();
                            $('.fetchedtabledata').html(response
                                .rendereddata);
                            setTimeout(() => {
                                document.querySelector(
                                        'input[type="search"]')
                                    .value = searchValue;
                                document.querySelector(
                                        'input[type="search"]')
                                    .focus();
                            }, 100);
                        },
                        error: function(xhr, status, error) {
                            $('.sprukoloader-img').fadeOut();
                            console.error('AJAX Error:', error);
                        }
                    });

                }, 1000);
            });

            $('.form-select').select2({
                minimumResultsForSearch: Infinity,
                width: '100%'
            });

            let end = @json($perPage);
            $('.form-select').val(end).trigger('change');

            $('.form-select').on('select2:select', function(e) {
                var selectedData = e.params.data;
                var searchdatafetch = document.querySelector('input[type="search"]').value

                $.ajax({
                    url: location.origin + location.pathname +
                        `?page=1&per_page=${selectedData.text}&search=${searchdatafetch}`,
                    method: 'GET',
                    dataType: 'json',
                    success: function(data) {
                        $('.fetchedtabledata').html(data.rendereddata);
                        setTimeout(() => {
                            document.querySelector('input[type="search"]')
                                .value = searchdatafetch;
                            document.querySelector('input[type="search"]')
                                .focus();
                        }, 100);
                    },
                    error: function(xhr, status, error) {
                        console.error('AJAX error:', status, error);
                    }
                });
            });

            $('.paginationDatafetch').on('click', function() {
                var selectedpage = $(this).data('id');
                var selectedOption = $('.form-select').val();
                var searchdatafetch = document.querySelector('input[type="search"]').value

                $.ajax({
                    url: location.origin + location.pathname +
                        `?page=${selectedpage}&per_page=${selectedOption}&search=${searchdatafetch}`,
                    method: 'GET',
                    dataType: 'json',
                    success: function(data) {
                        $('.fetchedtabledata').html(data.rendereddata);
                        setTimeout(() => {
                            document.querySelector('input[type="search"]')
                                .value = searchdatafetch;
                            document.querySelector('input[type="search"]')
                                .focus();
                        }, 100);
                    },
                    error: function(xhr, status, error) {
                        console.error('AJAX error:', status, error);
                    }
                });
            });


            let paginationexists = @json($customers->hasPages());
            if (paginationexists) {
                document.querySelector('.dataTables_wrapper .dataTables_paginate') ? document
                    .querySelector('.dataTables_wrapper .dataTables_paginate').style.display = 'none' :
                    null;
            } else {
                document.querySelector('.dataTables_wrapper .dataTables_paginate') ? document
                    .querySelector('.dataTables_wrapper .dataTables_paginate').style.display = 'block' :
                    null;
            }

            function initializeTooltips() {
                var tooltipElements = document.querySelectorAll('[data-bs-toggle="tooltip"]');
                tooltipElements.forEach(function(element) {
                    new bootstrap.Tooltip(element);
                });
            }
            initializeTooltips();
        })
    });
</script>
