@extends('layouts.adminmaster')

@section('styles')
    <!-- INTERNAL Data table css -->
    <link href="{{ asset('build/assets/plugins/datatable/css/dataTables.bootstrap5.min.css') }}?v=<?php echo time(); ?>"
        rel="stylesheet" />
    <link href="{{ asset('build/assets/plugins/datatable/responsive.bootstrap5.css') }}?v=<?php echo time(); ?>"
        rel="stylesheet" />

    <!-- INTERNAL Sweet-Alert css -->
    <link href="{{ asset('build/assets/plugins/sweet-alert/sweetalert.css') }}?v=<?php echo time(); ?>" rel="stylesheet" />
    
@endsection

@section('content')
    <!--Page header-->
    <div class="page-header d-xl-flex d-block">
        <div class="page-leftheader">
            <h4 class="page-title"><span class="font-weight-normal text-muted ms-2">{{ lang('Customers', 'menu') }}</span>
            </h4>
        </div>
    </div>
    <!--End Page header-->

    <!-- Customer List -->
    <div class="col-xl-12 col-lg-12 col-md-12">
        <div class="card ">
            <div class="card-header border-0 d-md-max-block">
                <h4 class="card-title">{{ lang('Customers List') }}</h4>
                <div class="card-options mt-sm-max-2 d-md-max-block">
                    @can('Customers Create')
                        <a href="{{ url('admin/customer/create') }}" class="btn btn-success mb-md-max-2 me-3"><i
                                class="feather feather-user-plus"></i> {{ lang('Add Customer') }}</a>
                    @endcan
                    @can('Customers Importlist')
                        <a href="{{ route('admin.customer.import') }}" class="btn btn-info mb-md-max-2 me-3"><i
                                class="feather feather-download"></i> {{ lang('Import Customer List') }}</a>
                    @endcan
                </div>
            </div>
            <div class="card-body overflow-scroll custom-show-data">
                <div class="spruko-delete" style="min-height: 230px;" >
                    @can('Customers Delete')
                        <button id="massdelete" class="btn btn-outline-light btn-sm mb-4 data-table-btn"
                            style="display: none;"><i class="fe fe-trash"></i> {{ lang('Delete') }}</button>
                    @endcan
                    {{-- <div class="sprukoloader-img"><i class="fa fa-spinner fa-spin"></i> <span>{{ lang('Loading....') }}</span></div>
                <div class="fetchedtabledata">
                    @include('admin.customers.custtableinclude')
                </div> --}}
                    <table class="table table-bordered border-bottom text-nowrap ticketdeleterow w-100"
                        id="support-customerlist">
                        <thead>
                            <tr>
                                <th width="10">{{ lang('Sl.No') }}</th>
                                @can('Customers Delete')
                                    <th width="10">
                                        <input type="checkbox" id="customCheckAll">
                                        <label for="customCheckAll"></label>
                                    </th>
                                @endcan
                                @cannot('Customers Delete')
                                    <th width="10">
                                        <input type="checkbox" id="customCheckAll" disabled>
                                        <label for="customCheckAll"></label>
                                    </th>
                                @endcannot

                                <th class="w-30">{{ lang('Name') }}</th>
                                <th>{{ lang('User Type') }}</th>
                                <th>{{ lang('Verification') }}</th>
                                <th>{{ lang('Register Date') }}</th>
                                <th class="w-5">{{ lang('Status') }}</th>
                                <th>{{ lang('Actions') }}</th>
                            </tr>
                        </thead>
                        <div id="hideAfterloading"><img src="{{ asset('build/assets/images/loader.svg') }}" alt="">
                            <p>loading.. Please Wait</p>
                        </div>
                    </table>
                </div>
            </div>
        </div>
    </div>
    {{-- {{ $customers->links('admin.viewticket.pagination') }} --}}
    <!-- End Customer List -->
@endsection

@section('scripts')
    <!-- INTERNAL Vertical-scroll js-->
    <script src="{{ asset('build/assets/plugins/vertical-scroll/jquery.bootstrap.newsbox.js') }}?v=<?php echo time(); ?>">
    </script>

    <!-- INTERNAL Data tables -->
    <script src="{{ asset('build/assets/plugins/datatable/js/jquery.dataTables.min.js') }}?v=<?php echo time(); ?>"></script>
    <script src="{{ asset('build/assets/plugins/datatable/js/dataTables.bootstrap5.js') }}?v=<?php echo time(); ?>"></script>
    <script src="{{ asset('build/assets/plugins/datatable/dataTables.responsive.min.js') }}?v=<?php echo time(); ?>">
    </script>
    <script src="{{ asset('build/assets/plugins/datatable/responsive.bootstrap5.min.js') }}?v=<?php echo time(); ?>">
    </script>

    <!-- INTERNAL Index js-->
    @vite(['resources/assets/js/support/support-sidemenu.js'])

    <!-- INTERNAL Sweet-Alert js-->
    <script src="{{ asset('build/assets/plugins/sweet-alert/sweetalert.min.js') }}?v=<?php echo time(); ?>"></script>
    @include('includes.admin.datatable')
    <script type="text/javascript">
        document.addEventListener("DOMContentLoaded", (event) => {

            let tableData = @json($customers);
            let delPerm = @json(Auth::user()->can('Customers Delete'));
            let loginPerm = @json(auth()->user()->can('Customers Login'));
            let editPerm = @json(Auth::user()->can('Customers Edit'));
            let dateFormat = @json(setting('date_format'));
            let baseUrl = "{{ url('/admin/customer') }}";
            let SITEURL = "{{ url('') }}"

            var dataTable;
            var tableDropDown;

            function truncateTitle(title) {
                const maxLength = 40;
                return title.length > maxLength ? title.substring(0, maxLength) + '...' : title;
            }

            loadTable(tableData);

            function loadTable(tableData) {
                document.getElementById('hideAfterloading')?.classList.remove('d-none');
                document.getElementById('theadShow')?.classList.add('d-none');
                if (tableDropDown)
                    tableDropDown.destroy();

                // if (dataTable)
                //     dataTable.destroy();

                if ($.fn.DataTable.isDataTable('#support-customerlist')) {
                    $('#support-customerlist').DataTable().clear().destroy(); 
                }

                if (document.getElementById('tableBody'))
                    document.getElementById('tableBody').remove();

                let createTbody = document.createElement('tbody');
                createTbody.setAttribute('id', "tableBody");
                let rows = tableData.map((data, index) => {

                    return `
                        <tr>
                            <td width="10">${index + 1}</td>
                            <td width="10" class="text-center">
                                ${delPerm
                                    ? ` <input type="checkbox" name="customer_checkbox[]" class="checkall"
                                            value=${data.encrypted_id} />` : '~'
                                }
                            </td>

                            

                            <td class="w-30"><div> <h5 class="d-inline">${truncateTitle(data.username)}</h5>                                       
                                        ${data.voilated == 'on' ? `<span class="badge badge-danger-light"><i
                                    class="fa fa-exclamation-triangle text-danger"></i>
                                {{ lang('Violation') }}</span>` : ''}  
                                 ${loginPerm && data.userType != 'Livechat' ? `<a class="float-xxl-end"
                                            href="${baseUrl}/adminlogin/${data.encrypted_id}"
                                            target="_blank">
                                            <span class="badge badge-success text-white f-12">{{ lang('Login as') }}</span>
                                        </a>`:''}
                                    </div>
                                    <small class="fs-12 text-muted">
                                        <span class="font-weight-normal1">${truncateTitle(data.email)}</span>
                                    </small> 
                            </td>

                            <td> ${data.userType} </td>

                            <td> ${data.verified == 1 ? `{{ lang('Verified') }}` : `{{ lang('Unverified') }}`}  </td>

                            <td> <span class="badge badge-success-light"> ${dateTime(data.created_at)} </span> </td>

                            <td class="w-5"> ${data.status == 1 ? `<span class="badge badge-success">{{ lang('Active') }}</span>`
                                : `<span class="badge badge-danger">{{ lang('Inactive') }}</span>`} </td>

                            <td>
                                <div class="d-flex">
                                    ${editPerm ? ` <a href="${baseUrl}/${data.encrypted_id}" class="action-btns1"
                                                            data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Edit') }}">
                                                            <i class="feather feather-edit text-primary"></i>
                                                        </a>` : '~' 
                                    }


                                    ${delPerm  ? `  <a href="javascript:void(0)" class="action-btns1" data-id="${data.encrypted_id}"
                                                                    id="show-delete" data-bs-toggle="tooltip" data-bs-placement="top"
                                                                    title="{{ lang('Delete') }}">
                                                                    <i class="feather feather-trash-2 text-danger"></i>
                                                                    </a>` : '~' 
                                    }

                                    ${data.ticket_count >0 ? `<a href="${SITEURL}/admin/customerprevioustickets/${data.encrypted_id}"
                                                                class="action-btns1" target="_blank" data-bs-toggle="tooltip" data-bs-placement="top"
                                                                title="{{ lang('Tickets History') }}">
                                                                <i class="feather-rotate-ccw text-primary"></i>
                                                            </a>`
                                    : '' }

                                    ${data.verified != 1 && data.userType == 'Customer' 
                                    ? ` <a href="javascript:void(0)" data-id="${data.email}" id="resendverification"
                                                            class="action-btns1" data-bs-toggle="tooltip" data-bs-placement="top"
                                                            title="{{ lang('Send Verification Link') }}">
                                                            <i class="feather feather-link text-primary"></i>
                                                        </a>` : ''}

                                </div>
                            </td>

                        </tr>
                    `;
                });

                createTbody.innerHTML = rows.length ? rows.join('') : '';
                document.getElementById('support-customerlist').appendChild(createTbody);
                let prev = {!! json_encode(lang('Previous')) !!};
                let next = {!! json_encode(lang('Next')) !!};
                let nodata = {!! json_encode(lang('No data available in table')) !!};
                let noentries = {!! json_encode(lang('No entries to show')) !!};
                let showing = {!! json_encode(lang('showing page')) !!};
                let ofval = {!! json_encode(lang('of')) !!};
                let maxRecordfilter = {!! json_encode(lang('- filtered from ')) !!};
                let maxRecords = {!! json_encode(lang('records')) !!};
                let entries = {!! json_encode(lang('entries')) !!};
                let show = {!! json_encode(lang('Show')) !!};
                let search = {!! json_encode(lang('Search...')) !!};
                // Reinitialize DataTable
                dataTable = $('#support-customerlist').DataTable({
                    language: {
                        searchPlaceholder: search,
                        scrollX: "100%",
                        sSearch: '',
                        paginate: {
                            previous: prev,
                            next: next
                        },
                        emptyTable: nodata,
                        infoFiltered: `${maxRecordfilter} _MAX_ ${maxRecords}`,
                        info: `${showing} _PAGE_ ${ofval} _PAGES_`,
                        infoEmpty: noentries,
                        lengthMenu: `${show} _MENU_ ${entries}`,
                    },
                    order: [],
                    columnDefs: [{
                        "orderable": false,
                        "targets": [0, 1, 3]
                    }],
                });

                document.querySelector('.card-body').style.setProperty('filter','')

                $('.form-select').select2({
                    minimumResultsForSearch: Infinity,
                    width: '100%'
                });
                $('.form-select').on('focus', function() {
                    $(this).attr('aria-hidden', 'false');
                });
                document.getElementById('hideAfterloading')?.classList.add('d-none');
                document.getElementById('theadShow')?.classList.remove('d-none');

                initializeTooltips();
                // checkboxNoLabel()
                // buttonAlertFunctions();
                // Pagenate();

                function initializeTooltips() {
                    var tooltipElements = document.querySelectorAll('[data-bs-toggle="tooltip"]');
                    tooltipElements.forEach(function(element) {
                        new bootstrap.Tooltip(element);
                    });
                }


            }

            $(function() {
                "use strict";

                (function($) {

                    // Variables
                    var SITEURL = '{{ url('') }}';

                    // Csrf Field
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    });

                    // Delete the customer
                    $('body').on('click', '#show-delete', function() {
                        var _id = $(this).data("id");
                        let parent = $(this).closest('tr');
                        
                        swal({
                                title: `{{ lang('Are you sure you want to continue?', 'alerts') }}`,
                                text: "{{ lang('This might erase your records permanently', 'alerts') }}",
                                icon: "warning",
                                buttons: true,
                                dangerMode: true,
                            })
                            .then((willDelete) => {
                                if (willDelete) {
                                    $.ajax({
                                        type: "get",
                                        url: SITEURL + "/admin/customer/delete/" +
                                            _id,
                                        success: function(data) {
                                            toastr.success(data.success);
                                            $(parent[0]).addClass('fade-out');
                                            
                                            tableData = tableData.filter(item => item.encrypted_id != _id);
                                            document.getElementById('hideAfterloading')?.classList.remove('d-none');
                                            document.querySelector('.card-body').style.setProperty('filter','blur(1px)');

                                            
                                            setTimeout(() => {
                                                parent.remove();
                                                loadTable(tableData);
                                            }, 1500);
                                            // location.reload();
                                        },
                                        error: function(data) {
                                            console.log('Error:', data);
                                            if (data.responseJSON.message ==
                                                'The payload is invalid.') {
                                                toastr.error(
                                                    'You are not allow to delete this customer.'
                                                );
                                            }
                                        }
                                    });
                                }
                            });
                    });

                    // Mass Delete
                    $('body').on('click', '#massdelete', function() {
                        var id = [];
                        var parent = [];
                        $('.checkall:checked').each(function() {
                            id.push($(this).val());
                            parent.push($(this).closest('tr'));
                        });
                        if (id.length > 0) {
                            swal({
                                    title: `{{ lang('Are you sure you want to continue?', 'alerts') }}`,
                                    text: "{{ lang('This might erase your records permanently', 'alerts') }}",
                                    icon: "warning",
                                    buttons: true,
                                    dangerMode: true,
                                })
                                .then((willDelete) => {
                                    if (willDelete) {
                                        $.ajax({
                                            url: "{{ url('admin/masscustomer/delete') }}",
                                            method: "GET",
                                            data: {
                                                id: id
                                            },
                                            success: function(data) {
                                                toastr.success(data.success);
                                                parent.forEach(element => {element.addClass('fade-out'); });
                                                let newData = tableData.filter(
                                                    item => !id.includes(
                                                        String(item.encrypted_id)));
                                                tableData = newData;
                                                document.getElementById('hideAfterloading')?.classList.remove('d-none');
                                                document.querySelector('.card-body').style.setProperty('filter','blur(1px)');

                                                setTimeout(() => {
                                                    loadTable(
                                                        tableData);
                                                }, 1500);
                                                $('.checkall:checked').prop('checked', false);
                                                $('#customCheckAll').prop('checked', false);
                                                $('#massdelete').hide();
                                                // location.reload();
                                            },
                                            error: function(data) {
                                                if (data.responseJSON.message ==
                                                    'The payload is invalid.') {
                                                    toastr.error(
                                                        'You are not allow to delete this customer.'
                                                    );
                                                }
                                            }
                                        });
                                    }
                                });
                        } else {
                            toastr.error(
                                '{{ lang('Please select at least one check box.', 'alerts') }}'
                            );
                        }

                    });


                    // resend verification code to the customer
                    $('body').on('click', '#resendverification', function() {
                        var _id = $(this).data("id");

                        swal({
                                title: `{{ lang('Are you sure you want to continue?', 'alerts') }}`,
                                text: "{{ lang('This is to resend email verification link to the customer', 'alerts') }}",
                                icon: "warning",
                                buttons: true,
                                dangerMode: true,
                            })
                            .then((willDelete) => {
                                if (willDelete) {
                                    $.ajax({
                                        type: "get",
                                        url: SITEURL +
                                            "/admin/customer/resendverification/" +
                                            _id,
                                        success: function(data) {
                                            toastr.success(data.success);
                                            location.reload();
                                        },
                                        error: function(data) {
                                            console.log('Error:', data);
                                            if (data.responseJSON.message ==
                                                'The payload is invalid.') {
                                                toastr.error(
                                                    'You are not allow to delete this customer.'
                                                );
                                            }
                                        }
                                    });
                                }
                            });
                    });

                    $('.form-select').select2({
                        minimumResultsForSearch: Infinity,
                        width: '100%'
                    });

                    $(document).ready(function() {

                        $(document).on('click', '#customCheckAll', function() {
                            $('.checkall').prop('checked', this.checked);
                            updateMassDeleteVisibility();
                        });

                        // Handle individual checkboxes
                        $(document).on('click', '.checkall', function() {
                            updateCustomCheckAll();
                            updateMassDeleteVisibility();
                        });

                        // Handle pagination controls
                        $(document).on('click', '.pagination a', function() {
                            // Assuming '.pagination a' is the selector for your pagination controls
                            setTimeout(function() {
                                updateMassDeleteVisibility();
                            }, 100);
                        });

                        // Initialize the "Select All" checkbox to unchecked
                        $('#customCheckAll').prop('checked', false);

                        // Function to update the visibility of the mass delete button
                        function updateMassDeleteVisibility() {
                            if ($('.checkall:checked').length === 0) {
                                $('#massdelete').hide();
                            } else {
                                $('#massdelete').show();
                            }
                        }

                        // Function to update the state of the "Select All" checkbox
                        function updateCustomCheckAll() {
                            var totalCheckboxes = $('.checkall').length;
                            var checkedCheckboxes = $('.checkall:checked').length;

                            if (checkedCheckboxes === totalCheckboxes) {
                                $('#customCheckAll').prop('checked', true);
                            } else {
                                $('#customCheckAll').prop('checked', false);
                            }
                        }


                        
                    });

                })(jQuery);
            });
        });
    </script>
@endsection
