@extends('layouts.adminmaster')

		@section('styles')

		<!-- INTERNAl Summernote css -->
		<link rel="stylesheet" href="{{asset('build/assets/plugins/summernote/summernote.css')}}?v=<?php echo time(); ?>">

		<!-- INTERNAL Data table css -->
		<link href="{{asset('build/assets/plugins/datatable/css/dataTables.bootstrap5.min.css')}}?v=<?php echo time(); ?>" rel="stylesheet" />
		<link href="{{asset('build/assets/plugins/datatable/responsive.bootstrap5.css')}}?v=<?php echo time(); ?>" rel="stylesheet" />

		<!-- INTERNAL Sweet-Alert css -->
		<link href="{{asset('build/assets/plugins/sweet-alert/sweetalert.css')}}?v=<?php echo time(); ?>" rel="stylesheet" />
		@endsection

							@section('content')


							<!--Page header-->
							<div class="page-header d-xl-flex d-block">
								<div class="page-leftheader">
									<h4 class="page-title"><span class="font-weight-normal text-muted ms-2">{{lang('Faq Category', 'menu')}}</span></h4>
								</div>
							</div>
							<!--End Page header-->


							<div class="col-xl-12 col-lg-12 col-md-12">
								<div class="card ">
									<div class="card-header border-0 d-sm-max-flex">
										<h4 class="card-title">{{lang('Faq Category', 'menu')}}</h4>
										<div class="card-options mt-sm-max-2">
											@can('FAQ Category Create')

											<a href="javascript:void(0)" class="btn btn-secondary me-3" id="addfaqcategory">{{lang('Add Faq Category')}}</a>
											@endcan

										</div>
									</div>
									<div class="card-body" >
										<div class="table-responsive spruko-delete">
											@can('FAQ Category Delete')

											<button id="massdeletenotify" class="btn btn-outline-light btn-sm mb-4 data-table-btn" style="display: none;"><i class="fe fe-trash"></i> {{lang('Delete')}}</button>
											@endcan

											<table class="table table-bordered border-bottom text-nowrap ticketdeleterow w-100" id="support-articlelists">
												<thead>
													<tr>
														<th  width="10">{{lang('Sl.No')}}</th>
														@can('FAQs Delete')

														<th width="10" >
															<input type="checkbox"  id="customCheckAll">
															<label  for="customCheckAll"></label>
														</th>
														@endcan
														@cannot('FAQs Delete')

														<th width="10" >
															<input type="checkbox"  id="customCheckAll" disabled>
															<label  for="customCheckAll"></label>
														</th>
														@endcannot

														<th>{{lang('Faq Category Name')}}</th>
														<th>{{lang('Status')}}</th>
														<th>{{lang('Actions')}}</th>
													</tr>
												</thead>
                                                <div id="hideAfterloading"><img src="{{ asset('build/assets/images/loader.svg') }}" alt="">
                                                    <p>loading.. Please Wait</p>
                                                </div>
											</table>
										</div>
									</div>
								</div>
							</div>
							@endsection
	@section('modal')

   	@include('admin.faq.faqcategorymodel')

	@endsection

		@section('scripts')

		<!-- INTERNAL Vertical-scroll js-->
		<script src="{{asset('build/assets/plugins/vertical-scroll/jquery.bootstrap.newsbox.js')}}"></script>

		<!-- INTERNAL Summernote js  -->
		<script src="{{asset('build/assets/plugins/summernote/summernote.js')}}"></script>

		<!-- INTERNAL Data tables -->
		<script src="{{asset('build/assets/plugins/datatable/js/jquery.dataTables.min.js')}}"></script>
		<script src="{{asset('build/assets/plugins/datatable/js/dataTables.bootstrap5.js')}}"></script>
		<script src="{{asset('build/assets/plugins/datatable/dataTables.responsive.min.js')}}"></script>
		<script src="{{asset('build/assets/plugins/datatable/responsive.bootstrap5.min.js')}}"></script>

		<!-- INTERNAL Index js-->
        @vite(['resources/assets/js/support/support-sidemenu.js'])
        @vite(['resources/assets/js/support/support-articles.js'])

		<!-- INTERNAL Sweet-Alert js-->
		<script src="{{asset('build/assets/plugins/sweet-alert/sweetalert.min.js')}}"></script>

        <script type="text/javascript">
        document.addEventListener("DOMContentLoaded", (event) => {
            let dateFormat = @json(setting('date_format'));
            let editPerm = @json(Auth::user()->can('FAQ Category Edit'));
            let delPerm = @json(Auth::user()->can('FAQ Category Delete'));

            var dataTable;
            var tableDropDown;
            let tableData = @json($faqcategorys);
            loadTable(tableData);

            function truncateTitle(title) {
                const maxLength = 40;
                return title.length > maxLength ? title.substring(0, maxLength) + '...' : title;
            }

            function loadTable(tableData) {
                document.getElementById('hideAfterloading')?.classList.remove('d-none');
                document.getElementById('theadShow')?.classList.add('d-none');
                if (tableDropDown)
                    tableDropDown.destroy();

                // if (dataTable)
                //     dataTable.destroy();
                if ($.fn.DataTable.isDataTable('#support-articlelists')) {
                    $('#support-articlelists').DataTable().clear().destroy();
                }

                if (document.getElementById('tableBody'))
                    document.getElementById('tableBody').remove();

                let createTbody = document.createElement('tbody');
                createTbody.setAttribute('id', "tableBody");
                let rows = tableData.map((data, index) => {

                    return `
                        <tr>
                            <td>${index + 1}</td>
                            <td class="text-center">
                                ${delPerm
                                    ? `<input type="checkbox" name="spruko_checkbox[]" class="checkall" value="${data.id}" />` : '~'
                                }
                            </td>

                            <td>${data.faqcategoryname}</td>

                            <td> ${editPerm && data.status == '1' ? `<label class="custom-switch form-switch mb-0">
																			<input type="checkbox" name="privatemode" data-id="${data.id}"  value="1" class="custom-switch-input tswitch" checked>
																			<span class="custom-switch-indicator"></span>
																		</label>` : `<label class="custom-switch form-switch mb-0">
																			<input type="checkbox" name="privatemode" data-id="${data.id}"  value="1" class="custom-switch-input tswitch">
																			<span class="custom-switch-indicator"></span>
																		</label>` } </td>

                            <td>
                                <div class = "d-flex">
                                    ${editPerm ? `<a href="javascript:void(0)" data-id="${data.id}" class="action-btns1" id="faqcategoryedit">
																			<i class="feather feather-edit text-primary" data-id="${data.id} " data-bs-toggle="tooltip" data-bs-placement="top" title="{{lang('Edit')}}"></i>
																		</a> ` : '~'
                                    }


                                    ${delPerm  ? ` <a href="javascript:void(0)" data-id="${data.id}" class="action-btns1" id="faqcategorydelete">
																			<i class="feather feather-trash-2 text-danger" data-id="${data.id} " data-bs-toggle="tooltip" data-bs-placement="top" title="{{lang('Delete')}}"></i>
																		</a> ` : '~'
                                    }

                                </div>
                            </td>

                        </tr>
                    `;
                });

                createTbody.innerHTML = rows.length ? rows.join('') : '';
                document.getElementById('support-articlelists').appendChild(createTbody);

                let prev = {!! json_encode(lang('Previous')) !!};
                    let next = {!! json_encode(lang('Next')) !!};
                    let nodata = {!! json_encode(lang('No data available in table')) !!};
                    let noentries = {!! json_encode(lang('No entries to show')) !!};
                    let showing = {!! json_encode(lang('showing page')) !!};
                    let ofval = {!! json_encode(lang('of')) !!};
                    let maxRecordfilter = {!! json_encode(lang('- filtered from ')) !!};
                    let maxRecords = {!! json_encode(lang('records')) !!};
                    let entries = {!! json_encode(lang('entries')) !!};
                    let show = {!! json_encode(lang('Show')) !!};
                    let search = {!! json_encode(lang('Search...')) !!};
                // Reinitialize DataTable
                dataTable = $('#support-articlelists').DataTable({
                    language: {
                        searchPlaceholder: search,
                        scrollX: "100%",
                        sSearch: '',
                        paginate: {
                            previous: prev,
                            next: next
                        },
                        emptyTable: nodata,
                        infoFiltered: `${maxRecordfilter} _MAX_ ${maxRecords}`,
                        info: `${showing} _PAGE_ ${ofval} _PAGES_`,
                        infoEmpty: noentries,
                        lengthMenu: `${show} _MENU_ ${entries}`,
                    },
                    order: [],
                    columnDefs: [{
                        "orderable": false,
                        "targets": [0, 1, 3]
                    }],
                });

                document.querySelector('.card-body').style.setProperty('filter','')

                $('.form-select').select2({
                        minimumResultsForSearch: Infinity,
                        width: '100%'
                    });
                $('.form-select').on('focus', function() {
                    $(this).attr('aria-hidden', 'false');
                });
                document.getElementById('hideAfterloading')?.classList.add('d-none');
                document.getElementById('theadShow')?.classList.remove('d-none');





                initializeTooltips();
                // checkboxNoLabel()
                // buttonAlertFunctions();
                // Pagenate();

                function initializeTooltips() {
                    var tooltipElements = document.querySelectorAll('[data-bs-toggle="tooltip"]');
                    tooltipElements.forEach(function(element) {
                        new bootstrap.Tooltip(element);
                    });
                }
            }
            $(function() {
                "use strict";

                (function($)  {

                    // Variables
                    var SITEURL = '{{url('')}}';

                    // Csrf Field
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    });





                    //checkbox script
                    $(document).ready(function() {

                        $(document).on('click', '#customCheckAll', function() {
                            $('.checkall').prop('checked', this.checked);
                            updateMassDeleteVisibility();
                        });

                        $(document).on('click', '.checkall', function() {
                            updateCustomCheckAll();
                            updateMassDeleteVisibility();
                        });


                        $(document).on('click', '.pagination a', function() {

                            setTimeout(function() {
                                updateMassDeleteVisibility();
                            }, 100);
                        });


                        $('#customCheckAll').prop('checked', false);


                        function updateMassDeleteVisibility() {
                            if ($('.checkall:checked').length === 0) {
                                $('#massdeletenotify').hide();
                            } else {
                                $('#massdeletenotify').show();
                            }
                        }


                        function updateCustomCheckAll() {
                            var totalCheckboxes = $('.checkall').length;
                            var checkedCheckboxes = $('.checkall:checked').length;

                            if (checkedCheckboxes === totalCheckboxes) {
                                $('#customCheckAll').prop('checked', true);
                            } else {
                                $('#customCheckAll').prop('checked', false);
                            }
                        }
                    });



                    //Add New FAQ Category
                    $('#addfaqcategory').on('click', function(){
                        $("#faqcat_id").val('');
                        $(".modal-title").text('{{lang('Add Faq Category')}}');
                        $('#faqcat_form').trigger("reset");

                        $('#addfaqcat').modal('show');
                    });

                    // Edit faq Category
                    $('body').on('click', '#faqcategoryedit', function(){

                        let faqcat_id = $(this).data('id');
                        $('#faqcatname').val('')
                        $("#faqcat_id").val(faqcat_id);
                        $(".modal-title").text('{{lang('Edit Faq Category')}}');
                        $.get('faqcategory/edit/' + faqcat_id, function(data){

                            $('#faqcatname').val(data.faqcategoryname)
                            if(data.status == '1'){

                                $('#status').prop('checked', true)
                            }else{

                                $('#status').prop('checked', false)
                            }
                            $('#addfaqcat').modal('show');
                        });

                    });

                    // Delete Faq Category
                    $('body').on('click', '#faqcategorydelete', function () {
                        var _id = $(this).data("id");
                        let parent = $(this).closest('tr');
                        swal({
                            title: `{{lang('Are you sure you want to continue?', 'alerts')}}`,
                            text: "{{lang('This might erase your records permanently', 'alerts')}}",
                            icon: "warning",
                            buttons: true,
                            dangerMode: true,
                        })
                        .then((willDelete) => {
                            if (willDelete) {
                                $.ajax({
                                    type: "post",
                                    url: SITEURL + "/admin/faqcategory/delete/" + _id,
                                    success: function (data) {
                                        toastr.success(data.success);
                                        $(parent[0]).addClass('fade-out');
                                        let newData = tableData.filter(item => item.id != parseInt(_id));
                                        tableData = newData;
                                        document.getElementById('hideAfterloading')?.classList.remove('d-none');
                                        document.querySelector('.card-body').style.setProperty('filter','blur(1px)');
                                        setTimeout(() => {
                                            parent.remove();
                                            loadTable(tableData);
                                        }, 1500);
                                        // location.reload();
                                    },
                                    error: function (data) {
                                        console.log('Error:', data);
                                    }
                                });
                            }
                        });
                    });

                    // Mass Delete Faq Category
                    $('body').on('click', '#massdeletenotify', function () {
                        var id = [];
                        var parent = [];
                        $('.checkall:checked').each(function(){
                            id.push($(this).val());
                            parent.push($(this).closest('tr'));
                        });
                        if(id.length > 0){
                            swal({
                                title: `{{lang('Are you sure you want to continue?', 'alerts')}}`,
                                text: "{{lang('This might erase your records permanently', 'alerts')}}",
                                icon: "warning",
                                buttons: true,
                                dangerMode: true,
                            })
                            .then((willDelete) => {
                                if (willDelete) {
                                    $.ajax({
                                        url:"{{ route('faqcategory.deleteall')}}",
                                        method:"post",
                                        data:{id:id},
                                        success:function(data)
                                        {
                                            toastr.success(data.success);
                                            parent.forEach(element => {
                                                    element.addClass(
                                                        'fade-out');
                                                });

                                                let newData = tableData.filter(item => !id.includes(String(item.id)));
                                                tableData = newData;
                                                document.getElementById('hideAfterloading')?.classList.remove('d-none');
                                                document.querySelector('.card-body').style.setProperty('filter','blur(1px)');
                                                setTimeout(() => {
                                                    loadTable(
                                                        tableData);
                                                }, 1500);
                                                $('.checkall:checked').prop('checked', false);
                                                $('#customCheckAll').prop('checked', false);
                                                $('#massdelete').hide();
                                            // location.reload();

                                        },
                                        error:function(data){
                                        }
                                    });
                                }
                            });
                        }else{
                            toastr.error('{{lang('Please select at least one check box.', 'alerts')}}');
                        }


                    });


                    // Status change Faq Category
                    $('body').on('click', '.tswitch', function () {
                        var _id = $(this).data("id");
                        var status = $(this).prop('checked') == true ? '1' : '0';
                        $.ajax({
                            type: "post",
                            url: SITEURL + "/admin/faqcategory/status/"+_id,
                            data: {'status': status},
                            success: function (data) {
                                toastr.success(data.success);
                            },
                            error: function (data) {
                                console.log('Error:', data);
                            }
                        });
                    });

                    // Form Submit
                    $('body').on('submit', '#faqcat_form', function(e){

                        e.preventDefault();

                        var actionType = $('#faqcatbtn').val();
                        var fewSeconds = 2;
                        $('#faqcatbtn').html('Sending ... <i class="fa fa-spinner fa-spin"></i>');
                        $('#faqcatbtn').prop('disabled', true);
                            setTimeout(function(){
                                $('#faqcatbtn').prop('disabled', false);
                                $('#faqcatbtn').html('Save');
                            }, fewSeconds*1000);
                        var formData = new FormData(this);
                        $.ajax({
                        type:'POST',
                        url: SITEURL + "/admin/faqcategory/store",
                        data: formData,
                        cache:false,
                        contentType: false,
                        processData: false,

                        success: (data) => {
                            $('#faqcatbtn').html('Save');
                            toastr.success(data.success);
                            $('#addfaqcat').modal('hide');
                            let newFeature = data.data
                                    let exists = false;
                                    tableData = tableData.map(category => {
                                        if (category.id === newFeature.id) {
                                            exists = true;
                                            return newFeature;
                                        }
                                        return category;
                                    });

                                    if (!exists) {
                                        tableData.push(newFeature);
                                    }
                                    document.getElementById('hideAfterloading')?.classList.remove('d-none');
                                    document.querySelector('.card-body').style.setProperty('filter','blur(1px)');
                                    loadTable(tableData);
                        },
                        error: function(data){
                            $('#faqcatbtn').html('Save');
                            $('#faqcatnameError').html(data.responseJSON.errors.faqcategoryname)
                        }
                        });
                    })

                })(jQuery);
            })
        });
        </script>

		@endsection
