@extends('layouts.adminmaster')

@section('content')

    <!-- Page Header -->

    <div class="page-header d-xl-flex d-block">
        <div class="page-leftheader">
            <h4 class="page-title"><span
                    class="font-weight-normal text-muted ms-2">{{ lang('AI setup', 'menu') }}</span></h4>
        </div>
    </div>

    <!-- Page Header Close -->

    <!-- Start::row-1 -->
    <div class="row">
        {{-- @include('admin.generalsetting.includes.menu') --}}
        <div class="col-xl-12">
            <div class="row">
                <div class="col-xl-6">
                    <div class="card custom-card">
                        <form action="{{ route('settings.geminiApi.store') }}" method="post" autocomplete="off">
                            @csrf
                            <div class="card-header border-0 d-md-flex d-block">
                                <div class="card-title flex-grow-1">
                                    {{ lang('Gemini AI setup settings') }}
                                </div>
                                <div class="custom-switch form-switch">
                                    <label class="form-check-label" for="enableGemini">
                                    <input class="custom-switch-input" type="checkbox" role="switch" id="enableGemini" name="enableGemini" @if(setting('enableGeminiApi') == 'on') checked @endif>
                                    <span class="custom-switch-indicator"></span>{{ lang('Enable Gemini AI') }}</label>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row gy-3">
                                    <div class="col-xl-12">
                                        <label for="geminiKey" class="form-label @error('geminiKey') is-invalid @enderror">{{ lang('GEMINI_API_KEY') }} <span class="text-danger">*</span></label>
                                        <input type="text" class="form-control" name="geminiKey" id="geminiKey" placeholder="{{ lang('Enter Here') }}" value="{{setting('geminiApiKey')}}">
                                        @error('geminiKey')
                                            <span class="invalid-feedback d-block" role="alert">
                                                <strong>{{ lang($message) }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer">
                                <div class="float-end mb-3">
                                    <button type="submit" class="btn btn-primary" onclick="this.disabled=true;this.innerHTML=`Saving <i class='fa fa-spinner fa-spin'></i>`;this.form.submit();">{{ lang('Submit') }}</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--End::row-1 -->

@endsection
