@extends('layouts.adminmaster')

@section('content')

    <!-- Page Header -->

    <div class="page-header d-xl-flex d-block">
        <div class="page-leftheader">
            <h4 class="page-title"><span
                    class="font-weight-normal text-muted ms-2">{{ lang('Payment Gateways', 'menu') }}</span></h4>
        </div>
    </div>

    <!-- Page Header Close -->

    <!-- Start::row-1 -->
    <div class="row">
        {{-- @include('admin.generalsetting.includes.menu') --}}
        <div class="col-xl-12">
            <div class="row">
                <div class="col-xl-6">
                    <div class="card custom-card">
                        <form action="{{ route('settings.stripe.store') }}" method="post" autocomplete="off">
                            @csrf
                            <div class="card-header border-0 d-md-flex d-block">
                                <div class="card-title flex-grow-1">
                                    {{ lang('Stripe Settings') }}
                                </div>
                                <div class="custom-switch form-switch">
                                    <label class="form-check-label" for="Stripe-login">
                                        <input class="custom-switch-input tswitch" type="checkbox" role="switch" id="Stripe-login" name="enableStripe" @if(setting('enableStripe') == 'on') checked @endif>
                                        <span class="custom-switch-indicator"></span>{{ lang(' Enable Stripe ') }}</label>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row gy-3">
                                    <div class="col-xl-12">
                                        <label for="stripe-id" class="form-label @error('stripeKey') is-invalid @enderror">{{ lang('Stripe Key') }} <span class="text-danger">*</span></label>
                                        <input type="text" class="form-control" name="stripeKey" id="stripe-id" placeholder="{{ lang('Enter Here') }}" value="{{ setting('stripeKey') }}">
                                        @error('stripeKey')
                                            <span class="invalid-feedback d-block" role="alert">
                                                <strong>{{ lang($message) }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                    <div class="col-xl-12">
                                        <label for="stripe-secret" class="form-label @error('stripeSecret') is-invalid @enderror">{{ lang('Stripe Secret') }} <span class="text-danger">*</span></label>
                                        <input type="text" class="form-control" name="stripeSecret" id="stripe-secret" placeholder="{{ lang('Enter Here') }}" value="{{ setting('stripeSecret') }}">
                                        @error('stripeSecret')
                                            <span class="invalid-feedback d-block" role="alert">
                                                <strong>{{ lang($message) }}</strong>
                                            </span>
                                        @enderror
                                    </div>
                                    <div class="col-xl-12">
                                        <label class="form-check-label form-label" for="stripeDefault">{{ lang(' Set As Default ') }}
                                            <input class="custom-switch-input tswitch " type="checkbox" role="switch" id="stripeDefault" name="stripeDefault" @if(setting('stripeDefault') == 'on') checked @endif>
                                            <span class="custom-switch-indicator"></span></label>
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer">
                                <div class="float-end mb-3">
                                    <button type="submit" class="btn btn-primary" onclick="this.disabled=true;this.innerHTML=`Saving <i class='fa fa-spinner fa-spin'></i>`;this.form.submit();">{{ lang('Submit') }}</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="col-xl-6">
                    <div class="card custom-card">
                        <form action="{{ route('settings.paypal.store') }}" method="post" autocomplete="off">
                            @csrf
                            <div class="card-header border-0 d-md-flex d-block">
                                <div class="card-title flex-grow-1">
                                    {{ lang('Paypal Settings') }}
                                </div>
                                <div class="custom-switch form-switch">
                                    <label class="form-check-label" for="paypal">
                                     <input class="custom-switch-input tswitch" type="checkbox" role="switch" id="paypal" name="enablePaypal" @if(setting('enablePaypal') == 'on') checked @endif>
                                     <span class="custom-switch-indicator"></span>{{ lang( ' Enable Paypal ') }}</label>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row gy-3">
                                    <div class="col-xl-12">
                                        <label for="paypal-id" class="form-label">{{ lang('Paypal Key') }}<span class="text-danger">*</span></label>
                                        <input name="paypalKey" type="text" class="form-control @error('paypalKey') is-invalid @enderror" id="paypal-id" placeholder="{{ lang('Paypal Settings') }}" value="{{ setting('paypalKey') }}">
                                    </div>
                                    @error('paypalKey')
                                        <span class="invalid-feedback d-block" role="alert">
                                            <strong>{{ lang($message) }}</strong>
                                        </span>
                                    @enderror
                                    <div class="col-xl-12">
                                        <label for="paypal-secret" class="form-label">{{ lang('Paypal Secret') }}<span class="text-danger">*</span></label>
                                        <input name="paypalSecret" type="text" class="form-control @error('paypalSecret') is-invalid @enderror" id="paypal-secret" placeholder="{{ lang('Paypal Settings') }}" value="{{ setting('paypalSecret') }}">
                                    </div>
                                    @error('paypalSecret')
                                        <span class="invalid-feedback d-block" role="alert">
                                            <strong>{{ lang($message) }}</strong>
                                        </span>
                                    @enderror
                                    <div class="col-xl-12">
                                        <label class="form-check-label form-label" for="paypalDefault">{{ lang(' Set As Default ') }}
                                            <input class="custom-switch-input tswitch " type="checkbox" role="switch" id="paypalDefault" name="paypalDefault" @if(setting('paypalDefault') == 'on') checked @endif>
                                            <span class="custom-switch-indicator"></span></label>
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer">
                                <div class="float-end mb-3">
                                    <button class="btn btn-primary" onclick="this.disabled=true;this.innerHTML=`Saving <i class='fa fa-spinner fa-spin'></i>`;this.form.submit();">{{ lang('Submit') }}</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="col-xl-12">
                    <div class="card custom-card">
                        <div class="card-header border-0 d-md-flex d-block">
                            <div class="card-title flex-grow-1">
                                {{ lang('Refund Settings') }}
                            </div>
                        </div>
                        <form action="{{ route('refunds.setting') }}" id="refundSettingForm" method="post">
                            @csrf
                            <div class="card-body">
                                <div class="d-sm-flex align-items-center mb-3">
                                    <div class="me-3">
                                        <div class="custom-switch form-switch mb-0"><label for="enableRefund">
                                            <input id="enableRefund" name="enableRefund" class="custom-switch-input tswitch" type="checkbox" {{ setting('enableRefund') == 'on' ? 'checked' : '' }}>
                                            <span class="custom-switch-indicator"></span></label>
                                        </div>
                                    </div>
                                    <label class="form-label fw-semibold mb-sm-0">Enable Refund Option To Customers
                                        <small class=""><i>(If you enable this setting, customers will be allowed to request a refund for the amount paid within the specified number of days.)</i>
                                        </small>
                                    </label>
                                </div>
                                <div class="ms-sm-5">
                                    <div class="d-flex">
                                        <input type="number" min="1" class="w-10 form-control " name="refundDays" id="refundDays" value="{{ setting('refundDays') }}" autocomplete="off">
                                        <span class="mt-2 px-0 ms-2 fw-semibold">Days</span>
                                    </div>
                                    <span id="refundDaysError" class="text-danger"></span>
                                    @error('refundDays')
                                        <span class="invalid-feedback d-block" role="alert">
                                            <strong>{{ lang($message) }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </form>
                        <div class="card-footer">
                            <div class="float-end mb-3">
                                <button class="btn btn-primary" type="submit" form="refundSettingForm">{{ lang('Submit') }}</button>
                            </div>
                        </div>
                    </div>
                </div>
                {{-- Auto invoice cancellation --}}
                <div class="col-xl-12">
                    <div class="card custom-card">
                        <div class="card-header border-0 d-md-flex d-block">
                            <div class="card-title flex-grow-1">
                                {{ lang('Automatic Invoice Cancellation') }}
                            </div>
                        </div>
                        <form action="{{ route('invoiceCancellation.setting') }}" id="invoicecancelsettingForm" method="post">
                            @csrf
                            <div class="card-body">
                                <div class="d-sm-flex align-items-center mb-3">
                                    <div class="me-3">
                                        <div class="custom-switch form-switch mb-0"><label for="autoInvoiceCancelEnable">
                                            <input id="autoInvoiceCancelEnable" name="autoInvoiceCancelEnable" class="custom-switch-input tswitch" type="checkbox" {{ setting('autoInvoiceCancelEnable') == 'on' ? 'checked' : '' }}>
                                            <span class="custom-switch-indicator"></span></label>
                                        </div>
                                    </div>
                                    <label class="form-label fw-semibold mb-sm-0">Enable Invoice Cancellation Automatically
                                        <small class=""><i>(If payment is not completed, the generated invoice will be automatically cancelled after the specified number of days.)</i>
                                        </small>
                                    </label>
                                </div>
                                <div class="ms-sm-5">
                                    <div class="d-flex">
                                        <input type="number" min="1" class="w-10 form-control " name="invoiceCancelDays" id="invoiceCancelDays" value="{{ setting('invoiceCancelDays') }}" autocomplete="off">
                                        <span class="mt-2 px-0 ms-2 fw-semibold">Days</span>
                                    </div>
                                    <span id="invoiceCancelDaysError" class="text-danger"></span>
                                    @error('invoiceCancelDays')
                                        <span class="invalid-feedback d-block" role="alert">
                                            <strong>{{ lang($message) }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </form>
                        <div class="card-footer">
                            <div class="float-end mb-3">
                                <button class="btn btn-primary" type="submit" form="invoicecancelsettingForm">{{ lang('Submit') }}</button>
                            </div>
                        </div>
                    </div>
                </div>

                {{-- Auto delete invoice setting --}}
                <div class="col-xl-12">
                    <div class="card custom-card">
                        <div class="card-header border-0 d-md-flex d-block">
                            <div class="card-title flex-grow-1">
                                {{ lang('Auto Delete Cancelled Invoice') }}
                            </div>
                        </div>
                        <form action="{{ route('autodeleteinvoice.setting') }}" id="autodeleteinvoicesettingForm" method="post">
                            @csrf
                            <div class="card-body">
                                <div class="d-sm-flex align-items-center mb-3">
                                    <div class="me-3">
                                        <div class="custom-switch form-switch mb-0"><label for="autoinvoicedelete">
                                            <input id="autoinvoicedelete" name="autoinvoicedelete" class="custom-switch-input tswitch" type="checkbox" {{ setting('autoinvoicedelete') == 'on' ? 'checked' : '' }}>
                                            <span class="custom-switch-indicator"></span></label>
                                        </div>
                                    </div>
                                    <label class="form-label fw-semibold mb-sm-0">Enable auto delete invoices
                                        <small class=""><i>(If this is enabled, the cancelled invoices will be automatically get deleted after the number of days mentioned below.)</i>
                                        </small>
                                    </label>
                                </div>
                                <div class="ms-sm-5">
                                    <div class="d-flex">
                                        <input type="number" min="1" class="w-10 form-control " name="autodeleteinvoiceDays" id="autodeleteinvoiceDays" value="{{ setting('autodeleteinvoiceDays') }}" autocomplete="off">
                                        <span class="mt-2 px-0 ms-2 fw-semibold">Days</span>
                                    </div>
                                    <span id="autodeleteinvoiceDaysError" class="text-danger"></span>
                                    @error('autodeleteinvoiceDays')
                                        <span class="invalid-feedback d-block" role="alert">
                                            <strong>{{ lang($message) }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </form>
                        <div class="card-footer">
                            <div class="float-end mb-3">
                                <button class="btn btn-primary" type="submit" form="autodeleteinvoicesettingForm">{{ lang('Submit') }}</button>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <!--End::row-1 -->

    {{-- @include('admin.includes.search-modal') --}}

@endsection

@section('scripts')

    <script>
        // const SITEURL = '{{url('')}}';
        document.addEventListener('DOMContentLoaded', function(event){

            let form = document.querySelector('#refundSettingForm');
            form.addEventListener('submit', (ele) => {
                ele.preventDefault();
                let refundDaysInput = document.querySelector('#refundDays');
                let refundDaysValue = parseInt(refundDaysInput.value.trim(), 10);

                if (document.querySelector('#enableRefund').checked == true) {
                    if (isNaN(refundDaysValue) || refundDaysValue <= 0) {
                        document.querySelector('#refundDaysError').innerHTML = '{{ lang("The refund days must be greater than zero and cannot be empty.") }}';
                        return;
                    } else {
                        document.querySelector('#refundDaysError').innerHTML = ''; // Clear the error message if the input is valid
                    }
                }
                form.submit();
            });


            let invoiceform = document.querySelector('#invoicecancelsettingForm');
            invoiceform.addEventListener('submit', (ele) => {
                ele.preventDefault();
                let invoiceCancelDaysInput = document.querySelector('#invoiceCancelDays');
                let invoiceCancelDaysValue = parseInt(invoiceCancelDaysInput.value.trim(), 10);
                if (document.querySelector('#enableRefund').checked == true) {
                    if (isNaN(invoiceCancelDaysValue) || invoiceCancelDaysValue <= 0) {
                        document.querySelector('#invoiceCancelDaysError').innerHTML = '{{ lang("The invoice cancel days must be greater than zero and cannot be empty.") }}';
                        return;
                    } else {
                        document.querySelector('#invoiceCancelDaysError').innerHTML = '';
                    }
                }
                invoiceform.submit();
            });

            let invoicedeleteform = document.querySelector('#autodeleteinvoicesettingForm');
            invoicedeleteform.addEventListener('submit', (ele) => {
                ele.preventDefault();
                let autodeleteinvoiceDaysInput = document.querySelector('#autodeleteinvoiceDays');
                let autodeleteinvoiceDaysValue = parseInt(autodeleteinvoiceDaysInput.value.trim(), 10);
                if (document.querySelector('#enableRefund').checked == true) {
                    if (isNaN(autodeleteinvoiceDaysValue) || autodeleteinvoiceDaysValue <= 0) {
                        document.querySelector('#autodeleteinvoiceDaysError').innerHTML = '{{ lang("The auto delete days must be greater than zero and cannot be empty.") }}';
                        return;
                    } else {
                        document.querySelector('#autodeleteinvoiceDaysError').innerHTML = '';
                    }
                }
                invoicedeleteform.submit();
            });




            $(document).on('change', '#stripeDefault, #paypalDefault', function () {
                const paypalSwitch = document.getElementById("paypalDefault");
                const stripeSwitch = document.getElementById("stripeDefault");
                if (this.id === "stripeDefault") {
                    if (this.checked) {
                        paypalSwitch.checked = false;
                        updateSettings("stripeDefault", "on");

                    } else {
                        updateSettings("stripeDefault", "off");
                    }
                } else if (this.id === "paypalDefault") {
                    if (this.checked) {
                        stripeSwitch.checked = false;
                        updateSettings("paypalDefault", "on");

                    } else {
                        updateSettings("paypalDefault", "off");
                    }
                }
            });

            function updateSettings(setting, value) {

                fetch(SITEURL+'/admin/update-settings', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json',
                        'X-CSRF-TOKEN': '{{ csrf_token() }}'
                    },
                    body: JSON.stringify({ setting: setting, value: value })
                })
                .then(response => response.json())
                .then(data => {
                    if (data.success) {
                        toastr.success(data.success);
                    } else {
                        console.error(`Failed to update ${setting}`);
                    }
                })
                .catch(error => {
                    console.error('Error:', error);
                });
            }

        });

    </script>

@endsection
