@extends('layouts.adminmaster')

@section('styles')
    <style>
        .bg-light-2 {
            background: rgb(250, 250, 255);
        }

    </style>
    <!-- INTERNAL Sweet-Alert css -->
    <link href="{{asset('build/assets/plugins/sweet-alert/sweetalert.css')}}?v=<?php echo time(); ?>" rel="stylesheet" />
@endsection

@section('content')

    <!-- Page Header -->
    <div class="d-md-flex d-block align-items-center justify-content-between my-4 page-header-breadcrumb">
        <span class="fs-semibold fs-18">{{ lang('Refund Request View') }}</span>
        <div class="ms-md-1 ms-0">
            <nav>
                <ol class="breadcrumb mb-0">
                    <li class="breadcrumb-item"><a href="{{ url('/admin') }}">{{ lang('HelpDesk') }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">{{ lang('Refund Request View') }}</li>
                </ol>
            </nav>
        </div>
    </div>
    <!-- Page Header Close -->

    <!-- Start:: row-1 -->
   
        <div class="row">
            <div class="col-xl-8">
                <div class="card custom-card">
                    <div class="card-body border-bottom bg-light-2">
                        <div class="d-sm-flex align-items-center">
                            <div class="avatar avatar-md bg-light p-1 brround" style="line-height: 0;">
                                
                                    @if($refundItem->customer->image)
                                        <img src="{{asset('uploads/profile/'.$refundItem->customer->image)}}" class="brround" alt="img">
                                    @else
                                        <img src="{{asset('uploads/profile/user-profile.png')}}" class="brround" alt="img">
                                    @endif
                             
                            </div>

                            <div class=" ms-2">
                                <h6 class="mb-1">{{$refundItem->customer->username}}</h6>
                                <span class="badge bg-info-transparent">{{lang('customer')}}</span>
                                <span class="badge bg-danger-transparent">{{lang('Refund Comment')}}</span>
                            </div>

                            <div class="ms-auto">

                                <span class="badge text-muted"> {{ \Carbon\Carbon::parse($refundItem->refundCreatedDate)->diffForHumans() }}</span>
                            </div>
                        </div>
                        <div class="mt-2">
                            {{$refundItem->refundReason}}
                        </div>
                    </div>
                    <div id="commentSection">
                        @foreach ($refundItem->refundComments as $comment)
                            @if($comment->cust_id)
                                <div class="card-body border-bottom">
                                    <div class="d-sm-flex align-items-center">
                                        <div class="avatar avatar-md bg-light p-1 brround" style="line-height: 0;">
                                           
                                                @if($refundItem->customer->image)
                                                    <img src="{{asset('uploads/profile/'.$refundItem->customer->image)}}" class="brround" alt="img">
                                                @else
                                                    <img src="{{asset('uploads/profile/user-profile.png')}}" class="brround" alt="img">
                                                @endif
                                           
                                        </div>
                                        <div class="ms-2">
                                            <h6 class="mb-1">{{$refundItem->customer->username}}</h6>
                                            <span class="badge bg-info-transparent">{{lang('customer')}}</span>
                                        </div>

                                        <div class="ms-auto">
                                            <span class="badge text-muted"> {{$comment->created_at->diffForHumans()}}</span>
                                        </div>
                                    </div>

                                    <div class="ms-5">
                                        {{$comment->comment}}
                                    </div>
                                </div>
                            @else
                                <div class="card-body border-bottom">
                                    <div class="d-sm-flex align-items-center">
                                        <div class="avatar avatar-md bg-light p-1 brround" style="line-height: 0;">
                                            @if($comment->user->image)
                                                <img src="{{asset('uploads/profile/'.$comment->user->image)}}" class="brround" alt="img">
                                            @else
                                                <img src="{{asset('uploads/profile/user-profile.png')}}" class="brround" alt="img">
                                            @endif

                                        </div>
                                        <div class="ms-2">
                                            <h6 class="mb-1">{{$comment->user->name}}</h6>
                                            <span class="badge bg-primary-transparent">{{$comment->user->getRoleNames()[0]}}</span>
                                        </div>
                                        <div class="ms-auto">
                                            <span class="badge text-muted"> {{$comment->created_at->diffForHumans()}}</span>
                                        </div>
                                    </div>
                                    <div class="ms-5">
                                        {{$comment->comment}}
                                    </div>
                                </div>
                            @endif
                        @endforeach
                    </div>
                </div>

                @unless ($refundItem->status == 'refundRejected' || $refundItem->status == 'refunded')
                    <div class="card custom-card mt-3">
                        <div class="card-header">
                            <div class="card-title">
                                <h6 class="mb-0">{{lang('Add a comment')}}</h6>
                            </div>
                        </div>

                        <div class="px-4 py-3">
                            <div class="d-sm-flex align-items-top">
                                <div class="avatar avatar-md bg-light p-1 brround" style="line-height: 0;">
                                    
                                        @if(optional(Auth::user())->image)
                                            <img src="{{asset('uploads/profile/'.Auth::user()->image)}}" class="brround" alt="img">
                                        @else
                                            <img src="{{asset('uploads/profile/user-profile.png')}}" class="brround" alt="img">
                                        @endif
                                  
                                </div>
                                <textarea class="form-control ms-3" id="refundComment"></textarea>
                            </div>

                            <div class="d-flex mt-2">
                                <div class="ms-auto">
                                    <button class="btn btn-primary" id="replyToCustomer" type="button"> {{lang('Reply')}}</button>
                                </div>
                            </div>
                        </div>
                    </div>
                @endunless

            </div>

            <div class="col-xl-4">
                @unless ($refundItem->status == 'refundRejected' || $refundItem->status == 'refunded')
                    <div class="col-xl-12 mb-3 d-flex gap-3">
                        <a href="javascript:void(0);" id="approveRefund" class="btn btn-outline-primary"><i class="me-2 bi bi-check-lg"></i>{{lang('Approve Refund')}}</a>
                        <a href="javascript:void(0);" id="rejectRefund" class="btn btn-outline-danger"><i class="me-2 bi bi-x-octagon"></i>{{lang('Reject Refund')}}</a>
                    </div>
                @endunless
                <div class="card custom-card">
                    <div class="">
                        <div class="card-header justify-content-between">
                            <div class="card-title">
                                {{lang(' Purchased Details')}}
                            </div>
                        </div>
                        <div class="card-body p-0">
                            <div class="table-responsive">
                                <table class="table table-hover text-nowrap">
                                    <tbody>

                                        <tr>
                                            <td class="w-25">
                                                <span class="d-block fw-semibold">{{lang('Product Name')}}</span>
                                            </td>
                                            <td class="w-10">:</td>
                                            <td class="text-start  text-muted">
                                                <div class="d-flex align-items-center">
                                                    <div class="flex-fill">
                                                        <p class="fw-semibold mb-0">
                                                            <a href="javascript:void(0);">
                                                                {{ lang('Custom Invoice') }}
                                                            </a>
                                                        </p>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="w-25">
                                                <span class="d-block fw-semibold">{{lang('Invoice ID')}}</span>
                                            </td>
                                            <td class="w-10">:</td>
                                            <td class="text-start text-muted">
                                                #{{$refundItem->invoiceId}}
                                            </td>

                                        </tr>

                                        <tr>
                                            <td class="w-25">
                                                <span class="d-block fw-semibold">{{lang('Payment Mode')}}</span>
                                            </td>
                                            <td class="w-10">:</td>
                                            <td class="text-start text-muted">
                                                {{$refundItem->payment_method}}
                                            </td>

                                        </tr>

                                        <tr>
                                            <td class="w-25">
                                                <span class="d-block fw-semibold">{{lang('Customer Name')}}</span>
                                            </td>
                                            <td class="w-10">:</td>
                                            <td class="text-start text-muted">
                                                {{$refundItem->customer->username}}
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="w-25">
                                                <span class="d-block fw-semibold">{{lang('Request Date')}}</span>
                                            </td>
                                        <td class="w-10">:</td>
                                            <td class="text-start text-muted">
                                                {{Carbon\Carbon::parse($refundItem->refundCreatedDate)->format('d,M Y')}}
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="w-25">
                                                <span class="d-block fw-semibold">{{lang('Gross Amount')}}</span>
                                            </td>
                                        <td class="w-10">:</td>
                                            <td class="text-start text-muted">
                                                {{ $refundItem->customerAmount }}
                                            </td>
                                        </tr>

                                        @if ($refundItem->status == 'refunded' && $refundItem->payment_method != 'Offline Payment')
                                            @php
                                                $currency = $refundItem->currency;
                                                $symbol = config('currencies.'.$currency);
                                            @endphp
                                            <tr>
                                                <td class="w-25">
                                                    <span class="d-block fw-semibold">{{ $refundItem->gatewayName }}</span>
                                                </td>
                                                <td class="w-10">:</td>
                                                <td class="text-start text-muted">
                                                    {{ $symbol .' '. $refundItem->gatewayFee }}
                                                </td>
                                            </tr>
                                            @if ($refundItem->countryTaxName != null && $refundItem->countryTaxAmount != null)
                                                <tr>
                                                    <td class="w-25">
                                                        <span class="d-block fw-semibold">{{ $refundItem->countryTaxName }}</span>
                                                    </td>
                                                    <td class="w-10">:</td>
                                                    <td class="text-start text-muted">
                                                        {{ $symbol. ' ' .$refundItem->countryTaxAmount }}
                                                    </td>
                                                </tr>
                                            @endif
                                            <tr>
                                                <td class="w-25">
                                                    <span class="d-block fw-semibold">{{lang('Net Amount Refunded')}}</span>
                                                </td>
                                                <td class="w-10">:</td>
                                                <td class="text-start text-muted">
                                                    {{ $symbol. ' ' .$refundItem->netAmountRefunded }}
                                                </td>
                                            </tr>
                                        @endif

                                        <tr>
                                            <td class="w-25">
                                                <span class="d-block fw-semibold">{{lang('Status')}}</span>
                                            </td>

                                            <td class="w-10">:</td>
                                            <td class="text-start ">
                                                @if ($refundItem->status == 'refunded')
                                                    <span class="badge bg-success">{{ lang('Refunded') }}</span>
                                                @elseif ($refundItem->status == 'refundpending')
                                                    <span class="badge bg-warning">{{ lang('Waiting For Approval') }}</span>
                                                @elseif ($refundItem->status == 'refundRejected')
                                                    <span class="badge bg-danger">{{ lang('Refund Rejected') }}</span>
                                                @else
                                                    <span class="badge bg-danger">{{ lang('Pending') }}</span>
                                                @endif
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- End:: row-1 -->

{{-- @include('admin.includes.search-modal') --}}

@endsection

@section('scripts')
    <!-- INTERNAL Sweet-Alert js-->
    <script src="{{asset('build/assets/plugins/sweet-alert/sweetalert.min.js')}}?v=<?php echo time(); ?>"></script>

    
    <script>
        'use strict';

        document.addEventListener('DOMContentLoaded', function(event) {
            // REPLY TO COMMENT
            let commentReply = () => {

                let commentReply = document.getElementById('refundComment');
                let refundId = "{{encrypt($refundItem->id)}}";


                let data = {
                    'id': refundId,
                    'commentReply': commentReply.value,

                };

                if (!commentReply.value) {
                    toastr.error('{{ lang('Comment field cannot be empty.','alerts') }}')
                    // new AWN().alert('{{ lang('Comment field cannot be empty.') }}')
                    return;
                }


                fetch('{{ route('admin.refund.comment') }}', {
                    method: 'POST',
                    headers: {
                        "Content-Type": "application/json",
                        'X-CSRF-TOKEN': '{{ csrf_token() }}'
                    },
                    body: JSON.stringify({data: data}),
                })
                .then(response => response.json())
                .then(data => {
                    if (data.error === true) {
                        toastr.error('{{ lang('Item already refunded.','alerts') }}')
                        // new AWN().alert('{{ lang('Item already refunded.') }}');
                        setTimeout(() => {
                            location.reload();
                        }, 2500);
                    }
                    if (data.error === 'This action is unauthorized.') {
                        toastr.error(data.error)
                        // new AWN().alert(data.error);
                        setTimeout(() => {
                            location.reload();
                        }, 3000);
                    }
                    if (data.success) {
                        toastr.success('{{ lang('Comment added successfully') }}')
                        // new AWN().success('{{ lang('Comment added successfully') }}');
                        location.reload();
                    }
                });
            }
            // if(document.getElementById('replyToCustomer')){
            //     document.getElementById('replyToCustomer').onclick = commentReply;
            // }

            if (document.getElementById('replyToCustomer')) {
                document.getElementById('replyToCustomer').onclick = function() {
                    this.disabled = true;
                    commentReply();
                };
            }

            if ($('#rejectRefund').length) {
                $('#rejectRefund').on('click', function (e) {
                    e.preventDefault(); // Prevent default behavior if needed

                    let data = {
                        'id': '{{ encrypt($refundItem->id) }}'
                    }

                    swal({
                        title: `{{ lang('Are you sure you want to reject refund?') }}`,
                        text: `{{ lang('You won’t be able to revert this!') }}`,
                        icon: 'warning',
                        buttons: true,
                        dangerMode: true,
                    }).then((willDelete) => {
                        if (willDelete) {
                            $('#rejectRefund').addClass('disabled').html('<span>{{ lang('Loading...') }} <i class="ri-loader-line"></i></span>');
                            
                            $.ajax({
                                url: '{{ route('admin.rejectRefund') }}',
                                type: 'POST',
                                headers: {
                                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                                },
                                contentType: 'application/json',
                                data: JSON.stringify({ data: data }),
                                success: function (response) {
                                 
                                  
                                    if (response.error) {
                                        toastr.error(response.error);
                                        setTimeout(function () {
                                            location.reload();
                                        }, 3000);
                                    }

                                    if (response.itemNotFound) {
                                        toastr.warning('{{ lang('Refund item not found.') }}');
                                        setTimeout(function () {
                                            location.reload();
                                        }, 2000);
                                    }

                                    if (response.success) {
                                        toastr.success('{{ lang('Refund rejected successfully.') }}');
                                        setTimeout(function () {
                                            location.reload();
                                        }, 2000);
                                    }
                                },
                                error: function (xhr, status, error) {
                                    // Handle any potential errors here
                                    toastr.error('{{ lang('An error occurred. Please try again later.') }}');
                                  
                                }
                            });
                        }
                    });
                });
            }


            if (document.getElementById('approveRefund')) {
                document.getElementById('approveRefund').onclick = (ele)=> {

                    let button = ele.currentTarget;
                    button.classList.add('disabled');
                    button.innerHTML = '<span>{{ lang('Loading...') }} <i class="ri-loader-line"></i></span>';
                    let data = {
                        'id' : '{{ encrypt($refundItem->id) }}'
                    }
                    swal({
                        title: `{{ lang('Are you sure you want to approve refund?') }}`,
                        text: `{{ lang('You won’t be able to revert this!') }}`,
                        icon: 'warning',
                        buttons: true,
                        dangerMode: true,
                    })
                    .then((willDelete) => {
                        if (willDelete) {
                            $.ajax({
                                url: '{{ route('admin.approveRefund') }}',
                                type: 'POST',
                                headers: {
                                    'X-CSRF-TOKEN': '{{ csrf_token() }}'
                                },
                                contentType: 'application/json',
                                data: JSON.stringify({ data: data }),
                                success: function (response) {                               
                                  
                                    if (response.error) {
                                        toastr.error(response.error);
                                        setTimeout(function () {
                                            location.reload();
                                        }, 3000);
                                    }

                                    if (response.itemNotFound) {
                                        toastr.warning('{{ lang('Refund item not found.') }}');
                                        setTimeout(function () {
                                            location.reload();
                                        }, 2000);
                                    }

                                    if (response.success) {
                                        toastr.success('{{ lang('Refund Approved successfully.') }}');
                                        setTimeout(function () {
                                            location.reload();
                                        }, 2000);
                                    }
                                },
                                error: function (xhr, status, error) {
                                    // Handle any potential errors here
                                    toastr.error('{{ lang('An error occurred. Please try again later.') }}');
                                    console.log(error); // Log error for debugging purposes
                                }
                            });
                           
                        }
                        else {
                            button.classList.remove('disabled');
                            button.innerHTML = '{{ lang('Approve Refund') }}'; 
                        }
                       
                    });
                };
            }
        });
    </script>

@endsection