@extends('layouts.adminmaster')

@section('styles')
    <!-- INTERNAL Data table css -->
    <link href="{{ asset('build/assets/plugins/datatable/css/dataTables.bootstrap5.min.css') }}?v=<?php echo time(); ?>"
        rel="stylesheet" />
    <link href="{{ asset('build/assets/plugins/datatable/responsive.bootstrap5.css') }}?v=<?php echo time(); ?>"
        rel="stylesheet" />

    <!-- INTERNAL Sweet-Alert css -->
    <link href="{{ asset('build/assets/plugins/sweet-alert/sweetalert.css') }}?v=<?php echo time(); ?>" rel="stylesheet" />

    <!-- INTERNAL Multiselect css -->
    <link href="{{ asset('build/assets/plugins/multipleselect/multiple-select.css') }}?v=<?php echo time(); ?>"
        rel="stylesheet" />
    <link href="{{ asset('build/assets/plugins/multi/multi.min.css') }}?v=<?php echo time(); ?>" rel="stylesheet" />

    <style>
        #hideAfterloading {
            position: absolute;
            top: 100px;
            left: 45%;
        }
    </style>
@endsection

@section('content')
    <!--Page header-->
    <div class="page-header d-xl-flex d-block">
        <div class="page-leftheader">
            <h4 class="page-title"><span class="font-weight-normal text-muted ms-2">{{ lang('Projects', 'menu') }}</span>
            </h4>
        </div>
    </div>
    <!--End Page header-->

    <!-- Project List-->
    <div class="col-xl-12 col-lg-12 col-md-12">
        <div class="card ">
            <div class="card-header border-0 d-md-max-block">
                <h4 class="card-title mb-md-max-2">{{ lang('Projects', 'menu') }}</h4>
                <div class="card-options d-md-max-block">
                    @can('Project Create')
                        <a href="javascript:void(0)" class="btn btn-success me-3 mb-md-max-2 mw-10"
                            id="create-new-projects">{{ lang('Add Project') }}</a>
                    @endcan
                    @can('Project Assign')
                        <a href="javascript:void(0)" class="btn btn-danger me-3  mb-md-max-2 mw-10"
                            id="projectsassign">{{ lang('Assign Projects') }}</a>
                    @endcan
                    @can('Project Importlist')
                        <a href="{{ route('projects.pcsvimports') }}" class="btn btn-info me-3  mb-md-max-2 mw-10"
                            id="importfile"><i class="feather feather-download"></i> {{ lang('Import file') }}</a>
                    @endcan

                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive spruko-delete" style="min-height: 230px;">
                    @can('Project Delete')
                        <button id="massdelete" class="btn btn-outline-light btn-sm mb-4 data-table-btn"
                            style="display: none;"><i class="fe fe-trash"></i> {{ lang('Delete') }}</button>
                    @endcan

                    <table class="table table-bordered border-bottom text-nowrap ticketdeleterow w-100"
                        id="support-articlelists">
                        <thead>
                            <tr>
                                <th width="10">{{ lang('Sl.No') }}</th>

                                @can('Project Delete')
                                    <th width="10">
                                        <input type="checkbox" id="customCheckAll">
                                        <label for="customCheckAll"></label>
                                    </th>
                                @endcan
                                @cannot('Project Delete')
                                    <th width="10">
                                        <input type="checkbox" id="customCheckAll" disabled>
                                        <label for="customCheckAll"></label>
                                    </th>
                                @endcannot

                                <th>{{ lang('Name') }}</th>

                                <th>{{ lang('Actions') }}</th>
                            </tr>
                        </thead>
                        <div id="hideAfterloading"><img src="{{ asset('build/assets/images/loader.svg') }}" alt="">
                            <p>loading.. Please Wait</p>
                        </div>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!-- End Project List-->
@endsection
@section('modal')
    @include('admin.projects.model')


    <!-- Add Projectz Assign-->
    <div class="modal fade" id="projectsassigned" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"></h5>
                    <button class="close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <form method="POST" enctype="multipart/form-data" action="{{ url('admin/projectsassigned') }}">
                    <input type="hidden" name="projects_id" id="projects_id">
                    @csrf
                     
                    <div class="modal-body">
                        <div class="form-group">
                            <label class="form-label">{{ lang('Select Category') }} </label>
                            <div class="custom-controls-stacked d-md-flex">
                                <select multiple="multiple" class="form-control select2_modal" name="category_id[]"
                                    data-placeholder="{{ lang('Select Category') }}" id="category">
                                    @foreach ($categories as $category)
                                        <option value="{{ $category->id }}"
                                            {{ in_array($category->id, $check_category) ? 'selected' : '' }}>
                                            {{ $category->name }}</option>
                                    @endforeach

                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="form-label">{{ lang('Projects', 'menu') }}</label>
                            <div class="custom-controls-stacked d-md-flex" id="projectdisable">
                                <select multiple="multiple" class="filter-multi" id="projects" name="projected[]">
                                    @foreach ($project as $item)
                                        <option value="{{ $item->id }}" selected="">{{ lang($item->name) }}
                                        </option>
                                    @endforeach

                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <a href="#" class="btn btn-outline-danger" data-bs-dismiss="modal">{{ lang('Close') }}</a>
                        <button type="submit" class="btn btn-secondary" id="btnsave"
                            onclick="this.disabled=true;this.innerHTML=`Saving <i class='fa fa-spinner fa-spin'></i>`;this.form.submit();">{{ lang('Save') }}</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- End  Add Projectz Assign  -->

    <!-- INTERNAL Multiselect Js -->
    <script src="{{ asset('build/assets/plugins/multipleselect/multiple-select.js') }}?v=<?php echo time(); ?>"></script>
    <script src="{{ asset('build/assets/plugins/multipleselect/multi-select.js') }}?v=<?php echo time(); ?>"></script>
@endsection

@section('scripts')
    <!-- INTERNAL Vertical-scroll js-->
    <script src="{{ asset('build/assets/plugins/vertical-scroll/jquery.bootstrap.newsbox.js') }}?v=<?php echo time(); ?>">
    </script>

    <!-- INTERNAL Data tables -->
    <script src="{{ asset('build/assets/plugins/datatable/js/jquery.dataTables.min.js') }}?v=<?php echo time(); ?>"></script>
    <script src="{{ asset('build/assets/plugins/datatable/js/dataTables.bootstrap5.js') }}?v=<?php echo time(); ?>"></script>
    <script src="{{ asset('build/assets/plugins/datatable/dataTables.responsive.min.js') }}?v=<?php echo time(); ?>">
    </script>
    <script src="{{ asset('build/assets/plugins/datatable/responsive.bootstrap5.min.js') }}?v=<?php echo time(); ?>">
    </script>
    @vite(['resources/assets/js/select2.js'])


    <!-- INTERNAL Sweet-Alert js-->
    <script src="{{ asset('build/assets/plugins/sweet-alert/sweetalert.min.js') }}?v=<?php echo time(); ?>"></script>

    <script type="text/javascript">
        document.addEventListener("DOMContentLoaded", (event) => {
            let dateFormat = @json(setting('date_format'));
            let editPerm = @json(Auth::user()->can('Project Edit'));
            let delPerm = @json(Auth::user()->can('Project Delete'));

            var dataTable;
            var tableDropDown;
            let tableData = @json($projectss);
            loadTable(tableData);

            function truncateTitle(title) {
                const maxLength = 40;
                return title.length > maxLength ? title.substring(0, maxLength) + '...' : title;
            }

            function loadTable(tableData) {
                document.getElementById('hideAfterloading')?.classList.remove('d-none');
                document.getElementById('theadShow')?.classList.add('d-none');
                if (tableDropDown)
                    tableDropDown.destroy();

                // if (dataTable)
                //     dataTable.destroy();
                if ($.fn.DataTable.isDataTable('#support-articlelists')) {
                    $('#support-articlelists').DataTable().clear().destroy(); 
                }

                if (document.getElementById('tableBody'))
                    document.getElementById('tableBody').remove();

                let createTbody = document.createElement('tbody');
                createTbody.setAttribute('id', "tableBody");
                let rows = tableData.map((data, index) => {

                    return `
                        <tr>
                            <td>${index + 1}</td>
                            <td class="text-center">
                                ${delPerm
                                    ? ` <input type="checkbox" name="project_checkbox[]" class="checkall" value="${data.id}" />` : '~'
                                }
                            </td>

                            <td>${truncateTitle(data.name)}</td>

                            <td>
                                <div class="btn-list">
                                    ${editPerm ? `<a href="javascript:void(0)" data-id="${data.id}" class="action-btns1 edit-testimonial">
                                                                                        <i class="feather feather-edit text-primary" data-id="${data.id}" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Edit') }}"></i>
                                                                                    </a>` : '~' 
                                    }


                                    ${delPerm  ? ` <a href="javascript:void(0)" data-id="${data.id}" class="action-btns1" id="delete-testimonial" >
                                                                                        <i class="feather feather-trash-2 text-danger" data-id="${data.id}" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Delete') }}"></i>
                                                                                    </a>` : '~' 
                                    }

                                </div>
                            </td>

                        </tr>
                    `;
                });
               

                createTbody.innerHTML = rows.length ? rows.join('') : '';
                document.getElementById('support-articlelists').appendChild(createTbody);

                let prev = {!! json_encode(lang('Previous')) !!};
                    let next = {!! json_encode(lang('Next')) !!};
                    let nodata = {!! json_encode(lang('No data available in table')) !!};
                    let noentries = {!! json_encode(lang('No entries to show')) !!};
                    let showing = {!! json_encode(lang('showing page')) !!};
                    let ofval = {!! json_encode(lang('of')) !!};
                    let maxRecordfilter = {!! json_encode(lang('- filtered from ')) !!};
                    let maxRecords = {!! json_encode(lang('records')) !!};
                    let entries = {!! json_encode(lang('entries')) !!};
                    let show = {!! json_encode(lang('Show')) !!};
                    let search = {!! json_encode(lang('Search...')) !!};
                // Reinitialize DataTable
                dataTable = $('#support-articlelists').DataTable({
                    language: {
                        searchPlaceholder: search,
                        scrollX: "100%",
                        sSearch: '',
                        paginate: {
                            previous: prev,
                            next: next
                        },
                        emptyTable: nodata,
                        infoFiltered: `${maxRecordfilter} _MAX_ ${maxRecords}`,
                        info: `${showing} _PAGE_ ${ofval} _PAGES_`,
                        infoEmpty: noentries,
                        lengthMenu: `${show} _MENU_ ${entries}`,
                    },
                    order: [],
                    columnDefs: [{
                        "orderable": false,
                        "targets": [0, 1, 3]
                    }],
                });

                document.querySelector('.card-body').style.setProperty('filter','')

                $('.form-select').select2({
                        minimumResultsForSearch: Infinity,
                        width: '100%'
                    });
                $('.form-select').on('focus', function() {
                    $(this).attr('aria-hidden', 'false');
                });
                document.getElementById('hideAfterloading')?.classList.add('d-none');
                document.getElementById('theadShow')?.classList.remove('d-none');





                initializeTooltips();
                // checkboxNoLabel()
                // buttonAlertFunctions();
                // Pagenate();

                function initializeTooltips() {
                    var tooltipElements = document.querySelectorAll('[data-bs-toggle="tooltip"]');
                    tooltipElements.forEach(function(element) {
                        new bootstrap.Tooltip(element);
                    });
                }
            }

            $(function() {
                "use strict";

                (function($) {

                    // Variables
                    var SITEURL = '{{ url('') }}';

                    // Csrf Field
                    $.ajaxSetup({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        }
                    });

                    /*  When user click add project button */
                    $('#create-new-projects').on('click', function() {
                        $('#btnsave').val("create-product");
                        $('#projects_id').val('');
                        $('#projects_form').trigger("reset");
                        $('.modal-title').html("{{ lang('Add New Project') }}");
                        $('#addtestimonial').modal('show');
                    });


                    /* When click edit project */
                    $('body').on('click', '.edit-testimonial', function() {
                        var projects_id = $(this).data('id');
                        $.get('projects/' + projects_id, function(data) {
                            $('#nameError').html('');
                            $('.modal-title').html("{{ lang('Edit Project') }}");
                            $('#btnsave').val("edit-project");
                            $('#addtestimonial').modal('show');
                            $('#projects_id').val(data.id);
                            $('#name').val(data.name);
                        })
                    });

                    // Delete Project
                    $('body').on('click', '#delete-testimonial', function() {
                        var _id = $(this).data("id");
                        let parent = $(this).closest('tr');
                        swal({
                                title: `{{ lang('Are you sure you want to continue?', 'alerts') }}`,
                                text: "{{ lang('This might erase your records permanently', 'alerts') }}",
                                icon: "warning",
                                buttons: true,
                                dangerMode: true,
                            })
                            .then((willDelete) => {
                                if (willDelete) {
                                    $.ajax({
                                        type: "get",
                                        url: SITEURL + "/admin/projects/delete/" +
                                            _id,
                                        success: function(data) {
                                            toastr.success(data.success);
                                            $(parent[0]).addClass('fade-out');
                                            let newData = tableData.filter(
                                                item => item
                                                .id != parseInt(_id));
                                            tableData = newData;
                                            document.getElementById('hideAfterloading')?.classList.remove('d-none');
                                            document.querySelector('.card-body').style.setProperty('filter','blur(1px)');                                          

                                            setTimeout(() => {
                                                parent.remove();
                                                loadTable(tableData);
                                            }, 1500);
                                            // location.reload();
                                        },
                                        error: function(data) {
                                            console.log('Error:', data);
                                        }
                                    });
                                }
                            });
                    });

                    //projects assign
                    $('#projectsassign').on('click', function() {

                        document.getElementById('projectdisable').style.pointerEvents = 'none';
                        document.getElementById('projectdisable').style.opacity = '0.6';

                        $('.select2_modal').select2({
                            minimumResultsForSearch: '',
                            placeholder: "Search",
                            width: '100%'
                        });

                        $('#btnsave').val("create-project");
                        $('#projects_id').val('');
                        $('#projects_form').trigger("reset");
                        $('.modal-title').html("{{ lang('Assign Projects') }}");
                        $('#projectsassigned').modal('show');
                        $('#projects').hide();
                        $.get('projects/', function(data) {

                        });

                    });
                   

                    //Mass Delete
                    $('body').on('click', '#massdelete', function() {
                        var id = [];
                        var parent = [];
                        $('.checkall:checked').each(function() {
                            id.push($(this).val());
                            parent.push($(this).closest('tr'));
                        });
                        if (id.length > 0) {
                            swal({
                                    title: `{{ lang('Are you sure you want to continue?', 'alerts') }}`,
                                    text: "{{ lang('This might erase your records permanently', 'alerts') }}",
                                    icon: "warning",
                                    buttons: true,
                                    dangerMode: true,
                                })
                                .then((willDelete) => {
                                    if (willDelete) {
                                        $.ajax({
                                            url: "{{ url('admin/massproject/delete') }}",
                                            method: "GET",
                                            data: {
                                                id: id
                                            },
                                            success: function(data) {
                                                toastr.success(data.success);
                                                parent.forEach(element => {
                                                    element.addClass(
                                                        'fade-out');
                                                });

                                                let newData = tableData.filter(
                                                    item => !id.includes(
                                                        String(item.id)));
                                                tableData = newData;
                                                document.getElementById('hideAfterloading')?.classList.remove('d-none');
                                                document.querySelector('.card-body').style.setProperty('filter','blur(1px)');
                                                setTimeout(() => {
                                                    loadTable(
                                                        tableData);
                                                }, 1500);
                                                $('.checkall:checked').prop('checked', false);
                                                $('#customCheckAll').prop('checked', false);
                                                $('#massdelete').hide();
                                                // $('#massdelete').hide();
                                                // location.reload();
                                            },
                                            error: function(data) {

                                            }
                                        });
                                    }
                                });
                        } else {
                            toastr.error(
                                '{{ lang('Please select at least one check box.', 'alerts') }}'
                            );
                        }
                    });

                    // Project submit button
                    $('body').on('submit', '#projects_form', function(e) {
                        e.preventDefault();
                        var actionType = $('#btnsave').val();
                        var fewSeconds = 2;
                        $('#btnsave').html('Sending ... <i class="fa fa-spinner fa-spin"></i>');
                        $('#btnsave').prop('disabled', true);
                        setTimeout(function() {
                            $('#btnsave').prop('disabled', false);
                        }, fewSeconds * 1000);
                        var formData = new FormData(this);
                        $.ajax({
                            type: 'POST',
                            url: SITEURL + "/admin/projects/create",
                            data: formData,
                            cache: false,
                            contentType: false,
                            processData: false,
                            success: (data) => {
                                if (data.errors) {
                                    $('#nameError').html('');
                                    $('#nameError').html(data.errors.name);
                                    $('#btnsave').html(
                                        '{{ lang('Save Changes') }}');
                                }
                                if (data.success) {
                                    $('#nameError').html('');
                                    $('#projects_form').trigger("reset");
                                    $('#addtestimonial').modal('hide');
                                    $('#btnsave').html(
                                        '{{ lang('Save Changes') }}');
                                    toastr.success(data.success);
                                    let newProduct = data.data
                                    let exists = false;
                                    tableData = tableData.map(category => {
                                        if (category.id === newProduct.id) {
                                            exists = true;
                                            return newProduct;
                                        }
                                        return category;
                                    });

                                    if (!exists) {
                                        tableData.push(newProduct);
                                    }
                                   
                                    document.getElementById('hideAfterloading')?.classList.remove('d-none');
                                    document.querySelector('.card-body').style.setProperty('filter','blur(1px)');
                                    loadTable(tableData);
                                   
                                }
                            },
                            error: function(data) {
                                $('#nameError').html('');
                                toastr.error(
                                    '{{ lang('Project Name is Already Exists', 'alerts') }}'
                                );
                                $('#btnsave').html('{{ lang('Save Changes') }}');
                            }
                        });


                    });

                    $('.form-select').select2({
                        minimumResultsForSearch: Infinity,
                        width: '100%'
                    });



                    $(document).ready(function() {

                        $(document).on('click', '#customCheckAll', function() {
                            $('.checkall').prop('checked', this.checked);
                            updateMassDeleteVisibility();
                        });

                        // Handle individual checkboxes
                        $(document).on('click', '.checkall', function() {
                            updateCustomCheckAll();
                            updateMassDeleteVisibility();
                        });

                        // Handle pagination controls
                        $(document).on('click', '.pagination a', function() {
                            // Assuming '.pagination a' is the selector for your pagination controls
                            setTimeout(function() {
                                updateMassDeleteVisibility();
                            }, 100);
                        });

                        // Initialize the "Select All" checkbox to unchecked
                        $('#customCheckAll').prop('checked', false);

                        // Function to update the visibility of the mass delete button
                        function updateMassDeleteVisibility() {
                            if ($('.checkall:checked').length === 0) {
                                $('#massdelete').hide();
                            } else {
                                $('#massdelete').show();
                            }
                        }

                        // Function to update the state of the "Select All" checkbox
                        function updateCustomCheckAll() {
                            var totalCheckboxes = $('.checkall').length;
                            var checkedCheckboxes = $('.checkall:checked').length;

                            if (checkedCheckboxes === totalCheckboxes) {
                                $('#customCheckAll').prop('checked', true);
                            } else {
                                $('#customCheckAll').prop('checked', false);
                            }
                        }
                    });


                })(jQuery);

            })
        });
    </script>
@endsection
