<style>
    .power-ribbone {
        width: 2.5rem;
        height: 2.5rem;
        overflow: hidden;
        position: absolute;
        z-index: 8;
    }

    .power-ribbone span {
        position: absolute;
        display: block;
        width: 5.125rem;
        padding: 0.5rem 0 0.25rem 0;
        color: #fff;
        font: 500 1rem/1 Lato, sans-serif;
        text-shadow: 0 0.0625rem 0.0625rem rgba(0, 0, 0, 0.2);
        text-transform: capitalize;
        text-align: center;
    }

    .power-ribbone-top-left {
        inset-block-start: -0.375rem;
        inset-inline-start: -0.5625rem;
    }

    .power-ribbone-top-left span {
        inset-inline-end: -11px;
        inset-block-start: -14px;
        transform: rotate(-45deg);
    }

    .power-ribbone-top-left span i {
        transform: rotate(45deg);
        padding-block-start: 13px;
        font-size: 10px;
        padding-inline-start: 10px;
    }
</style>
<table class="table table-bordered border-bottom text-nowrap ticketdeleterow supportticket-list w-100"
    id="ticketdatatable">
    <thead>
        <tr>
            <th class="wpx-40 text-center">{{ lang('Sl.No') }}</th>
            @can('Ticket Delete')
                <th class="wpx-40 text-center">
                    <input type="checkbox" id="customCheckAll">
                    <label for="customCheckAll"></label>
                </th>
            @endcan
            @cannot('Ticket Delete')
                <th class="wpx-40 text-center">
                    <input type="checkbox" id="customCheckAll" disabled>
                    <label for="customCheckAll"></label>
                </th>
            @endcannot

            <th>{{ lang('Ticket Details') }}</th>
            <th>{{ lang('User') }}</th>
            <th>{{ lang('Status') }}</th>
            <th>{{ lang('Assign To') }}</th>
            <th>{{ lang('Actions') }}</th>

        </tr>
    </thead>
    <div id="hideAfterloading"><img src="{{ asset('build/assets/images/loader.svg') }}" alt="">
        <p>loading.. Please Wait</p>
    </div>
</table>

@include('includes.admin.datatable')
<script type="text/javascript">
    document.addEventListener("DOMContentLoaded", (event) => {
        let tableData = @json($ticketdata);


        let delPerm = @json(Auth::user()->can('Ticket Delete'));
        let editPerm = @json(Auth::user()->can('Ticket Edit'));
        let assignPerm = @json(Auth::user()->can('Ticket Assign'));
        let dateFormat = @json(setting('date_format'));
        var SITEURL = '{{ url('') }}';
        var dataTable;
        var tableDropDown;

        function truncateTitle(title) {
            const maxLength = 40;
            return title.length > maxLength ? title.substring(0, maxLength) + '...' : title;
        }

        loadTable(tableData);

        function loadTable(tableData) {
            document.getElementById('hideAfterloading')?.classList.remove('d-none');
            document.getElementById('theadShow')?.classList.add('d-none');
            if (tableDropDown)
                tableDropDown.destroy();

            // if (dataTable)
            //     dataTable.destroy();
            if ($.fn.DataTable.isDataTable('#ticketdatatable')) {
                    $('#ticketdatatable').DataTable().clear().destroy();
            }

            if (document.getElementById('tableBody'))
                document.getElementById('tableBody').remove();

            let createTbody = document.createElement('tbody');
            createTbody.setAttribute('id', "tableBody");
            let rows = tableData.map((data, index) => {
                let ticketDetails = `
                        <div class="d-flex align-items-center">
                            <div class="ribbone-card">`;

                if (data.importantticket === 'on' && data.status !== 'Closed') {
                    ticketDetails += `
                                <div class="power-ribbone power-ribbone-top-left">
                                    <span class="bg-warning"><i class="fa fa-star"></i></span>
                                </div>`;
                }

                let ticketdraft = data.ticketdraft;
                if (data.ticketnote.length === 0) {
                    if (data.overduestatus !== null) {
                        ticketDetails += `
                                <div class="ribbon ribbon-top-right1 text-danger">
                                    <span class="bg-danger text-white">${data.overduestatus}</span>
                                </div>`;

                        if (ticketdraft !== null) {
                            ticketDetails += `
                                <div class="ribbon ribbon-top-right1 text-secondary">
                                    <span class="bg-secondary text-white">{{ lang('Draft') }}</span>
                                </div>`;
                        }
                    } else {
                        if (ticketdraft !== null) {
                            ticketDetails += `
                                <div class="ribbon ribbon-top-right text-secondary">
                                    <span class="bg-secondary text-white">{{ lang('Draft') }}</span>
                                </div>`;
                        }
                    }
                } else {
                    ticketDetails += `
                            <div class="ribbon ribbon-top-right text-warning">
                                <span class="bg-warning text-white">{{ lang('Note') }}</span>
                            </div>`;

                    if (data.overduestatus !== null) {
                        ticketDetails += `
                                <div class="ribbon ribbon-top-right1 text-danger">
                                    <span class="bg-danger text-white">${data.overduestatus}</span>
                                </div>`;

                        if (ticketdraft !== null) {
                            ticketDetails += `
                                <div class="ribbon ribbon-top-right2 text-secondary">
                                    <span class="bg-secondary text-white">{{ lang('Draft') }}</span>
                                </div>`;
                        }
                    } else {
                        if (ticketdraft !== null) {
                            ticketDetails += `
                                <div class="ribbon ribbon-top-right1 text-secondary">
                                    <span class="bg-secondary text-white">{{ lang('Draft') }}</span>
                                </div>`;
                        }
                    }
                }

                ticketDetails += `
                                <a href="${SITEURL}/admin/ticket-view/${data.encrypted_id}" class="fs-14 d-block font-weight-semibold">${data.subject}</a>

                                <ul class="fs-13 font-weight-normal d-flex custom-ul">
                                    <li class="pe-2 text-muted">#${data.ticket_id}</li>
                                    <li class="px-2 text-muted" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Date') }}">
                                        <i class="fe fe-calendar me-1 fs-14"></i>${dateTime(data.created_at)}
                                    </li>`;

                if (data.priority) {
                    if (data.priority == 'Low') {
                        ticketDetails += `
                                    <li class="ps-5 pe-2 preference preference-low" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Priority') }}">
                                        ${data.priority}
                                    </li>`;
                    } else if (data.priority == 'High') {
                        ticketDetails += `
                                    <li class="ps-5 pe-2 preference preference-high" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Priority') }}">
                                        ${data.priority}
                                    </li>`;
                    } else if (data.priority == 'Critical') {
                        ticketDetails += `
                                    <li class="ps-5 pe-2 preference preference-critical" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Priority') }}">
                                        ${data.priority}
                                    </li>`;
                    } else {
                        ticketDetails += `
                                    <li class="ps-5 pe-2 preference preference-medium" data-bs-toggle="tooltip"
                                            data-bs-placement="top" title="{{ lang('Priority') }}">
                                            ${data.priority}</li>`;
                    }

                } else {
                    ticketDetails += ``;
                }


                if (data.category_id != null && data.category != null) {
                    ticketDetails += `
                            <li class="px-2 text-muted" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Category') }}">
                                <i class="fe fe-grid me-1 fs-14"></i>${truncateTitle(data.category.name)}
                            </li>`;
                } else {
                    ticketDetails += `~`;
                }


                if (data.last_reply == null) {
                    ticketDetails += `
                            <li class="px-2 text-muted" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Last Replied') }}">
                                <i class="fe fe-clock me-1 fs-14"></i>${dateTimeDiff(data.created_at)}
                            </li>`;
                } else {
                    ticketDetails += `
                            <li class="px-2 text-muted" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Last Replied') }}">
                                <i class="fe fe-clock me-1 fs-14"></i>${dateTimeDiff(data.last_reply)}
                            </li>`;
                }

                if (data.purchasecodesupport != null) {
                    if (data.purchasecodesupport == 'Supported') {
                        ticketDetails +=
                            `<li class="px-2 text-success font-weight-semibold">{{ lang('Support Active') }}</li>`;
                    } else if (data.purchasecodesupport === 'Expired') {
                        ticketDetails +=
                            `<li class="px-2 text-danger-dark font-weight-semibold">{{ lang('Support Expired') }}</li>`;
                    }
                }

                ticketDetails += `
                                </ul>
                            </div>
                        </div>`;

                let status;

                if (data.status == 'New')
                    status = `<span class="badge badge-burnt-orange">${data.status}</span>`
                else if (data.status == 'Re-Open')
                    status = `<span class="badge badge-teal">${data.status}</span>`
                else if (data.status == 'Inprogress')
                    status = `<span class="badge badge-info">${data.status}</span>`
                else if (data.status == 'On-Hold')
                    status = `<span class="badge badge-warning">${data.status}</span>`
                else
                    status = `<span class="badge badge-danger">${data.status}</span>`

                let actionsHtml = '';

                // Check user permissions
                if (assignPerm) {
                    if (data.status === 'Suspend' || data.status === 'Closed') {
                        actionsHtml += '<div class="btn-group">';

                        if (data.ticketassignmutliples.length > 0 && data.selfassignuser_id === null) {
                            if (data.ticketassignmutliples.length === 1) {

                                actionsHtml += `
                                    <button class="btn btn-outline-primary dropdown-toggle" data-bs-toggle="dropdown" disabled>
                                        ${data.assigneduserdata.name} <span class="caret"></span>
                                    </button>`;
                            } else {
                                actionsHtml += `
                                    <button class="btn btn-outline-primary dropdown-toggle" data-bs-toggle="dropdown" disabled>
                                        {{ lang('Multi Assign') }} <span class="caret"></span>
                                    </button>`;
                            }

                            actionsHtml += `
                                <button data-id="${data.encrypted_id}" class="btn btn-outline-primary" id="btnremove" disabled
                                    data-bs-toggle="tooltip" data-bs-placement="top" title=""
                                    data-bs-original-title="{{ lang('Unassign') }}" aria-label="Unassign">
                                    <i class="fe fe-x"></i>
                                </button>`;

                        } else if (data.ticketassignmutliples.length === 0 && data.selfassignuser_id !==
                            null) {
                                const selfAssignName = data.selfassign?.name || 'Unknown';
                            actionsHtml += `
                                <button class="btn btn-outline-primary dropdown-toggle" data-bs-toggle="dropdown" disabled>
                                    ${data.selfassign.name} (self) <span class="caret"></span>
                                </button>
                                <button data-id="${data.encrypted_id}" class="btn btn-outline-primary" id="btnremove" disabled
                                    data-bs-toggle="tooltip" data-bs-placement="top" title=""
                                    data-bs-original-title="{{ lang('Unassign') }}" aria-label="Unassign">
                                    <i class="fe fe-x"></i>
                                </button>`;
                        } else {
                            actionsHtml += `
                                <button class="btn btn-outline-primary dropdown-toggle" data-bs-toggle="dropdown" disabled>
                                    {{ lang('Assign') }} <span class="caret"></span>
                                </button>`;
                        }
                        actionsHtml += '</div>';
                    } else {
                        // Logic for when the ticket status is not 'Suspend' or 'Closed'
                        if (data.ticketassignmutliples.length === 0 && data.selfassignuser_id ===
                            null) {
                            actionsHtml += `
                                <div class="btn-group">
                                    <button class="btn btn-outline-primary dropdown-toggle btn-sm" data-bs-toggle="dropdown">
                                        {{ lang('Assign') }} <span class="caret"></span>
                                    </button>
                                    <ul class="dropdown-menu" role="menu">
                                        <li class="dropdown-plus-title">{{ lang('Assign') }} <b aria-hidden="true" class="fa fa-angle-up"></b></li>
                                        <li><a href="javascript:void(0);" id="selfassigid" data-id="${data.encrypted_id}">{{ lang('Self Assign') }}</a></li>
                                        <li><a href="javascript:void(0)" data-id="${data.encrypted_id}" id="assigned">{{ lang('Other Assign') }}</a></li>
                                    </ul>
                                </div>`;
                        } else {
                            actionsHtml += '<div class="btn-group">';

                            if (data.ticketassignmutliples.length > 0 && data.selfassignuser_id ==
                                null) {
                                if (data.ticketassignmutliples.length == 0 && data.selfassign ===
                                    null) {
                                    actionsHtml += `
                                        <button class="btn btn-outline-primary dropdown-toggle btn-sm" data-bs-toggle="dropdown">
                                            {{ lang('Assign') }} <span class="caret"></span>
                                        </button>`;
                                } else {

                                    if (data.ticketassignmutliples.length === 1) {
                                        actionsHtml += `
                                            <button class="btn btn-outline-primary dropdown-toggle btn-sm" data-bs-toggle="dropdown">
                                                ${data.assigneduserdata.name} <span class="caret"></span>
                                            </button>`;
                                    } else {
                                        actionsHtml += `
                                            <button class="btn btn-outline-primary dropdown-toggle btn-sm" data-bs-toggle="dropdown">
                                                {{ lang('Multi Assign') }} <span class="caret"></span>
                                            </button>`;
                                    }
                                    actionsHtml += `
                                        <a href="javascript:void(0)" data-id="${data.encrypted_id}" class="btn btn-outline-primary btn-sm" id="btnremove"
                                            data-bs-toggle="tooltip" data-bs-placement="top" title=""
                                            data-bs-original-title="{{ lang('Unassign') }}" aria-label="Unassign">
                                            <i class="fe fe-x"></i>
                                        </a>`;
                                }
                            } else if (data.ticketassignmutliples.length === 0 && data
                                .selfassignuser_id !== null) {
                                    const selfAssignName = data.selfassign?.name || 'Unknown';
                                actionsHtml += `
                                    <button class="btn btn-outline-primary dropdown-toggle btn-sm" data-bs-toggle="dropdown">
                                        ${selfAssignName} (self) <span class="caret"></span>
                                    </button>
                                    <a href="javascript:void(0)" data-id="${data.encrypted_id}" class="btn btn-outline-primary btn-sm" id="btnremove"
                                        data-bs-toggle="tooltip" data-bs-placement="top" title=""
                                        data-bs-original-title="{{ lang('Unassign') }}" aria-label="Unassign">
                                        <i class="fe fe-x"></i>
                                    </a>`;
                            } else {
                                actionsHtml += `
                                    <button class="btn btn-outline-primary dropdown-toggle btn-sm" data-bs-toggle="dropdown">
                                        {{ lang('Assign') }} <span class="caret"></span>
                                    </button>`;
                            }
                            actionsHtml += `
                                <ul class="dropdown-menu" role="menu">
                                    <li class="dropdown-plus-title">{{ lang('Assign') }} <b aria-hidden="true" class="fa fa-angle-up"></b></li>
                                    <li><a href="javascript:void(0);" id="selfassigid" data-id="${data.encrypted_id}">{{ lang('Self Assign') }}</a></li>
                                    <li><a href="javascript:void(0)" data-id="${data.encrypted_id}" id="assigned">{{ lang('Other Assign') }}</a></li>
                                </ul>
                            </div>`;
                        }
                    }
                } else {
                    actionsHtml += '~';
                }


                return `
                        <tr ${data.replystatus == 'Replied' ? 'class=bg-success-transparent' : '' }
                            ${data.ticketviolation == 'on' ? `class="bg-danger-transparent"` : ''}>

                            <td class="wpx-40 text-center">${index + 1}</td>

                            <td class="wpx-40 text-center"> ${delPerm ? `<input type="checkbox" name="student_checkbox[]" class="checkall" value="${data.encrypted_id}" />` : '~'} </td>

                            <td class="overflow-hidden ticket-details"> ${ticketDetails} </td>

                            <td> ${data.cust.username} (${data.cust.userType})
                                ${data.cust.voilated == 'on' ? `<i class="fa fa-exclamation-triangle text-danger"></i>` : ''}
                            </td>

                            <td> ${status}  </td>

                            <td> ${actionsHtml} </td>

                            <td> ${editPerm ? ` <a href="${SITEURL}/admin/ticket-view/${data.encrypted_id}"
                                    class="btn btn-sm action-btns edit-testimonial"><i
                                    class="feather feather-eye text-primary" data-bs-toggle="tooltip"
                                    data-bs-placement="top" title="{{ lang('View') }}"></i></a>` : '~'}

                                ${delPerm ? `<a href="javascript:void(0)" data-id="${data.encrypted_id}" class="btn btn-sm action-btns"
                                    id="show-delete"><i class="feather feather-trash-2 text-danger"
                                    data-id="${data.encrypted_id}" data-bs-toggle="tooltip" data-bs-placement="top"
                                    title="{{ lang('Delete') }}"></i></a>` : '~'}
                            </td>

                        </tr>
                    `;
            });

            createTbody.innerHTML = rows.length ? rows.join('') : '';
            document.getElementById('ticketdatatable').appendChild(createTbody);
            let prev = {!! json_encode(lang('Previous')) !!};
            let next = {!! json_encode(lang('Next')) !!};
            let nodata = {!! json_encode(lang('No data available in table')) !!};
            let noentries = {!! json_encode(lang('No entries to show')) !!};
            let showing = {!! json_encode(lang('showing page')) !!};
            let ofval = {!! json_encode(lang('of')) !!};
            let maxRecordfilter = {!! json_encode(lang('- filtered from ')) !!};
            let maxRecords = {!! json_encode(lang('records')) !!};
            let entries = {!! json_encode(lang('entries')) !!};
            let show = {!! json_encode(lang('Show')) !!};
            let search = {!! json_encode(lang('Search...')) !!};
            // Reinitialize DataTable
            dataTable = $('#ticketdatatable').DataTable({
                language: {
                    searchPlaceholder: search,
                    scrollX: "100%",
                    sSearch: '',
                    paginate: {
                        previous: prev,
                        next: next
                    },
                    emptyTable: nodata,
                    infoFiltered: `${maxRecordfilter} _MAX_ ${maxRecords}`,
                    info: `${showing} _PAGE_ ${ofval} _PAGES_`,
                    infoEmpty: noentries,
                    lengthMenu: `${show} _MENU_ ${entries}`,
                },
                order: [],
                columnDefs: [{
                    "orderable": false,
                    "targets": [0, 1, 3]
                }],
            });

            document.querySelector('.card-body').style.setProperty('filter','')

            $('.form-select').select2({
                minimumResultsForSearch: Infinity,
                width: '100%'
            });
            $('.form-select').on('focus', function() {
                $(this).attr('aria-hidden', 'false');
            });
            document.getElementById('hideAfterloading')?.classList.add('d-none');
            document.getElementById('theadShow')?.classList.remove('d-none');

            initializeTooltips();
            // checkboxNoLabel()
            // buttonAlertFunctions();
            // Pagenate();

            function initializeTooltips() {
                var tooltipElements = document.querySelectorAll('[data-bs-toggle="tooltip"]');
                tooltipElements.forEach(function(element) {
                    new bootstrap.Tooltip(element);
                });
            }


        }

        function getData() {

            $('.sprukoloader-img').fadeIn();
            $.ajax({
                url: location.href,
                method: 'GET',
                dataType: 'json',
                success: function(data) {
                  $('.sprukoloader-img').fadeOut();
                    loadTable(data.ticketdata);
                    if(data.customData)
                    {
                        const elements = {
                            allTickets: data.customData.totaltickets,
                            recentTickets: data.customData.recentticketcount,
                            activeTickets: data.customData.totalactivetickets,
                            closedTickets: data.customData.totalclosedtickets,
                            selfAssign: data.customData.selfassigncount,
                            myAssigned: data.customData.myassignedticketcount,
                            myClosed: data.customData.myclosedticketcount,
                            activeReopen:data.customData.allactivereopentickets,
                            activeOnhold: data.customData.allactiveonholdtickets,
                            activeAssigned: data.customData.allactiveassignedtickets,
                            emprecentcount:data.customData.recentticketcount,
                            emptotalactive:data.customData.totalactivetickets,
                            empselfassign:data.customData.selfassigncount,
                            empassignedcount:data.customData.myassignedticketcount,
                            empclosedcount:data.customData.myclosedticketcount,
                        };

                        for (const [id, value] of Object.entries(elements)) {
                            const element = document.getElementById(id);
                            if (element) {
                                element.innerHTML = value;
                            }
                        }

                        if (document.getElementById('inProgress')) {
                            document.getElementById('inProgress').childNodes[0].nodeValue = data.customData.allactiveinprogresstickets;
                        }

                        if (document.getElementById('activeOverdue')) {
                            document.getElementById('activeOverdue').innerHTML = data.customData.allactiveoverduetickets;
                        }

                        const unansweredElement = document.getElementById('unanswered');
                        const replyRecentElement = document.getElementById('replyRecent');
                        if (unansweredElement) {
                            if (data.customData.replyrecent > 0) {
                                unansweredElement.classList.remove('disabled');
                                unansweredElement.setAttribute('id', 'replyRecent');
                                unansweredElement.innerHTML = `
                                    <i class="fa fa-commenting" id="replyRecent"></i>
                                    ${data.customData.replyrecent}
                                `;
                            } else {
                                unansweredElement.classList.add('disabled');
                                unansweredElement.setAttribute('id', 'unanswered');
                                unansweredElement.innerHTML = `
                                    <i class="fa fa-commenting" id="unanswered"></i>
                                    0
                                `;
                            }
                        }
                        if (replyRecentElement) {
                            if (data.customData.replyrecent > 0) {
                                replyRecentElement.innerHTML = `
                                    <i class="fa fa-commenting" id="replyRecent"></i>
                                    ${data.customData.replyrecent}
                                `;
                            }
                        }

                        const empactiverecent = document.getElementById('empactiverecent');
                        const empunanswered = document.getElementById('empunanswered');
                        if (empunanswered) {
                            if (data.customData.totalactiverecent > 0) {
                                empunanswered.classList.remove('disabled');
                                empunanswered.setAttribute('id', 'replyRecent');
                                empunanswered.innerHTML = `
                                    <i class="fa fa-commenting" id="replyRecent"></i>
                                    ${data.customData.totalactiverecent}
                                `;
                            } else {
                                empunanswered.classList.add('disabled');
                                empunanswered.setAttribute('id', 'unanswered');
                                empunanswered.innerHTML = `
                                    <i class="fa fa-commenting" id="unanswered"></i>
                                    0
                                `;
                            }
                        }
                        if (empactiverecent) {
                            if (data.customData.totalactiverecent > 0) {
                                if (empactiverecent.classList.contains('disabled')) {
                                    empactiverecent.classList.remove('disabled');
                                }
                                empactiverecent.innerHTML = `
                                    <i class="fa fa-commenting" id="replyRecent"></i>
                                    ${data.customData.totalactiverecent}
                                `;
                            }
                            else{
                                empactiverecent.classList.add('disabled');
                                empactiverecent.setAttribute('id', 'empactiverecent');
                                empactiverecent.innerHTML = `
                                    <i class="fa fa-commenting" id="empactiverecent"></i>
                                    0
                                `;
                            }
                        }

                        const selfrecentreply = document.getElementById('selfrecentreply');
                        const selfunans = document.getElementById('selfunans');
                        if (selfunans) {
                            if (data.customData.selfassignrecentreply > 0) {
                                selfunans.classList.remove('disabled');
                                selfunans.setAttribute('id', 'replyRecent');
                                selfunans.innerHTML = `
                                    <i class="fa fa-commenting" id="replyRecent"></i>
                                    ${data.customData.selfassignrecentreply}
                                `;
                            } else {
                                selfunans.classList.add('disabled');
                                selfunans.setAttribute('id', 'unanswered');
                                selfunans.innerHTML = `
                                    <i class="fa fa-commenting" id="unanswered"></i>
                                    0
                                `;
                            }
                        }
                        if (selfrecentreply) {
                            if (data.customData.selfassignrecentreply > 0) {
                                selfrecentreply.innerHTML = `
                                    <i class="fa fa-commenting" id="replyRecent"></i>
                                    ${data.customData.selfassignrecentreply}
                                `;
                            }
                        }


                        const assignrecentreply = document.getElementById('assignrecentreply');
                        const assignunanswered = document.getElementById('assignunanswered');
                        if (assignunanswered) {
                            if (data.customData.myassignedticketrecentreply > 0) {
                                assignunanswered.classList.remove('disabled');
                                assignunanswered.setAttribute('id', 'replyRecent');
                                assignunanswered.innerHTML = `
                                    <i class="fa fa-commenting" id="replyRecent"></i>
                                    ${data.customData.myassignedticketrecentreply}
                                `;
                            } else {
                                assignunanswered.classList.add('disabled');
                                assignunanswered.setAttribute('id', 'unanswered');
                                assignunanswered.innerHTML = `
                                    <i class="fa fa-commenting" id="unanswered"></i>
                                    0
                                `;
                            }
                        }
                        if (assignrecentreply) {
                            if (data.customData.myassignedticketrecentreply > 0) {
                                assignrecentreply.innerHTML = `
                                    <i class="fa fa-commenting" id="replyRecent"></i>
                                    ${data.customData.myassignedticketrecentreply}
                                `;
                            }
                        }






                    }

                },
                error: function(xhr, status, error) {
                    console.error('AJAX error:', status, error);
                }
            });
        }


        $(function() {

            $('.form-select').select2({
                minimumResultsForSearch: Infinity,
                width: '100%'
            });


            //dashboard page script

            var SITEURL = '{{ url('') }}',
                    defaultTimezone = "{{ setting('default_timezone') }}",
                    timeFormat = "{{ setting('time_format') }}";

                // csrf field
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });

                $('#refreshdata').on('click', function(e) {
                    e.preventDefault();
                    getData();


                });

                var tabledataautorefresh = @json(setting('DASHBOARD_TABLE_DATA_AUTO_REFRESH'));
                var tabledataautorefreshtime = @json(setting('TABLE_DATA_AUTO_REFRESH_TIME'));

                if (tabledataautorefresh == 'yes') {
                    setInterval(function() {
                        getData();
                    }, tabledataautorefreshtime * 1000);
                }

                // TICKET DELETE SCRIPT
                $('body').on('click', '#show-delete', function() {
                    var _id = $(this).data("id");
                    let parent = $(this).closest('tr');
                    swal({
                            title: `{{ lang('Are you sure you want to continue?', 'alerts') }}`,
                            text: "{{ lang('This might erase your records permanently', 'alerts') }}",
                            icon: "warning",
                            buttons: true,
                            dangerMode: true,
                        })
                        .then((willDelete) => {
                            if (willDelete) {
                                $.ajax({
                                    type: "get",
                                    url: SITEURL + "/admin/delete-ticket/" + _id,
                                    success: function(data) {
                                        toastr.success(data.success);
                                        document.getElementById('hideAfterloading')?.classList.remove('d-none');
                                        document.querySelector('.card-body').style.setProperty('filter','blur(1px)');
                                        getData();
                                    },
                                    error: function(data) {
                                        console.log('Error:', data);
                                    },
                                });
                            }
                        });

                });



                // TICKET DELETE SCRIPT END

                // when user click its get modal popup to assigned the ticket
                $('body').on('click', '#assigned', function() {
                    var assigned_id = $(this).data('id');
                    $('.select2_modalassign').select2({
                        dropdownParent: ".sprukosearch",
                        minimumResultsForSearch: '',
                        placeholder: "Search",
                        width: '100%'
                    });
                   $.get(SITEURL +'/admin/assigned/' + assigned_id, function(data) {
                        $('#AssignError').html('');
                        $('#assigned_id').val(data.assign_data.id);
                        $(".modal-title").text('{{ lang('Assign To Agent') }}');
                        $('#username').html(data.table_data);
                        if (data.assign_user_exist == 'no') {
                            $('#username').val([]).trigger('change')
                        }
                        $('#addassigned').modal('show');
                    });
                });

                // Assigned Submit button
                $('body').on('submit', '#assigned_form', function(e) {
                    e.preventDefault();
                    var actionType = $('#btnsave').val();
                    var fewSeconds = 2;
                    $('#btnsave').html('Sending ... <i class="fa fa-spinner fa-spin"></i>');
                    $('#btnsave').prop('disabled', true);
                    setTimeout(function() {
                        $('#btnsave').prop('disabled', false);
                    }, fewSeconds * 1000);
                    var formData = new FormData(this);
                    $.ajax({
                        type: 'POST',
                        url: SITEURL + "/admin/assigned/create",
                        data: formData,
                        cache: false,
                        contentType: false,
                        processData: false,

                        success: (data) => {

                            $('#AssignError').html('');
                            $('#assigned_form').trigger("reset");
                            $('#addassigned').modal('hide');
                            $('#btnsave').html('{{ lang('Save Changes') }}');
                            $('#assigned').html('gfhffh');
                            // location.reload();
                            toastr.success(data.success);
                            document.getElementById('hideAfterloading')?.classList.remove('d-none');
                            document.querySelector('.card-body').style.setProperty('filter','blur(1px)');
                            getData();
                        },
                        error: function(data) {
                            $('#AssignError').html('');
                            $('#AssignError').html("The assigned agent field is required");
                            // $('#AssignError').html(data.responseJSON.errors.assigned_user_id);
                            $('#btnsave').html('{{ lang('Save Changes') }}');
                        }
                    });
                });

                // Remove the assigned from the ticket
                $('body').on('click', '#btnremove', function() {
                    var asid = $(this).data("id");
                    swal({
                            title: `{{ lang('Are you sure you want to unassign this agent?', 'alerts') }}`,
                            text: "{{ lang('This agent may no longer exist for this ticket.', 'alerts') }}",
                            icon: "warning",
                            buttons: true,
                            dangerMode: true,
                        })
                        .then((willDelete) => {
                            if (willDelete) {

                                $.ajax({
                                    type: "get",
                                    url: SITEURL + "/admin/assigned/update/" + asid,
                                    success: function(data) {
                                        // location.reload();
                                        toastr.success(data.success);
                                        document.getElementById('hideAfterloading')?.classList.remove('d-none');
                                        document.querySelector('.card-body').style.setProperty('filter','blur(1px)');
                                        getData();
                                    },
                                    error: function(data) {
                                        console.log('Error:', data);
                                    }
                                });

                            }
                        });
                });

                //Mass Delete
                $('body').on('click', '#massdelete', function() {
                    var id = [];
                    var parent = [];

                    $('.checkall:checked').each(function() {
                        id.push($(this).val());
                    });
                    if (id.length > 0) {
                        swal({
                                title: `{{ lang('Are you sure you want to continue?', 'alerts') }}`,
                                text: "{{ lang('This might erase your records permanently', 'alerts') }}",
                                icon: "warning",
                                buttons: true,
                                dangerMode: true,
                            })
                            .then((willDelete) => {
                                if (willDelete) {
                                    $.ajax({
                                        url: "{{ url('admin/ticket/delete/tickets') }}",
                                        method: "POST",
                                        data: {
                                            id: id
                                        },
                                        success: function(data) {
                                            // location.reload();
                                            document.getElementById('hideAfterloading')?.classList.remove('d-none');
                                            document.querySelector('.card-body').style.setProperty('filter','blur(1px)');
                                            toastr.success(data.success);
                                            getData();
                                            $('.checkall:checked').prop('checked', false);
                                            $('#customCheckAll').prop('checked', false);
                                            $('#massdelete').hide();

                                        },
                                        error: function(data) {

                                        }
                                    });
                                }
                            });
                    } else {
                        toastr.error('{{ lang('Please select at least one check box.', 'alerts') }}');
                    }

                });



                $(document).ready(function() {

                    $(document).on('click', '#customCheckAll', function() {
                        $('.checkall').prop('checked', this.checked);
                        updateMassDeleteVisibility();
                    });

                    // Handle individual checkboxes
                    $(document).on('click', '.checkall', function() {
                        updateCustomCheckAll();
                        updateMassDeleteVisibility();
                    });

                    // Handle pagination controls
                    $(document).on('click', '.pagination a', function() {
                        // Assuming '.pagination a' is the selector for your pagination controls
                        setTimeout(function() {
                            updateMassDeleteVisibility();
                        }, 100);
                    });

                    // Initialize the "Select All" checkbox to unchecked
                    $('#customCheckAll').prop('checked', false);

                    // Function to update the visibility of the mass delete button
                    function updateMassDeleteVisibility() {
                        if ($('.checkall:checked').length == 0) {
                            $('#massdelete').hide();
                        } else {
                            $('#massdelete').show();
                        }
                    }

                    // Function to update the state of the "Select All" checkbox
                function updateCustomCheckAll() {
                    var totalCheckboxes = $('.checkall').length;
                    var checkedCheckboxes = $('.checkall:checked').length;

                    if (checkedCheckboxes == totalCheckboxes) {
                        $('#customCheckAll').prop('checked', true);
                        } else {
                            $('#customCheckAll').prop('checked', false);
                        }
                    }
                });

                $('body').on('click', '#selfassigid', function(e) {

                    e.preventDefault();
                    let id = $(this).data('id');
                  $.ajax({
                        method: 'POST',
                        url: '{{ route('admin.selfassign') }}',
                        data: {
                            id: id,
                        },
                        success: (data) => {
                            toastr.success(data.success);
                            document.getElementById('hideAfterloading')?.classList.remove('d-none');
                            document.querySelector('.card-body').style.setProperty('filter','blur(1px)');
                           getData();
                        },
                        error: function(data) {

                        }
                    });
                })

                let webSocketCheck = '{{webSocketCheck()}}'
        	    if(webSocketCheck){
                    dbname = '{{dbname()}}';
                    Echo.channel('conversation').listen('ConversationEvent', (socket) => {
                        if(socket.applicationname == dbname){
                            if (socket.replyUserType === 'tableDataReload') {
                                getData();
                            }
                        }
                    });
                }


        })
    });
</script>
