
@extends('layouts.adminmaster')

@section('styles')

<!-- INTERNAl Summernote css -->
<link rel="stylesheet" href="{{asset('build/assets/plugins/summernote/summernote.css')}}?v=<?php echo time(); ?>">

<!-- INTERNAl Dropzone css -->
<link href="{{asset('build/assets/plugins/dropzone/dropzone.css')}}?v=<?php echo time(); ?>" rel="stylesheet" />


@endsection

@section('content')

    <!--Page header-->
    <div class="page-header d-xl-flex d-block">
        <div class="page-leftheader">
            <h4 class="page-title"><span class="font-weight-normal text-muted ms-2">{{lang('Create Ticket', 'menu')}}</span></h4>
        </div>
    </div>
    <!--End Page header-->

    <!-- Create Ticket List-->
    <div class="col-xl-12 col-lg-12 col-md-12">
        <div class="card ">
            <div class="card-header border-0">
                <h4 class="card-title">{{lang('New Ticket')}}</h4>
            </div>
            <form method="post" id="admin_form" enctype="multipart/form-data">

                <input type="hidden" name="productname" id="itemname">
                <div class="card-body">
                    <div class="form-group">
                        <div class="row">
                            <div class="col-md-2">
                                <label class="form-label mb-0 mt-2">{{lang('Email')}} <span class="text-red">*</span></label>
                            </div>
                            <div class="col-md-10">
                                <input type="email" class="form-control @error('email') is-invalid @enderror" placeholder="{{lang('Email')}}" value="{{ old('email') }}" name="email" id="email">
                                <span id="EmailError" class="text-danger alert-message" ></span>
                                @error('email')
                                    <span class="invalid-feedback d-block" role="alert">
                                        <strong>{{ lang($message) }}</strong>
                                    </span>
                                @enderror

                            </div>
                        </div>
                    </div>
                    @if(setting('cc_email') == 'on')
                    <div class="form-group">
                        <div class="row">
                            <div class="col-md-2">
                                <label class="form-label mb-0 mt-2">{{lang('CC')}} </label>
                            </div>
                            <div class="col-md-10">
                                <input type="email" class="form-control @error('ccmail') is-invalid @enderror" placeholder="{{lang('CC Email')}}" value="{{ old('ccmail') }}" name="ccmail" id="ccmail">
                                <div><small class="text-muted"> {{lang('You are allowed to send only a single CC.')}}</small></div>
                                <span id="ccEmailError" class="text-danger alert-message" ></span>
                                @error('ccmail')

                                    <span class="invalid-feedback d-block" role="alert">
                                        <strong>{{ lang($message) }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                    </div>
                    @endif

                    <div class="form-group">
                        <div class="row">
                            <div class="col-md-2">
                                <label class="form-label mb-0 mt-2">{{lang('Subject')}} <span class="text-red">*</span></label>
                            </div>
                            <div class="col-md-10">
                                <input type="text" id="subject" class="form-control @error('subject') is-invalid @enderror" maxlength="{{setting('TICKET_CHARACTER')}}" placeholder="{{lang('Subject')}}" name="subject" value="{{ old('subject') }}">
                                <small class="text-muted float-end mt-2 subjectmaxtext" id="subjectmaxtext">{{lang('Maximum')}} <b>{{setting('TICKET_CHARACTER')}}</b> {{lang('Characters')}}</small>
                                <div>
                                    <span id="SubjectError" class="text-danger alert-message"></span>
                                </div>
                                @error('subject')

                                    <span class="invalid-feedback d-block" role="alert">
                                        <strong>{{ lang($message) }}</strong>
                                    </span>
                                @enderror

                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="row">
                            <div class="col-md-2">
                                <label class="form-label mb-0 mt-2">{{lang('Category')}}<span class="text-red">*</span></label>
                            </div>
                            <div class="col-md-10">
                                <select  class="form-control select2-show-search  select2 @error('category') is-invalid @enderror"  data-placeholder="{{lang('Select Category')}}" name="category" id="category">
                                    <option label="{{lang('Select Category')}}"></option>
                                    @foreach ($categories as $category)

                                        <option value="{{ $category->id }}" @if(old('category') == $category->id) selected @endif>{{ $category->name }}</option>
                                    @endforeach

                                </select>
                                <span id="CategoryError" class="text-danger alert-message"></span>
                                @error('category')

                                    <span class="invalid-feedback d-block" role="alert">
                                        <strong>{{ lang($message) }}</strong>
                                    </span>
                                @enderror

                            </div>
                        </div>
                    </div>
                    <div class="form-group" id="selectssSubCategory" style="display: none;">

                        <div class="row">
                            <div class="col-md-2">
                                <label class="form-label mb-0 mt-2">{{lang('Subcategory')}}</label>
                            </div>
                            <div class="col-md-10">
                                <select  class="form-control select2-show-search  select2"  data-placeholder="{{lang('Select SubCategory')}}" name="subscategory" id="subscategory" >

                                </select>
                                <span id="subsCategoryError" class="text-danger alert-message"></span>
                            </div>
                        </div>

                    </div>
                    <div class="form-group" id="selectSubCategory">
                    </div>

                    <div class="form-group" id="envatopurchase">
                    </div>
                    @if(setting('ENVATO_ON') == 'on')
                        <div class="row d-none" id="hideelement">
                            <div class="col-md-2">
                                <label class="form-label mb-2 mt-2">{{lang('Envato Item Name')}}<span class="text-red">*</span></label>
                            </div>
                            <div class="col-md-10 mb-4">
                                <input type="text" id="productname" class="form-control" placeholder="Envato Project Name">

                            </div>
                        </div>

                    @endif
                    @if($customfields->isNotEmpty())
                        @foreach($customfields as $customfield)
                        <div class="form-group ">
                            <div class="row">
                                <div class="col-md-2">
                                    <label class="form-label mb-0 mt-2">{{$customfield->fieldnames}}
                                        @if($customfield->fieldrequired == '1')

                                        <span class="text-red">*</span>
                                        @endif
                                    </label>
                                </div>
                                <div class="col-md-10">

                                    @if($customfield->fieldtypes == 'text')

                                        <input type="{{$customfield->fieldtypes}}" maxlength="255" class="form-control" name="custom_{{$customfield->id}}" id="" data-required="{{$customfield->fieldrequired}}" >
                                        <span id="custom_{{$customfield->id}}Error" class="text-danger"></span>
                                    @endif
                                    @if($customfield->fieldtypes == 'email')

                                        <input type="{{$customfield->fieldtypes}}" class="form-control" name="custom_{{$customfield->id}}" id="" data-required="{{$customfield->fieldrequired}}" >
                                        <span id="custom_{{$customfield->id}}Error" class="text-danger"></span>
                                    @endif
                                    @if($customfield->fieldtypes == 'textarea')

                                        <textarea name="custom_{{$customfield->id}}" maxlength="255" class="form-control" id="" cols="30" rows="4" data-required="{{$customfield->fieldrequired}}" ></textarea>
                                        <span id="custom_{{$customfield->id}}Error" class="text-danger"></span>
                                    @endif
                                    @if($customfield->fieldtypes == 'checkbox')

                                        @php
                                            $coptions = explode(',', $customfield->fieldoptions)
                                        @endphp
                                        @foreach($coptions as $key => $coption)
                                        <label class="custom-control custom-checkbox d-inline-block me-3">
                                            <input type="{{$customfield->fieldtypes}}" class="custom-control-input "  name="custom_{{$customfield->id}}[]" value="{{$coption}}" id="" data-required="{{$customfield->fieldrequired}}" >

                                            <span class="custom-control-label">{{$coption}}</span>
                                        </label>

                                        @endforeach
                                        <span id="custom_{{$customfield->id}}[]Error" class="text-danger"></span>


                                    @endif
                                    @if($customfield->fieldtypes == 'select')
                                        <select name="custom_{{$customfield->id}}" id="" class="form-control select2-show-search" data-placeholder="{{lang('Select')}}" data-required="{{$customfield->fieldrequired}}" >
                                            @php
                                                $seoptions = explode(',', $customfield->fieldoptions)
                                            @endphp
                                            <option ></option>
                                            @foreach($seoptions as $seoption)

                                            <option value="{{$seoption}}">{{$seoption}}</option>
                                            @endforeach
                                        </select>
                                        <span id="custom_{{$customfield->id}}Error" class="text-danger"></span>
                                    @endif
                                    @if($customfield->fieldtypes == 'radio')
                                    @php
                                        $roptions = explode(',', $customfield->fieldoptions)
                                    @endphp
                                    @foreach($roptions as $roption)
                                    <label class="custom-control custom-radio d-inline-block me-3">
                                        <input type="{{$customfield->fieldtypes}}" class="custom-control-input" name="custom_{{$customfield->id}}" value="{{$roption}}" data-required="{{$customfield->fieldrequired}}" >
                                        <span class="custom-control-label">{{$roption}}</span>
                                    </label>


                                    @endforeach
                                    <span id="custom_{{$customfield->id}}Error" class="text-danger"></span>

                                    @endif

                                </div>
                            </div>
                        </div>
                        @endforeach
                    @endif

                    <div class="form-group">
                        <div class="row">
                            <div class="col-md-2">
                                <label class="form-label mb-0 mt-2">{{lang('Assign Agent')}}</label>
                            </div>
                            <div class="col-md-10">
                                <select multiple="multiple" class="form-control multiselect select2-show-search select2"  name="assignagent[]" id="assignagent">

                                    @foreach ($agents as $agent)
                                        <option value="{{ $agent->id }}" @if(old('assignagent') == $agent->id) selected @endif>{{ $agent->name }}</option>
                                    @endforeach

                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="row">
                            <div class="col-md-2">
                                <label class="form-label mb-0 mt-2">{{lang('Priority')}}</label>
                            </div>
                            <div class="col-md-10">
                                <select  class="form-control select2-show-search select2"  data-placeholder="{{lang('Select Priority')}}" name="priority" id="priority">
                                    <option label="{{lang('Select Priority')}}"></option>
                                    <option value="Low" {{ old('priority') == 'Low' ? 'selected' : '' }}> {{lang('Low')}} </option>
                                    <option value="Medium" {{ old('priority') == 'Medium' ? 'selected' : '' }}> {{lang('Medium')}} </option>
                                    <option value="High" {{ old('priority') == 'High' ? 'selected' : '' }}>{{lang('High')}}</option>
                                    <option value="Critical" {{ old('priority') == 'Critical' ? 'selected' : '' }}>{{lang('Critical')}}</option>
                                </select>
                            </div>
                        </div>
                    </div>


                    <div class="form-group ticket-summernote ">
                        <div class="row">
                            <div class="col-md-2">
                                <label class="form-label mb-0 mt-2">{{lang('Description')}}<span class="text-red">*</span></label>
                            </div>
                            <div class="col-md-10">
                                <textarea class="summernote form-control @error('message') is-invalid @enderror" rows="7" name="message">{{old('message')}}</textarea>
                                <span id="MessageError" class="text-danger alert-message"></span>
                                @error('message')

                                    <span class="invalid-feedback d-block" role="alert">
                                        <strong>{{ lang($message) }}</strong>
                                    </span>
                                @enderror

                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="row">
                            <div class="col-md-2">
                                <label class="form-label mb-0 mt-2">{{lang('Upload File')}}</label>
                            </div>
                            <div class="col-md-10">
                                <div class="form-group mb-0">
                                    <div class="needsclick dropzone" id="document-dropzone"></div>
                                </div>
                                <small class="text-muted"><i>{{lang('The file size should not be more than', 'filesetting')}} {{setting('USER_FILE_UPLOAD_MAX_SIZE')}}{{lang('MB', 'filesetting')}}</i></small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <div class="form-group float-end">
                        <button type="submit" id="createticketbtn"  class="btn btn-secondary btn-lg purchasecode">{{lang('Create Ticket', 'menu')}}</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <!--End Create Ticket List-->
@endsection

@section('scripts')

    <!-- INTERNAL Vertical-scroll js-->
    <script src="{{asset('build/assets/plugins/vertical-scroll/jquery.bootstrap.newsbox.js')}}?v=<?php echo time(); ?>"></script>

    <!-- INTERNAL Summernote js  -->
    <script src="{{asset('build/assets/plugins/summernote/summernote.js')}}?v=<?php echo time(); ?>"></script>

    <!-- INTERNAL Index js-->
    @vite(['resources/assets/js/support/support-sidemenu.js'])
    @vite(['resources/assets/js/support/support-createticket.js'])
    @vite(['resources/assets/js/select2.js'])

    <!-- INTERNAL Dropzone js-->
    <script src="{{asset('build/assets/plugins/dropzone/dropzone.js')}}?v=<?php echo time(); ?>"></script>

    <!-- INTERNAL Bootstrap-MaxLength js-->
    <script src="{{asset('build/assets/plugins/bootstrapmaxlength/bootstrap-maxlength.min.js')}}?v=<?php echo time(); ?>"></script>



    <script type="text/javascript">

        Dropzone.autoDiscover = false;
        $(function() {
            "use strict";

            var licensekey;

            // Image Upload
            var uploadedDocumentMap = {}
            var dropzoneElements = document.querySelectorAll("#document-dropzone");
            dropzoneElements.forEach((element)=>{
                new Dropzone(element,{
                    url: '{{route('imageuploadadmin')}}',
                    maxFiles: parseInt('{{setting('USER_MAX_FILE_UPLOAD')}}')-parseInt(document.querySelectorAll("#admin_form [name='comments[]']").length),
                    maxFilesize: '{{setting('USER_FILE_UPLOAD_MAX_SIZE')}}', // MB
                    addRemoveLinks: true,
                    acceptedFiles: '{{setting('USER_FILE_UPLOAD_TYPES')}}',
                        headers: {
                            'X-CSRF-TOKEN': "{{ csrf_token() }}"
                        },
                    success: function (file, response) {
                        if(element.closest('form').querySelectorAll("[name='ticket[]'").length){
                            element.closest('form').querySelectorAll("[name='ticket[]'").forEach((eleimg)=>{
                                if(eleimg.getAttribute('orinalName') == response.original_name){
                                    toastr.error("You are already selected this.");
                                    this.removeFile(file);
                                    return;
                                }
                            })
                        }
                        $('form').append('<input type="hidden" name="ticket[]" orinalName="' + response.original_name + '" value="' + response.name + '">')
                        uploadedDocumentMap[file.name] = response.name
                    },
                    removedfile: function (file) {
                        file.previewElement.remove()
                        var name = ''
                        if (typeof file.file_name !== 'undefined') {
                        name = file.file_name
                        }
                        else {
                        name = uploadedDocumentMap[file.name]
                        }
                        $('form').find('input[name="ticket[]"][value="' + name + '"]').remove()
                    },
                    init: function () {
                        @if(isset($project) && $project->document)
                        var files =
                            {!! json_encode($project->document) !!}
                        for (var i in files) {
                            var file = files[i]
                            this.options.addedfile.call(this, file)
                            file.previewElement.classList.add('dz-complete')
                            $('form').append('<input type="hidden" name="ticket[]" value="' + file.file_name + '">')
                        }
                        @endif

                        this.on('error', function(file, errorMessage) {
                            if (errorMessage.message) {

                                var errorDisplay = document.querySelectorAll('[data-dz-errormessage]');
                                errorDisplay[errorDisplay.length - 1].innerHTML = errorMessage.message;
                            }
                        });
                    }
                })
            })

            // Csrf field
            $.ajaxSetup({
                headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            // when category change its get the subcat list
            $('#category').on('change',function(e) {
                var cat_id = e.target.value;
                $('#selectssSubCategory').hide();
                $.ajax({
                    url:"{{ route('guest.subcategorylist') }}",
                    type:"POST",
                        data: {
                        cat_id: cat_id
                        },
                        cache : false,
                        async: true,
                    success:function (data) {
                        if(data.subcategoriess != ''){
                            $('#subscategory').html(data.subcategoriess)
                            $('#selectssSubCategory').show()
                        }
                        else{
                            $('#selectssSubCategory').hide();
                            $('#subscategory').html('')
                        }
                        //projectlist
                        if(data.subCatStatus.length === 0){
                            $('#selectssSubCategory').hide();
                        }
                        if(data.subcategories.length >= 1){

                            $('#subcategory')?.empty();
                            $('#selectSubCategory')?.empty();
                            document.querySelector("#selectssSubCategory").classList.remove("d-none");
                            let selectDiv = document.querySelector('#selectSubCategory');
                            let Divrow = document.createElement('div');
                            Divrow.setAttribute('class','row mt-4');
                            let Divcol3 = document.createElement('div');
                            Divcol3.setAttribute('class','col-md-2');
                            let selectlabel =  document.createElement('label');
                            selectlabel.setAttribute('class','form-label mb-0 mt-2')
                            selectlabel.innerText = "Projects";
                            let divcol9 = document.createElement('div');
                            divcol9.setAttribute('class', 'col-md-10');
                            let selecthSelectTag =  document.createElement('select');
                            selecthSelectTag.setAttribute('class','form-control select2-show-search');
                            selecthSelectTag.setAttribute('id', 'subcategory');
                            selecthSelectTag.setAttribute('name', 'project');
                            selecthSelectTag.setAttribute('data-placeholder','Select Projects');
                            let selectoption = document.createElement('option');
                            selectoption.setAttribute('label','Select Projects')
                            selectDiv.append(Divrow);
                            Divrow.append(Divcol3);
                            Divcol3.append(selectlabel);
                            divcol9.append(selecthSelectTag);
                            selecthSelectTag.append(selectoption);
                            Divrow.append(divcol9);
                            $('.select2-show-search').select2();
                            $.each(data.subcategories,function(index,subcategory){
                            $('#subcategory').append('<option value="'+subcategory.name+'">'+subcategory.name+'</option>');
                            })
                        }
                        else{
                            $('#selectSubCategory')?.empty();
                            if(data.subcatstatusexisting != 'statusexisting'){
                                document.querySelector("#selectssSubCategory").classList.add("d-none");
                            }else{
                                document.querySelector("#selectssSubCategory").classList.remove("d-none");
                            }

                        }
                        @if(setting('ENVATO_ON') == 'on')
                        //Envato Access
                        if(data.envatosuccess.length >= 1){
                            $('#envato_id').val('');
                            $('#envato_id')?.empty();
                            $('#envatopurchase .row')?.remove();
                            let selectDiv = document.querySelector('#envatopurchase');
                            let Divrow = document.createElement('div');
                            Divrow.setAttribute('class','row mt-4');
                            let Divcol3 = document.createElement('div');
                            Divcol3.setAttribute('class','col-md-2');
                            let selectlabel =  document.createElement('label');
                            selectlabel.setAttribute('class','form-label mb-0 mt-2')
                            selectlabel.innerHTML = "Envato Purchase Code <span class='text-red'>*</span>";
                            let divcol9 = document.createElement('div');
                            divcol9.setAttribute('class', 'col-md-10');
                            let selecthSelectTag =  document.createElement('input');
                            selecthSelectTag.setAttribute('class','form-control');
                            selecthSelectTag.setAttribute('type','search');
                            selecthSelectTag.setAttribute('id', 'envato_id');
                            selecthSelectTag.setAttribute('name', 'envato_id');
                            selecthSelectTag.setAttribute('placeholder', 'Enter Your Purchase Code');
                            let selecthSelectInput =  document.createElement('input');
                            selecthSelectInput.setAttribute('type','hidden');
                            selecthSelectInput.setAttribute('id', 'envato_support');
                            selecthSelectInput.setAttribute('name', 'envato_support');
                            selectDiv.append(Divrow);
                            Divrow.append(Divcol3);
                            Divcol3.append(selectlabel);
                            divcol9.append(selecthSelectTag);
                            divcol9.append(selecthSelectInput);
                            Divrow.append(divcol9);
                            $('.purchasecode').attr('disabled', true);

                        }else{
                            $('#hideelement').addClass('d-none');
                            $('#envato_id').val('');
                            $('#envato_id')?.empty();
                            $('#envatopurchase .row')?.remove();
                            $('.purchasecode').removeAttr('disabled');
                        }
                        @endif
                    },
                    error:(data)=>{

                    }
                });
            });

                // Purchase Code Validation
                $("body").on('keyup', '#envato_id', function() {
                    let value = $(this).val();
                    if (value != '') {
                        if(value.length == '36'){
                            var _token = $('input[name="_token"]').val();
                        $.ajax({
                            url: "{{ route('guest.envatoverify') }}",
                            method: "POST",
                            data: {data: value, _token: _token},

                            dataType:"json",

                            success: function (data) {
                                if(data.valid == 'true'){
                                    $('.sprukoapiblock').removeAttr('disabled');
                                    $('#envato_id').addClass('is-valid');
                                    $('#envato_id').attr('readonly', true);
                                    $('.purchasecode').removeAttr('disabled');
                                    $('#productname').val(data.name);
                                    $('#productname').attr('readonly', true);
                                    $('#itemname').val(data.name);
                                    $('#hideelement').removeClass('d-none');
                                    $('#envato_id').css('border', '1px solid #02f577');
                                    $('#envato_support').val('Supported');
                                    licensekey = data.key
                                    toastr.success(data.message);
                                }
                                if(data.valid == 'expried'){
                                    @if(setting('ENVATO_EXPIRED_BLOCK') == 'on')

                                    $('.purchasecode').attr('disabled', true);
                                    $('#envato_id').css('border', '1px solid #e13a3a');
                                    $('#productname').val(data.name);
                                    $('#productname').attr('readonly', true);
                                    $('#itemname').val(data.name);
                                    $('#hideelement').removeClass('d-none');
                                    $('#envato_support').val('Expired');
                                    toastr.error(data.message);
                                    @endif
                                    @if(setting('ENVATO_EXPIRED_BLOCK') == 'off')
                                    $('.sprukoapiblock').removeAttr('disabled');
                                    $('#envato_id').addClass('is-valid');
                                    $('#envato_id').attr('readonly', true);
                                    $('.purchasecode').removeAttr('disabled');
                                    $('#productname').val(data.name);
                                    $('#productname').attr('readonly', true);
                                    $('#itemname').val(data.name);
                                    $('#hideelement').removeClass('d-none');
                                    $('#envato_id').css('border', '1px solid #02f577');
                                    $('#envato_support').val('Expired');
                                    licensekey = data.key
                                    toastr.warning(data.message);
                                    @endif

                                }
                                if(data.valid == 'false'){
                                    $('.purchasecode').attr('disabled', true);
                                    $('#envato_id').css('border', '1px solid #e13a3a');
                                    toastr.error(data.message);
                                }


                            },
                            error: function (data) {

                            }
                        });
                        }
                    }else{
                        toastr.error('{{lang('Purchase Code field is Required', 'alerts')}}');
                        $('.purchasecode').attr('disabled', true);
                        $('#envato_id').css('border', '1px solid #e13a3a');
                    }
                });

            // summernote
            $('.note-editable').on('keyup', function(e){
                localStorage.setItem('adminmessage', e.target.innerHTML)
            })

            $('#subject').on('keyup', function(e){
                if(e.target.value.length == {{setting('TICKET_CHARACTER')}}){
                    $('#subjectmaxtext').removeClass('text-muted')
                    $('#subjectmaxtext').addClass('text-red');
                }else{
                    $('#subjectmaxtext').removeClass('text-red')
                    $('#subjectmaxtext').addClass('text-muted');
                }
                localStorage.setItem('adminsubject', e.target.value)
            })
            $('#email').on('keyup', function(e){
                localStorage.setItem('adminemail', e.target.value)
            })

            $(window).on('load', function(){
                if(localStorage.getItem('adminsubject') || localStorage.getItem('adminmessage') || localStorage.getItem('adminemail')){


                    if(localStorage.getItem('adminsubject')){
                        document.querySelector('#subject').value = localStorage.getItem('adminsubject').slice(0,{{setting('TICKET_CHARACTER')}});
                    }
                    if(localStorage.getItem('adminemail')){
                        document.querySelector('#email').value = localStorage.getItem('adminemail');
                    }
                    if(localStorage.getItem('adminmessage')){
                        document.querySelector('.summernote').innerHTML = localStorage.getItem('adminmessage');
                        document.querySelector('.note-editable').innerHTML = localStorage.getItem('adminmessage');
                    }

                }
            })



            // $('body').on('submit', '#admin_form', function (e) {
            //     e.preventDefault();
            //     // const noteEditable = document.querySelector('.note-editable');
            //     // if (!noteEditable || !noteEditable.innerText.trim()) {
            //     //     $('#MessageError').html('Message Field is Required');
            //     //     return false;
            //     // }

            //     $('#SubjectError').html('');
            //     $('#MessageError').html('');
            //     $('#EmailError').html('');
            //     $('#CategoryError').html('');
            //     $('#verifyotpError').html('');

            //     const noteEditable = document.querySelector('.note-editable');
            //     let hasError = false;

            //     if (!noteEditable || !noteEditable.innerText.trim()) {
            //         $('#MessageError').html('Message Field is Required');
            //         hasError = true;
            //     }
            //     var actionType = $('#createticketbtn').val();
            //     var fewSeconds = 2;
            //     $('#createticketbtn').html(`Loading.. <i class="fa fa-spinner fa-spin"></i>`);
            //     $('#createticketbtn').prop('disabled', true);
            //     var formData = new FormData(this);
            //     formData.set('envato_id', licensekey);

            //     let checked  = document.querySelectorAll('.required:checked').length;
            //     var isValid = checked > 0;
            //     if(document.querySelectorAll('.required').length == '0'){
            //         ajax(formData);
            //     }else{

            //         if(isValid){
            //             ajax(formData);
            //         }else{
            //             toastr.error('{{lang('Check the all field(*) required', 'alerts')}}')
            //         }
            //     }
            // });

            $('body').on('submit', '#admin_form', function (e) {
                e.preventDefault();
                $('#SubjectError').html('');
                $('#MessageError').html('');
                $('#EmailError').html('');
                $('#CategoryError').html('');
                $('#verifyotpError').html('');
                if (document.querySelector('[id^="custom_"]')) {
                    document.querySelectorAll('[id^="custom_"]').forEach((ele) => {
                        ele.innerHTML = ''
                    })
                }
                const noteEditable = document.querySelector('.note-editable');
                let hasError = false;

                if(!$('#subject').val()){
                    $('#SubjectError').html('Subject field is required');
                    hasError = true;
                }

                if(!$('#email').val()){
                    $('#EmailError').html('Email field is required');
                    hasError = true;
                }else {
                    const email = $('#email').val();
                    const emailRegex = /^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$/;
                    if (!emailRegex.test(email)) {
                        $('#EmailError').html('Please enter a valid email address');
                        hasError = true;
                    }
                }

                if(!$('#category').val()){
                    $('#CategoryError').html('Category field is required');
                    hasError = true;
                }

                if (!noteEditable || !noteEditable.innerText.trim()) {
                    $('#MessageError').html('Message Field is Required');
                    hasError = true;
                }
                $('input[name^="custom_"], textarea[name^="custom_"], select[name^="custom_"], input[type="checkbox"][name^="custom_"], input[type="radio"][name^="custom_"]').each(function() {
                    var fieldName = $(this).attr('name');
                  	var sanitizedFieldName = fieldName.replace(/\[\]/g, '');
                    var fieldRequired = $(this).data('required');
                    if (fieldRequired == 1) {
                        if ($(this).is('input[type="text"], textarea, select,input[type="email"]') && !$(this).val().trim()) {
                            $('#' + fieldName + 'Error').html('This field is required');
                            hasError = true;
                        }
                        if ($(this).is('input[type="checkbox"]')) {
                            var checkboxes = $('input[type="checkbox"][name^="' + fieldName + '"]');
                            if (!checkboxes.is(':checked')) {
                                $('#' + sanitizedFieldName + 'Error').html('At least one option must be selected');
                                hasError = true;
                            } else {
                                $('#' + sanitizedFieldName + 'Error').html('');
                            }
                        }
                        if ($(this).is('input[type="radio"]') && !$('input[name="' + fieldName + '"]:checked').length) {
                            $('#' + fieldName + 'Error').html('This field is required');
                            hasError = true;
                        }
                        if ($(this).is('input[type="email"]') && $(this).val().trim() && !/^[\w\.-]+@[\w\.-]+\.[a-zA-Z]{2,}$/.test($(this).val().trim())) {
                            $('#' + fieldName + 'Error').html('Please enter a valid email address');
                            hasError = true;
                        }
                    }
                });
                let checked = document.querySelectorAll('.required:checked').length;
                var isValid = checked > 0;
                if (document.querySelectorAll('.required').length > 0 && !isValid) {
                    toastr.error('{{lang('Check the all field(*) required', 'alerts')}}');
                    hasError = true;
                }
                if (hasError) {
                    return false;
                }

                var actionType = $('#createticketbtn').val();
                var fewSeconds = 2;
                $('#createticketbtn').html(`Loading.. <i class="fa fa-spinner fa-spin"></i>`);
                $('#createticketbtn').prop('disabled', true);

                var formData = new FormData(this);
                formData.set('envato_id', licensekey);
                ajax(formData);
            });

            function ajax(formData){
                $.ajax({
                    type:'post',
                    url: '{{url('/admin/createticket')}}',
                    data: formData,
                    cache:false,
                    contentType: false,
                    processData: false,

                    success: (data) => {


                        if(data.message == 'subcaterror')
                        {
                            toastr.error(data.error);
                            window.location.reload();
                        }
                        if(data.message == 'envatoerror')
                        {
                            toastr.error(data.error);
                            window.location.reload();
                        }
                        if(data.message == 'domainblock')
                        {
                            $('#EmailError').html(data.error);
                        }
                        if(data.message == 'createticket')
                        {
                            $('#SubjectError').html('');
                            $('#MessageError').html('');
                            $('#EmailError').html('');
                            $('#CategoryError').html('');
                            $('#verifyotpError').html('');
                            toastr.success(data.success);
                            if(localStorage.getItem('adminsubject') || localStorage.getItem('adminmessage') || localStorage.getItem('adminemail')){
                                localStorage.removeItem("adminsubject");
                                localStorage.removeItem("adminmessage");
                                localStorage.removeItem("adminemail");
                            }
                            window.location.replace('{{url('admin/')}}');
                        }
                        $('#createticketbtn').prop('disabled', false);
                        $('#createticketbtn').html(`{{lang('Create Ticket', 'menu')}}`);
                    },
                    error: function(data){
                        toastr.error(data?.responseJSON?.message);

                        $('#SubjectError').html(data.responseJSON.errors.subject);
                        $('#MessageError').html(data.responseJSON.errors.message);
                        $('#EmailError').html(data.responseJSON.errors.email);
                        $('#CategoryError').html(data.responseJSON.errors.category);
                        $('#verifyotpError').html(data.responseJSON.errors.verifyotp);
                        $('#createticketbtn').prop('disabled', false);
                        $('#createticketbtn').html(`{{lang('Create Ticket', 'menu')}}`);

                    }
                });
            }
        })
    </script>

@endsection
