@extends('layouts.usermaster')

@section('styles')
    <style>
        .bg-light-2 {
            background: rgb(250, 250, 255);
        }

    </style>
@endsection

@section('content')

    <section>
        <div class="bannerimg cover-image" data-bs-image-src="{{asset('build/assets/images/photos/banner1.jpg')}}">
            <div class="header-text mb-0">
                <div class="container ">
                    <div class="row text-white">
                        <div class="col">
                            <h1 class="mb-0">{{lang('Refunds', 'menu')}}</h1>
                        </div>
                        <div class="col col-auto">
                            <ol class="breadcrumb text-center">
                                <li class="breadcrumb-item">
                                    <a href="{{url('/')}}" class="text-white-50">{{lang('Home', 'menu')}}</a>
                                </li>
                                <li class="breadcrumb-item active">
                                    <a href="#" class="text-white">{{lang('Refunds', 'menu')}}</a>
                                </li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Section -->

    <!-- Start:: row-1 -->

    <section class="section py-4">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xl-12">
                    <div class="">
                        <div class="row">

                            <div class="col-xl-8">
                                <div class="card custom-card">
                                    <div class="card-body border-bottom bg-light-2">
                                        <div class="d-sm-flex align-items-center">
                                            <div class="avatar avatar-md bg-light p-1 brround " style="line-height: 0;">
                                                {{-- <span class="avatar avatar-sm avatar-rounded"> --}}
                                                    @if($refundItem->customer->image)
                                                        <img src="{{asset('uploads/profile/'.$refundItem->customer->image)}}" class="brround " alt="img">
                                                    @else
                                                        <img src="{{asset('uploads/profile/user-profile.png')}}"  class="brround "  alt="img">
                                                    @endif
                                                {{-- </span> --}}
                                            </div>
                                            <div class=" ms-2">
                                                <h6 class="mb-1">{{$refundItem->customer->username}}</h6>
                                                <span class="badge bg-info-transparent">{{lang('customer')}}</span>
                                                <span class="badge bg-danger-transparent">Refund Comment</span>
                                            </div>
                                            <div class="ms-auto">
                                                <span class="badge text-muted">  {{ \Carbon\Carbon::parse($refundItem->refundCreatedDate)->diffForHumans() }}</span>
                                            </div>
                                        </div>
                                        <div class="mt-2">
                                            {{$refundItem->refundReason}}
                                        </div>
                                    </div>
                                    <div id="commentSection">
                                        @foreach ($refundItem->refundComments as $comment)
                                           @if($comment->cust_id)
                                                <div class="card-body border-bottom">
                                                    <div class="d-sm-flex align-items-center">
                                                        <div class="avatar avatar-md bg-light p-1 brround" style="line-height: 0;">
                                                            {{-- <span class="avatar avatar-sm avatar-rounded" > --}}
                                                                @if($comment->cust->image)
                                                                    <img src="{{asset('uploads/profile/'.$comment->cust->image)}}" class="brround" alt="img">
                                                                @else
                                                                    <img src="{{asset('uploads/profile/user-profile.png')}}" class="brround" alt="img">
                                                                @endif
                                                            {{-- </span> --}}
                                                        </div>
                                                        <div class="ms-2">
                                                            <h6 class="mb-1">{{$comment->cust->username}}</h6>
                                                            <span class="badge bg-info-transparent">{{lang('customer')}}</span>
                                                        </div>
                                                        <div class="ms-auto">
                                                            <span class="badge text-muted"> {{$comment->created_at->diffForHumans()}}</span>
                                                        </div>
                                                    </div>
                                                    <div class="ms-5">
                                                      {{$comment->comment}}
                                                    </div>
                                                </div>
                                            @else

                                                <div class="card-body border-bottom">
                                                    <div class="d-sm-flex align-items-center">
                                                        <div class="avatar avatar-md bg-light p-1 brround" style="line-height: 0;">
                                                            @if($comment->user->image)
                                                                <img src="{{asset('uploads/profile/'.$comment->user->image)}}" class="brround" alt="img">
                                                            @else
                                                                <img src="{{asset('uploads/profile/user-profile.png')}}" class="brround" alt="img">
                                                            @endif

                                                        </div>
                                                        <div class="ms-2">
                                                            @if(setting('customer_panel_employee_protect') == 'on')
                                                                <h6 class="fw-semibold me-1 mb-0">{{ setting('employeeprotectname') }}</h6>
                                                            @else
                                                                @if($comment->user != null)

                                                                    <h6 class="fw-semibold me-1 mb-0">{{ $comment->user->name }}
                                                                        @if(!empty($comment->user->getRoleNames()[0]))
                                                                            <span class="badge bg-primary-transparent">{{ $comment->user->getRoleNames()[0] }}</span>
                                                                        @endif
                                                                    </h6>
                                                                @else
                                                                    <h6 class="fw-semibold me-1 mb-0 text-muted">~</h6>
                                                                @endif
                                                            @endif
                                                        </div>
                                                        <div class="ms-auto">
                                                            <span class="badge text-muted"> {{$comment->created_at->diffForHumans()}}</span>
                                                        </div>
                                                    </div>
                                                    <div class="ms-5">
                                                    {{$comment->comment}}
                                                    </div>
                                                </div>
                                            @endif
                                        @endforeach
                                    </div>
                                </div>

                                @unless ($refundItem->status == 'refundRejected' || $refundItem->status == 'refunded')
                                    <div class="card custom-card mt-3">
                                        <div class="card-header border-0 d-md-flex d-block">
                                            <div class="card-title">
                                                <h6 class="mb-0">{{lang('Add a comment')}}</h6>
                                            </div>
                                        </div>
                                        <div class="px-4 py-3">
                                            <div class="d-sm-flex align-items-top">
                                                <div class="avatar avatar-md bg-white p-1">
                                                    {{-- <span class="avatar avatar-sm avatar-rounded"> --}}
                                                        @if(Auth::guard('customer')->user()->image)
                                                            <img src="{{asset('uploads/profile/'.Auth::guard('customer')->user()->image)}}" class="brround" alt="img">
                                                        @else
                                                            <img src="{{asset('uploads/profile/user-profile.png')}}" class="brround" alt="img">
                                                        @endif
                                                    {{-- </span> --}}
                                                </div>
                                                <textarea class="form-control ms-3" id="refundComment"></textarea>
                                            </div>
                                            <div class="d-flex mt-2">
                                                <div class="ms-auto">
                                                        <button class="btn btn-primary" id="replyToAdmin" onclick="this.disabled=true;" type="button"> {{lang('Reply')}}</button>
                                                        {{-- <button class="btn btn-success" type="button">Approve</button>
                                                        <button class="btn btn-danger" type="button">Reject</button> --}}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @endunless





                            </div>
                            <div class="col-xl-4">
                                <div class="card custom-card">
                                    <div class="">
                                        <div class="card-header justify-content-between">
                                            <div class="card-title">
                                                {{lang(' Purchased Details')}}
                                            </div>
                                        </div>
                                        <div class="card-body p-0">
                                            <div class="table-responsive">
                                                <table class="table table-hover text-nowrap">
                                                    <tbody>

                                                        <tr>
                                                            <td class="w-25">
                                                                <span class="d-block fw-semibold">{{lang('Product Name')}}</span>
                                                            </td>
                                                            <td class="w-10">:</td>
                                                            <td class="text-start  text-muted">
                                                                <div class="d-flex align-items-center">
                                                                    <div class="flex-fill">
                                                                        <p class="fw-semibold mb-0">
                                                                            <a href="javascript:void(0);">
                                                                                @if ($refundItem->ticket_type == 'customInvoice')
                                                                                    {{ lang('Custom Invoice') }}
                                                                                @endif
                                                                            </a>
                                                                        </p>
                                                                    </div>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td class="w-25">
                                                                <span class="d-block fw-semibold">{{lang('Customer Name')}}</span>
                                                            </td>
                                                            <td class="w-10">:</td>
                                                            <td class="text-start text-muted">
                                                                {{$refundItem->customer->username}}
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td class="w-25">
                                                                <span class="d-block fw-semibold">{{lang('Request Date')}}</span>
                                                            </td>
                                                        <td class="w-10">:</td>
                                                            <td class="text-start text-muted">
                                                                {{Carbon\Carbon::parse($refundItem->refundCreatedDate)->format('d,M Y')}}
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td class="w-25">
                                                                <span class="d-block fw-semibold">{{lang('Gross Amount')}}</span>
                                                            </td>
                                                        <td class="w-10">:</td>
                                                            <td class="text-start text-muted">
                                                                {{ $refundItem->customerAmount }}
                                                            </td>
                                                        </tr>
                                                        @if ($refundItem->status == 'refunded')
                                                            @php
                                                                $currency = $refundItem->currency;
                                                                $symbol = config('currencies.'.$currency);
                                                            @endphp
                                                            <tr>
                                                                <td class="w-25">
                                                                    <span class="d-block fw-semibold">{{ $refundItem->gatewayName }}</span>
                                                                </td>
                                                            <td class="w-10">:</td>
                                                                <td class="text-start text-muted">
                                                                    {{ $symbol .' '. $refundItem->gatewayFee }}
                                                                </td>
                                                            </tr>

                                                            @if ($refundItem->countryTaxName != null && $refundItem->countryTaxAmount != null)
                                                                <tr>
                                                                    <td class="w-25">
                                                                        <span class="d-block fw-semibold">{{ $refundItem->countryTaxName }}</span>
                                                                    </td>
                                                                <td class="w-10">:</td>
                                                                    <td class="text-start text-muted">
                                                                        {{ $symbol. ' ' .$refundItem->countryTaxAmount }}
                                                                    </td>
                                                                </tr>
                                                            @endif
                                                            <tr>
                                                                <td class="w-25">
                                                                    <span class="d-block fw-semibold">{{lang('Net Amount Refunded')}}</span>
                                                                </td>
                                                            <td class="w-10">:</td>
                                                                <td class="text-start text-muted">
                                                                    {{ $symbol. ' ' .$refundItem->netAmountRefunded }}
                                                                </td>
                                                            </tr>
                                                        @endif

                                                        <tr>
                                                            <td class="w-25">
                                                                <span class="d-block fw-semibold">{{lang('Status')}}</span>
                                                            </td>

                                                            <td class="w-10">:</td>
                                                            <td class="text-start ">
                                                                @if ($refundItem->status == 'refunded')
                                                                    <span class="badge bg-success">{{ lang('Refunded') }}</span>
                                                                @elseif ($refundItem->status == 'refundpending')
                                                                    <span class="badge bg-warning">{{ lang('Waiting For Approval') }}</span>
                                                                @elseif ($refundItem->status == 'refundRejected')
                                                                    <span class="badge bg-danger">{{ lang('Refund Rejected') }}</span>
                                                                @else
                                                                    <span class="badge bg-danger">{{ lang('Pending') }}</span>
                                                                @endif
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- End:: row-1 -->

@endsection

@section('scripts')

    <script type="text/javascript">
        "use strict";

        document.addEventListener('DOMContentLoaded', function(event) {
            // REPLY TO COMMENT
            let commentReply = () => {

                let commentReply = document.getElementById('refundComment');
                let refundId = "{{encrypt($refundItem->id)}}";


                let data = {
                    'id': refundId,
                    'commentReply': commentReply.value,

                };

                if (!commentReply.value) {
                    toastr.error('{{ lang('Comment field cannot be empty.', 'alerts' ) }}');
                    $('#replyToAdmin').html('Reply');
                    $('#replyToAdmin').prop('disabled', false);
                    return;
                }


                fetch('{{ route('client.refund.comment') }}', {
                    method: 'POST',
                    headers: {
                        "Content-Type": "application/json",
                        'X-CSRF-TOKEN': '{{ csrf_token() }}'
                    },
                    body: JSON.stringify({data: data}),
                })
                .then(response => response.json())
                .then(data => {
                    // new AWN().success('{{ lang('Comment added successfully') }}');
                    toastr.success('{{ lang('comment added successfully')}}')
                    location.reload();
                });
            }

            document.getElementById('replyToAdmin')?.addEventListener('click',commentReply);
        });

        let notifyClose = document.querySelectorAll('.notifyclose');
        notifyClose.forEach(ele => {
            if(ele){
                let id = ele.getAttribute('data-id');
                if(getCookie(id)){
                    ele.closest('.alert').classList.add('d-none');
                }else{
                    ele.addEventListener('click', setCookie);
                }
            }
        })

        function setCookie($event) {
            const d = new Date();
            let id = $event.currentTarget.getAttribute('data-id');
            d.setTime(d.getTime() + (30 * 60 * 1000));
            let expires = "expires=" + d.toUTCString();
            document.cookie = id + "=" + 'announcement_close' + ";" + expires + ";path=/";
            $event.currentTarget.closest('.alert').classList.add('d-none');
        }

        function getCookie(cname) {
            let name = cname + "=";
            let decodedCookie = decodeURIComponent(document.cookie);
            let ca = decodedCookie.split(';');
            for(let i = 0; i < ca.length; i++) {
                let c = ca[i];
                while (c.charAt(0) == ' ') {
                    c = c.substring(1);
                }
                if (c.indexOf(name) == 0) {
                return c.substring(name.length, c.length);
                }
            }
            return '';
        }

    </script>

@endsection
