<script>
    // let dateFormat = @json(setting('date_format'));

    function truncateTitle(title) {
        const maxLength = 40;
        return title.length > maxLength ? title.substring(0, maxLength) + '...' : title;
    }

    function dateTime(createdTime) {

        const jsDate = new Date(createdTime);

        let format = @json(setting('date_format'));
        switch (format) {
            case 'd M, Y':
                return jsDate.toLocaleDateString('en-GB', {
                    day: '2-digit',
                    month: 'short',
                    year: 'numeric'
                }).replace(/ /g, ' ');
            case 'm.d.y':
                return jsDate.toLocaleDateString('en-US', {
                    day: '2-digit',
                    month: '2-digit',
                    year: '2-digit'
                }).replace(/\//g, '.');
            case 'Y-m-d':
                return jsDate.toISOString().split('T')[0];
            case 'd-m-Y':
                return jsDate.toLocaleDateString('en-GB').replace(/\//g, '-');
            case 'd/m/Y':
                return jsDate.toLocaleDateString('en-GB');
            case 'Y/m/d':
                return jsDate.toISOString().split('T')[0].replace(/-/g, '/');
            default:
                return jsDate.toLocaleDateString(); // Default format
        }

    }



    // function dateTimeDiff(createdTime) {
    //     const jsDate = new Date(createdTime);

    //     let format = @json(setting('default_timezone'));

    //     // Format the date
    //     const optionsDate = {
    //         day: '2-digit',
    //         month: 'short',
    //         year: 'numeric'
    //     };
    //     const formattedDate = jsDate.toLocaleDateString('en-GB', optionsDate).replace(/ /g, '-');

    //     // Format the time
    //     const optionsTime = {
    //         hour: '2-digit',
    //         minute: '2-digit',
    //         hour12: true
    //     };
    //     const formattedTime = jsDate.toLocaleTimeString('en-GB', optionsTime);

    //     // Calculate time ago
    //     const now = new Date();
    //     const diffMs = now - jsDate; // Difference in milliseconds
    //     const diffMinutes = Math.floor(diffMs / (1000 * 60)); // Difference in minutes
    //     const diffHours = Math.floor(diffMs / (1000 * 60 * 60)); // Difference in hours
    //     const diffDays = Math.floor(diffMs / (1000 * 60 * 60 * 24)); // Difference in days

    //     let timeAgo = '';
    //     if (diffMinutes === 0) {
    //         timeAgo = 'just now';
    //     }
    //     else if (diffMinutes < 60) {
    //         timeAgo = `${diffMinutes} minute${diffMinutes !== 1 ? 's' : ''} ago`;
    //     } else if (diffHours < 24) {
    //         timeAgo = `${diffHours} hour${diffHours !== 1 ? 's' : ''} ago`;
    //     } else {
    //         timeAgo = `${diffDays} day${diffDays !== 1 ? 's' : ''} ago`;
    //     }

    //     // Return formatted string
    //     return `${timeAgo}`;
    // }


    // function dateTimeDiff(createdTime) {
    //     const timezone = @json(setting('default_timezone'));

    //     // Parse the createdTime as UTC
    //     const jsDate = new Date(createdTime + " UTC");

    //     const now = new Date();
    //     const currentTimeInKolkata = new Date(
    //         now.toLocaleString('en-US', { timeZone: timezone })
    //     );

    //     // Calculate the difference in milliseconds
    //     const diffMs = currentTimeInKolkata - jsDate;
    //     const diffMinutes = Math.floor(diffMs / (1000 * 60));
    //     const diffHours = Math.floor(diffMs / (1000 * 60 * 60)); 
    //     const diffDays = Math.floor(diffMs / (1000 * 60 * 60 * 24));
       
    //     // Determine human-readable output
    //     let timeAgo = '';
    //     if (diffMinutes < 1) {
    //         timeAgo = 'just now';
    //     } else if (diffMinutes < 60) {
    //         timeAgo = `${diffMinutes} minute${diffMinutes !== 1 ? 's' : ''} ago`;
    //     } else if (diffHours < 24) {
    //         timeAgo = `${diffHours} hour${diffHours !== 1 ? 's' : ''} ago`;
    //     } else {
    //         timeAgo = `${diffDays} day${diffDays !== 1 ? 's' : ''} ago`;
    //     }

    //     return timeAgo;
    // }

    function dateTimeDiff(createdTime) {
        const timezone = @json(setting('default_timezone'));
        const formattedTime = formatDateString(createdTime);
        const jsDate = new Date(formattedTime);
        const now = new Date();
        const localizedNow = convertToTimezone(now, timezone);

        // Convert the created time to the specified timezone
        const localizedCreatedTime = convertToTimezone(jsDate, timezone);

        // Calculate the difference in milliseconds
        const diffMs = localizedNow - localizedCreatedTime;
        const diffMinutes = Math.floor(diffMs / (1000 * 60));
        const diffHours = Math.floor(diffMs / (1000 * 60 * 60));
        const diffDays = Math.floor(diffMs / (1000 * 60 * 60 * 24));

        // Determine human-readable output
        let timeAgo = '';
        if (diffMinutes < 1) {
            timeAgo = 'just now';
        } else if (diffMinutes < 60) {
            timeAgo = `${diffMinutes} minute${diffMinutes !== 1 ? 's' : ''} ago`;
        } else if (diffHours < 24) {
            timeAgo = `${diffHours} hour${diffHours !== 1 ? 's' : ''} ago`;
        } else {
            timeAgo = `${diffDays} day${diffDays !== 1 ? 's' : ''} ago`;
        }

        return timeAgo;
    }

    // Helper function to convert a date to the specified timezone
    function convertToTimezone(date, timezone) {
        const tzString = date.toLocaleString('en-US', { timeZone: timezone });
        return new Date(tzString);
    }

    function formatDateString(dateString) {
        if (dateString.endsWith("Z")) {
            return dateString;
        }

        return dateString.replace(" ", "T") + "Z";
    }



    
    function timeAgo(createdTime) {
        const jsDate = new Date(createdTime);
        const now = new Date();

        // Calculate the difference in milliseconds
        const diffMs = now - jsDate;
        const diffSeconds = Math.floor(diffMs / 1000); // Difference in seconds
        const diffMinutes = Math.floor(diffSeconds / 60); // Difference in minutes
        const diffHours = Math.floor(diffMinutes / 60); // Difference in hours

        // Return appropriate format based on the difference
        if (diffSeconds < 60) {
            return `${diffSeconds} second${diffSeconds !== 1 ? 's' : ''} ago`;
            
        } else if (diffMinutes < 60) {
            return `${diffMinutes} minute${diffMinutes !== 1 ? 's' : ''} ago`;
        } else if (diffHours < 24) {
            return `${diffHours} hour${diffHours !== 1 ? 's' : ''} ago`;
        } else {
            return jsDate.toLocaleString(); // Return a default string if more than 24 hours ago
        }
    }

</script>
