<div class="modal fade" id="refundModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="refundModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" id="refundModalLabel">Request Refund</h6>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="refundForm" method="post">
                @csrf
                <div class="modal-body">
                    <div class="col-xl-12">
                        <div class="form-group mb-3">
                            <label class="form-label">Choose Item For Refund <span class="text-danger">*</span></label>
                            <select name="refundItem" id="item">
                                <option value="">{{ lang('Select Item') }}</option>
                                @foreach ($alltransactions as $transaction)
                                    @if ($transaction->ticket_type == 'customInvoice')
                                        <option value="{{ $transaction->id }}">{{ lang('Custom Invoice ').' #'.$transaction->invoiceId }}</option>
                                    @endif
                                @endforeach
                            </select>
                            <span class="text-danger" id="itemError"></span>
                            @error('refundItem')
                                <span class="invalid-feedback d-block" role="alert">
                                    <strong>{{ lang($message) }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <div class="col-xl-12">
                        <div class="form-group mb-3">
                            <label class="form-label">Reason for the refund <span class="text-danger">*</span></label>
                            <textarea name="reason" id="reason" rows="5" class="form-control"></textarea>
                            <span class="text-danger" id="reasonError"></span>
                            @error('reason')
                                <span class="invalid-feedback d-block" role="alert">
                                    <strong>{{ lang($message) }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-outline-danger" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Save changes</button>
                </div>
            </form>
        </div>
    </div>
</div>


