<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" dir="{{ getIsRtl() }}" data-nav-layout="horizontal"
    data-nav-style="menu-hover" data-menu-position="fixed"
    @if (Auth::check())
        data-theme-mode="{{ setting('DARK_MODE') == 1 ? 'dark' : 'light' }}"
        data-menu-styles="{{ setting('DARK_MODE') == 1 ? 'dark' : 'light' }}"
    @endif>

<head>
    @include('includes.styles')
    <!-- INTERNAL Sweet-Alert css -->
    <link href="{{ asset('build/assets/plugins/sweet-alert/sweetalert.css') }}?v=<?php echo time(); ?>" rel="stylesheet" />
    <style>
        
        @media print {
            /* Hide the elements with the specified IDs */
            .card-footer {
                display: none !important;
            }
            body {
                margin: 0;
                padding: 0;
                background-color: #fff !important;
            }
            .container {
                max-width: 100% !important;
            }
        }
    </style>

</head>

<body class="landing-body client-related-portal"  >
    {{-- @dd($transaction) --}}
    @php
        $customer = \App\Models\Customer::find($transaction->cust_id);
    @endphp
 
    <div class="landing-page-wrapper">

        <div class="main-content landing-main article-main" >

            <section class="section py-4">
                <div class="container-fluid">
                    <div class="row justify-content-center">
                        <div class="col-xl-7">  
                            <div class="card custom-card">
                                <div id="invoice">
                                    <div class="card-header mt-2 d-md-flex d-block">
                                        <div class="h5 mb-0  d-block align-items-center">
                                            <div class="mb-1">
                                                @if ($transaction->allInvoices->companyLogo == null)
                                                    <img src="{{ asset('public/uploads/logo/darklogo/logo.png') }}" alt="logo" class="desktop-logo" >
                                                @else
                                                    <img src="{{asset('uploads/invoice/'.$transaction->allInvoices->companyLogo)}}" class="desktop-logo" alt="logo" height="50px">
                                                @endif
                                            </div>
                                            @if ($transaction->invoiceId != null)
                                                <div class="ms-0 mt-2">
                                                    <div class="h6 fw-semibold mb-0 text-muted">{{lang('Invoice Id :')}} <span class="text-dark">#{{ $transaction->invoiceId }}</span></div>
                                                </div>
                                            @endif
                                        </div>
                                        <div class="ms-auto mt-md-0 mt-2">
                                            @if ($transaction->status == 'completed' || $transaction->status == 'paid')
                                                <span class="p-2 px-4 fs-14 rounded-2 mb-0 text-white bg-success">{{ lang('Paid') }}</span>
                                            @elseif ($transaction->status == 'failed')
                                                <span class="p-2 px-4 fs-14 rounded-2 mb-0 text-white bg-danger">{{ lang('Failed') }}</span>
                                            @elseif ($transaction->status == 'refunded')
                                                <span class="p-2 px-4 fs-14 rounded-2 mb-0 text-white bg-warning">{{ lang('Refunded') }}</span>
                                            @elseif ($transaction->status == 'refundpending')
                                                <span class="p-2 px-4 fs-14 rounded-2 mb-0 text-white bg-secondary">{{ lang('Refund Requested') }}</span>
                                            @elseif ($transaction->status == 'refundRejected')
                                                <span class="p-2 px-4 fs-14 rounded-2 mb-0 text-white bg-danger">{{ lang('Refund Rejected') }}</span>
                                            @elseif ($transaction->status == 'cancelled')
                                                <span class="p-2 px-4 fs-14 rounded-2 mb-0 text-white bg-danger">{{ lang('Invoice Cancelled') }}</span>
                                            @else
                                                <span class="p-2 px-4 fs-14  rounded-2 mb-0 text-white bg-info">{{ lang('Pending') }}</span>
                                            @endif
                                            @if ($transaction->ticket_type == 'customInvoice' && $transaction->status == 'paid')
                                                {!! $transaction->payment_method != null ? '<span class="p-2 px-4 fs-14 ms-2 rounded-2 mb-0 text-dark bg-light">'.$transaction->payment_method.'</span>' : '' !!}
                                            @elseif ($transaction->ticket_type == 'customInvoice' && $transaction->status == 'pending')
                                                <span></span>
                                            @else
                                                {!! $transaction->payment_method != null ? '<span class="p-2 px-4 fs-14 ms-2 rounded-2 mb-0 text-dark bg-light">'.$transaction->payment_method.'</span>' : '' !!}
                                            @endif
                                        </div>
                                    </div>
                                    <div class="card-body pb-0">
                                        <div class="row gy-3">
                                            <div class="col-xl-12">
                                                <div class="row">
                                                    <div class="col-xl-4 col-lg-4 col-md-6 col-sm-6">
                                                        <p class=" mb-2">
                                                            {{lang('Billing From :')}}
                                                        </p>
                                                        <p class="fw-bold mb-1">
                                                            {{ $transaction->allInvoices->companyName }}
                                                        </p>
                                                        @if($transaction->allInvoices->addressLine1 || $transaction->allInvoices->addressLine2)
                                                            <p class="mb-1 ">

                                                                {{ $transaction->allInvoices->addressLine1.', '. $transaction->allInvoices->addressLine2 }}
                                                            </p>
                                                        @endif
                                                        @if($transaction->allInvoices->cityName || $transaction->allInvoices->stateName )
                                                            <p class="mb-1 ">

                                                                {{ $transaction->allInvoices->cityName.', '.$transaction->allInvoices->stateName.',' }}
                                                            </p>
                                                        @endif
                                                        @if($transaction->allInvoices->zipPostalCode || $transaction->allInvoices->countryName )
                                                            <p class="mb-1 ">

                                                                {{ $transaction->allInvoices->zipPostalCode.', '.$transaction->allInvoices->countryName }}
                                                            </p>
                                                        @endif
                                                        @if ($transaction->allInvoices->taxName!= null || $transaction->allInvoices->taxId != null)
                                                            <p class="mb-1 ">
                                                                {{ $transaction->allInvoices->taxName. ' : '.$transaction->allInvoices->taxId }}
                                                            </p>
                                                        @endif
                                                     </div>
                                                    <div class="col-xl-4 col-lg-4 col-md-6 col-sm-6 ms-auto mt-sm-0 mt-3">
                                                        <p class=" mb-2">
                                                            {{lang('Billing To :')}}
                                                        </p>
                                                        @if($transaction->allInvoices->clcompanyName != null)
                                                            <p class="fw-bold mb-1">
                                                                {{ $transaction->allInvoices->clcompanyName }}
                                                            </p>
                                                        @else
                                                            <p class="fw-bold mb-1">    
                                                                {{ $customer->firstname .' '. $customer->lastname }},
                                                            </p>
                                                        @endif
                                                        <p class="mb-1">
                                                            {{ $transaction->allInvoices->clemail }},
                                                        </p>
                                                        @if ($transaction->allInvoices->clmobile != null)
                                                            <p class="mb-1">
                                                                {{ $transaction->allInvoices->clmobile }}
                                                            </p>
                                                        @endif
                                                        @if ($transaction->allInvoices->cltaxName != null && $transaction->allInvoices->cltaxId != null)
                                                            <p class="mb-1">
                                                                {{ $transaction->allInvoices->cltaxName. ':' .$transaction->allInvoices->cltaxId }}
                                                            </p>
                                                        @endif
                                                        @if ($transaction->allInvoices->claddress != null)
                                                            <p class="mb-1">
                                                                {{ $transaction->allInvoices->claddress }}
                                                            </p>
                                                        @endif
                                                        @if ($transaction->allInvoices->country != null)
                                                            <p class="mb-1">
                                                                {{ $transaction->allInvoices->country }}
                                                            </p>
                                                        @endif
                                                        <p class="mb-1">
                                                            @if ($transaction->ticket_type == 'customInvoice' && $transaction->status == 'paid')
                                                                {{ lang('Transaction Date : '). \Carbon\Carbon::parse($transaction->updated_at)->timezone(timeZoneData())  ->format(setting('date_format') . ' h:i A') }}
                                                            @elseif ($transaction->ticket_type == 'customInvoice' && $transaction->status == 'pending')
                                                                {{ lang('Invoice Created Date : ') . \Carbon\Carbon::parse($transaction->created_at) ->timezone(timeZoneData())  ->format(setting('date_format') . ' h:i A') }}
                                                                @php 
                                                                    $autocancelDays = @setting('invoiceCancelDays');
                                                                    $InvoiceCancel =  @setting('autoInvoiceCancelEnable');
                                                                    $dueDate = date(@setting('date_format'), strtotime("+$autocancelDays days", strtotime($transaction->dateIssued))); 
                                                                @endphp
                                                                    @if($InvoiceCancel == 'on')<p>{{ lang('Due Date : ' ). $dueDate}}</p>@endif
                                                                {{-- {{ lang('Invoice Created Date : ').$transaction->created_at->format('d-m-Y h:i A') }} --}}
                                                            @else
                                                                {{ lang('Transaction Date : '). \Carbon\Carbon::parse($transaction->created_at)->timezone(timeZoneData())  ->format(setting('date_format') . ' h:i A')}}
                                                            @endif
                                                        </p>
                                                        <p class="mb-1">
                                                            @if ($transaction->ticket_type == 'customInvoice' && $transaction->status == 'paid')
                                                                @if ($transaction->transaction_id != null)
                                                                    @php $txId = $transaction->transaction_id != null ? $transaction->transaction_id : '~ ~' @endphp
                                                                    {{ lang('Transaction Id : ').$txId}}
                                                                @endif
                                                            @elseif ($transaction->ticket_type == 'customInvoice' && $transaction->status == 'pending')
                                                                <b class="text-danger">{{ lang('Payment Required*') }}</b>
                                                            @else
                                                                {{ lang('Transaction Id : ').$transaction->transaction_id }}
                                                            @endif
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-xl-12">
                                                <div class="table-responsive">
                                                    <table class="table table-bordered nowrap text-nowrap mt-4">
                                                        <thead class="bg-light">
                                                            <tr>
                                                                <th scope="col"class="w-10 text-dark">{{lang('S.No')}}</th>
                                                                <th scope="col"class="w-25 text-dark">{{lang('Product Name')}}</th>
                                                                <th scope="col" class="w-10 text-dark">{{lang('Unit Price')}}</th>
                                                                <th scope="col" class="w-10 text-dark">{{lang('Quantity')}}</th>
                                                                <th scope="col" class="w-10 text-dark">{{lang('TOTAL')}}</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            @if ($transaction->ticket_type == 'customInvoice')
                                                              
                                                                @php
                                                                    $i = 1;
                                                                    $subTotal =0;
                                                                @endphp
                                                                @foreach ($transaction->customInvoiceElements as $elements)
                                                                    <tr>
                                                                        <td>{{ $i++ }}</td>
                                                                        <td class="product-quantity-container">
                                                                            {{ $elements->title }}
                                                                        </td>
                                                                        <td>
                                                                            {{ getCurrencyPerTicket($elements->price) }}
                                                                        </td>
                                                                        <td>
                                                                            {{ $elements->quantity }}
                                                                        </td>
                                                                        <td>
                                                                            {{ getCurrencyPerTicket($elements->amount) }}
                                                                        </td>
                                                                    </tr>
                                                                @php
                                                                    $subTotal += $elements->amount;
                                                                @endphp
                                                                @endforeach
                                                           
                                                            @endif
                                                            <tr style="height: 45px;">
                                                                <td></td>
                                                                <td></td>
                                                                <td></td>
                                                                <td></td>
                                                                <td></td>
                                                            </tr>
                                                            <tr class="bg-gray-100" style="height: 45px;">
                                                                <td></td>
                                                                <td></td>
                                                                <td></td>
                                                                <td class="text-end">{{lang('SubTotal')}} : </td>
                                                                <td>{{ getCurrencyPerTicket($subTotal) }}</td>
                                                            </tr>
                                                            <tr class="bg-gray-100" style="height: 45px;">
                                                                <td></td>
                                                                <td></td>
                                                                <td></td>
                                                                <td class="text-end">{{lang('Tax % ')}}: </td>
                                                                <td>@if($transaction->allInvoices->taxPercent != null)
                                                                        {{ $transaction->allInvoices->taxPercent }}
                                                                    @else
                                                                        {{'-'}}
                                                                    @endif
                                                                </td>
                                                            </tr>
                                                            <tr class="bg-light">
                                                                <td class="text-center">
                                                                  
                                                                </td>
                                                                <td></td>
                                                                <td class="text-center">
                                                                  
                                                                </td>
                                                                <td class="text-end text-dark fs-16 fw-semibold">{{lang('Total Amount:')}}</td>
                                                                @if ($transaction->ticket_type == 'customInvoice')
                                                                    
                                                                    <td class="text-start  text-dark ps-4 fw-semibold" style="font-size: 1.15rem;">{{ getCurrencyPerTicket($transaction->amount) }}</td>
                                                                @else
                                                                    <td class="text-start  text-dark ps-4 fw-semibold" style="font-size: 1.15rem;">{{ $transaction->customerAmount }}</td>
                                                                @endif
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                    @if ($transaction->status == 'refunded')
                                                        @php
                                                            $currency = $transaction->currency;
                                                            $symbol = config('currencies.'.$currency);
                                                        @endphp
                                                        <div class="mt-4">
                                                            <div class="text-center fs-15 fw-bold">{{ lang('Refund Details') }}</div>
                                                            <table class="table table-bordered nowrap text-nowrap">
                                                                <tbody>
                                                                    <tr>
                                                                        <td>{{ lang('Refund Transaction Id') }}</td>
                                                                        <td>{{ $transaction->refundTxId }}</td>
                                                                    </tr>
                                                                    @if ($transaction->countryTaxName != null && $transaction->countryTaxAmount != null)
                                                                        <tr>
                                                                            <td>{{ $transaction->countryTaxName }}</td>
                                                                            <td>{{ $symbol .' '. $transaction->countryTaxAmount }}</td>
                                                                        </tr>
                                                                    @endif
                                                                    <tr>
                                                                        <td>{{ $transaction->gatewayName }}</td>
                                                                        <td>{{ $symbol .' '. $transaction->gatewayFee }}</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>{{ lang('Net Amount Refunded') }}</td>
                                                                        <td class="text-primary">{{ $symbol. ' ' .$transaction->netAmountRefunded }}</td>
                                                                    </tr>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    @endif
                                                </div>
                                            </div>
                                            {{-- <div class="col-xl-12">
                                                <div>
                                                    <label for="invoice-note" class="form-label">Note:</label>
                                                    <textarea class="form-control form-control-light" id="invoice-note" rows="3">Once the invoice has been verified by the accounts payable team and recorded, the only task left is to send it for approval before releasing the payment</textarea>
                                                </div>
                                            </div> --}}
                                        </div>
                                    </div>
                                </div>


                                @if($transaction->allInvoices->invoicenote != null || $transaction->allInvoices->invoicetc )
                                    <div class="row m-2">
                                        <p class="fw-bold my-1"> Note:  </p>
                                        <p>{{ lang($transaction->allInvoices->invoicenote) }}</p>
                                        <p class="fw-bold my-1">  Terms & Conditions: </p>
                                        <p>{{ lang($transaction->allInvoices->invoicetc) }}</p>
                                    </div>
                                @endif


                                @if (Auth::guard('customer')->user() && !Str::contains(request()->url(), 'admin/customInvoices/') && !Str::contains(request()->url(), 'admin/invoice/'))
                                    <div class="card-footer text-end">
                                        @if ($transaction->ticket_type == 'customInvoice' && $transaction->status == 'pending')
                                            <a href="{{ url('customer/customInvoice/pay/'.encrypt($transaction->invoiceId)) }}" class="btn btn-success">{{lang('Pay Now')}}</a>
                                        @elseif($transaction->status != 'cancelled')
                                            <a href="{{ url('customer/custominvoice') }}" class="btn btn-outline-danger">Back</a>
                                            <button class="btn btn-secondary " onclick="javascript:window.print();">{{lang('Print')}}<i class="ri-printer-line ms-1 align-middle d-inline-block"></i></button>
                                            <button class="btn btn-primary" id="download">{{lang('Save As PDF')}}<i class="ri-file-pdf-line ms-1 align-middle d-inline-block"></i></button>
                                        @endif
                                    </div>
                                @endif

                                @if(Auth::user() && Auth::user()->can('Invoice Cancel Access') && $transaction->status == 'pending')
                                    <div class="card-footer text-end">
                                        <a href="{{ route('invoice.cancel', ['id' => $transaction->id]) }}"  data-id="{{$transaction->id}}" class="btn btn-danger cancel-invoice"> {{lang('Cancel Invoice')}} </a>                                  
                                    </div>
                                @endif
                            </div>
                            
                        </div>
                    </div>
                </div>
            </section>


        </div>
    </div>

 
   
        <!-- html2pdf JS -->
        <script type="module" >
            

            import jsHtml2pdf from "{{ asset('build/assets/plugins/html2pdf/html2pdf.node.js') }}"
            var element = document.getElementById("invoice");
            let transaction = @json($transaction);
            var options = {
                filename: 'invoice-'+transaction.transaction_id+'.pdf'
            };
            let download = document.getElementById("download");
            if (download) {
                download.onclick = ()=>{
                    const exporter =  new jsHtml2pdf(element,options )
                    exporter.getPdf(true).then((pdf) => {
                    });
                }
            }


        </script>

        <!-- INTERNAL Sweet-Alert js-->
        <script src="{{ asset('build/assets/plugins/sweet-alert/sweetalert.min.js') }}?v=<?php echo time(); ?>"></script>
        <script>
           $('.cancel-invoice').on('click', function(e){
                e.preventDefault(); 
                var cancelUrl = $(this).attr('href');
                swal({
                    title: `{{ lang('Are you sure you want to continue?', 'alerts') }}`,
                        text: "{{ lang('This invoice will get cancelled', 'alerts') }}",
                        icon: "warning",
                        buttons: true,
                        dangerMode: true,
                }).then((willDelete) => {
                    if (willDelete) {
                        window.location.href = cancelUrl;
                        toastr.success('{{ lang("Invoice cancelled successfully", "alerts") }}');
                    } else {
                        console.log('Invoice not cancelled');
                    }
                });
            });
        </script>


      

</body>

</html>
