<table class="table table-bordered border-bottom text-nowrap ticketdeleterow supportticket-list w-100" id="userticketdatatable">
    <thead>
        <tr>
            <th>{{lang('Sl.No')}}</th>
            <th>{{lang('Ticket Details')}}</th>
            <th>{{lang('Status')}}</th>
            <th>{{lang('Actions')}}</th>
        </tr>
    </thead>
</table>

@include('includes.admin.datatable')
<script type="text/javascript">

document.addEventListener("DOMContentLoaded", (event) => {
            let dateFormat = @json(setting('date_format'));
            var dataTable;
            var tableDropDown;
            let tableData = @json($usertickets);
            var SITEURL = '{{ url('') }}';
          
            
            loadTable(tableData);

            function truncateTitle(title) {
                const maxLength = 40;
                return title.length > maxLength ? title.substring(0, maxLength) + '...' : title;
            }

            function loadTable(tableData) {
                document.getElementById('hideAfterloading')?.classList.remove('d-none');
                document.getElementById('theadShow')?.classList.add('d-none');
                if (tableDropDown)
                    tableDropDown.destroy();

                // if (dataTable)
                //     dataTable.destroy();
                if ($.fn.DataTable.isDataTable('#userticketdatatable')) {
                    $('#userticketdatatable').DataTable().clear().destroy(); 
                }

                if (document.getElementById('tableBody'))
                    document.getElementById('tableBody').remove();

                let createTbody = document.createElement('tbody');
                createTbody.setAttribute('id', "tableBody");
                let rows = tableData.map((data, index) => {

                    let status;              
                    if (data.status == 'New')
                        status = `<span class="badge badge-burnt-orange">${data.status}</span>`
                    else if (data.status == 'Re-Open')
                        status = `<span class="badge badge-teal">${data.status}</span>`
                    else if (data.status == 'Inprogress')
                        status = `<span class="badge badge-info">${data.status}</span>`
                    else if (data.status == 'On-Hold')
                        status = `<span class="badge badge-warning">${data.status}</span>`
                    else
                        status = `<span class="badge badge-danger">${data.status}</span>`


                        let ticketDetails = `
                        <div class="d-flex align-items-center">
                            <div class="">`;

                            ticketDetails += `
                                            <a href="${SITEURL}/customer/ticket/view/${data.encrypted_id}" class="fs-14 d-block font-weight-semibold">${data.subject}</a>
                                            
                                            <ul class="fs-13 font-weight-normal d-flex custom-ul">
                                                <li class="pe-2 text-muted">#${data.ticket_id}</li>
                                                <li class="px-2 text-muted" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Date') }}">
                                                    <i class="fe fe-calendar me-1 fs-14"></i>${dateTime(data.created_at)}
                                                </li>`;

                            if (data.priority) {
                                if (data.priority == 'Low') {
                                    ticketDetails += `
                                                <li class="ps-5 pe-2 preference preference-low" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Priority') }}">
                                                    ${data.priority}
                                                </li>`;
                                } else if (data.priority == 'High') {
                                    ticketDetails += `
                                                <li class="ps-5 pe-2 preference preference-high" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Priority') }}">
                                                    ${data.priority}
                                                </li>`;
                                } else if (data.priority == 'Critical') {
                                    ticketDetails += `
                                                <li class="ps-5 pe-2 preference preference-critical" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Priority') }}">
                                                    ${data.priority}
                                                </li>`;
                                } else {
                                    ticketDetails += `
                                                <li class="ps-5 pe-2 preference preference-medium" data-bs-toggle="tooltip"
                                                        data-bs-placement="top" title="{{ lang('Priority') }}">
                                                        ${data.priority}</li>`;
                                }

                            } else {
                                ticketDetails += `~`;
                            }


                            if (data.category_id != null && data.category != null) {
                                ticketDetails += `
                                        <li class="px-2 text-muted" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Category') }}">
                                            <i class="fe fe-grid me-1 fs-14"></i>${truncateTitle(data.category.name)}
                                        </li>`;
                            } else {
                                ticketDetails += `~`;
                            }


                            if (data.last_reply == null) {
                                ticketDetails += `
                                        <li class="px-2 text-muted" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Last Replied') }}">
                                            <i class="fe fe-clock me-1 fs-14"></i>${dateTimeDiff(data.created_at)}
                                        </li>`;
                            } else {
                                ticketDetails += `
                                        <li class="px-2 text-muted" data-bs-toggle="tooltip" data-bs-placement="top" title="{{ lang('Last Replied') }}">
                                            <i class="fe fe-clock me-1 fs-14"></i>${dateTimeDiff(data.last_reply)}
                                        </li>`;
                            }

                            if (data.purchasecodesupport != null) {
                                if (data.purchasecodesupport == 'Supported') {
                                    ticketDetails +=
                                        `<li class="px-2 text-success font-weight-semibold">{{ lang('Support Active') }}</li>`;
                                } else if (data.purchasecodesupport === 'Expired') {
                                    ticketDetails +=
                                        `<li class="px-2 text-danger-dark font-weight-semibold">{{ lang('Support Expired') }}</li>`;
                                }
                            }

                            ticketDetails += `
                                            </ul>
                                        </div>
                                    </div>`;
                                    

                    return `
                        <tr ${data.replystatus == 'Waiting' || data.replystatus == 'Botreplied' ? 'class=bg-success-transparent': '' } >

                           <td> ${index + 1} </td>
                           <td> ${ticketDetails} </td>
                           <td> ${status} </td>
                           <td> <div class = "d-flex">
                                <a href="${SITEURL}/customer/ticket/view/${data.encrypted_id }" class="action-btns1" data-bs-toggle="tooltip" data-placement="top" title="{{lang('View Ticket')}}"><i class="feather feather-edit text-primary"></i></a></div>
                            </td>
                           
                        </tr>
                    `;
                });
               
                createTbody.innerHTML = rows.length ? rows.join('') : '';
                document.getElementById('userticketdatatable').appendChild(createTbody);

                let prev = {!! json_encode(lang('Previous')) !!};
                    let next = {!! json_encode(lang('Next')) !!};
                    let nodata = {!! json_encode(lang('No data available in table')) !!};
                    let noentries = {!! json_encode(lang('No entries to show')) !!};
                    let showing = {!! json_encode(lang('showing page')) !!};
                    let ofval = {!! json_encode(lang('of')) !!};
                    let maxRecordfilter = {!! json_encode(lang('- filtered from ')) !!};
                    let maxRecords = {!! json_encode(lang('records')) !!};
                    let entries = {!! json_encode(lang('entries')) !!};
                    let show = {!! json_encode(lang('Show')) !!};
                    let search = {!! json_encode(lang('Search...')) !!};
                // Reinitialize DataTable
                dataTable = $('#userticketdatatable').DataTable({
                    language: {
                        searchPlaceholder: search,
                        scrollX: "100%",
                        sSearch: '',
                        paginate: {
                            previous: prev,
                            next: next
                        },
                        emptyTable: nodata,
                        infoFiltered: `${maxRecordfilter} _MAX_ ${maxRecords}`,
                        info: `${showing} _PAGE_ ${ofval} _PAGES_`,
                        infoEmpty: noentries,
                        lengthMenu: `${show} _MENU_ ${entries}`,
                    },
                    order: [],
                    columnDefs: [{
                        "orderable": false,
                        "targets": [0, 1, 3]
                    }],
                });

                document.querySelector('.card-body').style.setProperty('filter','')

                $('.form-select').select2({
                        minimumResultsForSearch: Infinity,
                        width: '100%'
                    });
                $('.form-select').on('focus', function() {
                    $(this).attr('aria-hidden', 'false');
                });
                document.getElementById('hideAfterloading')?.classList.add('d-none');
                document.getElementById('theadShow')?.classList.remove('d-none');





                initializeTooltips();
                // checkboxNoLabel()
                // buttonAlertFunctions();
                // Pagenate();

                function initializeTooltips() {
                    var tooltipElements = document.querySelectorAll('[data-bs-toggle="tooltip"]');
                    tooltipElements.forEach(function(element) {
                        new bootstrap.Tooltip(element);
                    });
                }
            }

            $(function() {

                var presenturl = new URL(window.location.href);
                var searchresult = new URLSearchParams(presenturl.search);
                var searchfinalid = searchresult.get('id') ? searchresult.get('id') : null;

                let DebounceSearch;
                $('input[type="search"]').on('keyup', function(event) {
                    event.preventDefault();
                    clearTimeout(DebounceSearch);

                    DebounceSearch = setTimeout(() => {
                        let searchValue = $(this).val().trim();
                        var selectedOption = $('.form-select').val();
                        $('.sprukoloader-img').fadeIn();
                        $.ajax({
                            // url: "{{ route('admin.customer') }}",
                            url: location.origin + location.pathname + `?page=1&per_page=${selectedOption}&search=${searchValue}`,
                            method: 'GET',
                            success: function(response) {
                                $('.sprukoloader-img').fadeOut();
                                $('.fetchedusertabledata').html(response.rendereddata);
                                setTimeout(() => {
                                    document.querySelector('input[type="search"]').value = searchValue;
                                    document.querySelector('input[type="search"]').focus();
                                }, 100);
                            },
                            error: function(xhr, status, error) {
                                $('.sprukoloader-img').fadeOut();
                                console.error('AJAX Error:', error);
                            }
                        });

                    }, 500);
                });

                $('.form-select').on('select2:select', function(e) {
                    var selectedData = e.params.data;
                    var searchdatafetch = document.querySelector('input[type="search"]').value

                    $.ajax({
                        url: location.origin + location.pathname + `?page=1&per_page=${selectedData.text}&search=${searchdatafetch}&id=${searchfinalid}`,
                        method: 'GET',
                        dataType: 'json',
                        success: function(data) {
                            $('.fetchedusertabledata').html(data.rendereddata);
                            setTimeout(() => {
                                document.querySelector('input[type="search"]').value = searchdatafetch;
                                document.querySelector('input[type="search"]').focus();
                            }, 100);
                        },
                        error: function(xhr, status, error) {
                            console.error('AJAX error:', status, error);
                        }
                    });
                });

                $('.paginationDatafetch').on('click', function() {
                    var selectedpage = $(this).data('id');
                    var selectedOption = $('.form-select').val();
                    var searchdatafetch = document.querySelector('input[type="search"]').value

                    $.ajax({
                        url: location.origin + location.pathname + `?page=${selectedpage}&per_page=${selectedOption}&search=${searchdatafetch}&id=${searchfinalid}`,
                        method: 'GET',
                        dataType: 'json',
                        success: function(data) {
                            $('.fetchedusertabledata').html(data.rendereddata);
                            setTimeout(() => {
                                document.querySelector('input[type="search"]').value = searchdatafetch;
                                document.querySelector('input[type="search"]').focus();
                            }, 100);
                        },
                        error: function(xhr, status, error) {
                            console.error('AJAX error:', status, error);
                        }
                    });
                });


                function initializeTooltips() {
                    var tooltipElements = document.querySelectorAll('[data-bs-toggle="tooltip"]');
                    tooltipElements.forEach(function (element) {
                        new bootstrap.Tooltip(element);
                    });
                }
                initializeTooltips();
                
                function getData() {
                    $('.sprukoloader-img').fadeIn();                  
                    $.ajax({
                        url: location.href,
                        method: 'GET',
                        dataType: 'json',
                        success: function(data) { 
                        $('.sprukoloader-img').fadeOut();                   
                            loadTable(data.usertickets);                                
                        },
                        error: function(xhr, status, error) {
                            console.error('AJAX error:', status, error);
                        }
                    });
                }

               let webSocketCheck = '{{webSocketCheck()}}'
        	    if(webSocketCheck){
                    dbname = '{{dbname()}}';
                    Echo.channel('conversation').listen('ConversationEvent', (socket) => {
                        if(socket.applicationname == dbname){
                            if (socket.ticketType === 'tableDataReload') {
                                getData();
                            }
                        }
                    });
                }
            })
        });
</script>
